VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic Class Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic:
[legend]

## Public Member Functions

| DispatchLoaderDynamic (Instance instance=Instance(), Device device=Device())
void | init (Instance instance, Device device=Device())

## Data Fields

PFN_vkAcquireNextImage2KHR | vkAcquireNextImage2KHR = 0
PFN_vkAcquireNextImageKHR | vkAcquireNextImageKHR = 0
PFN_vkAllocateCommandBuffers | vkAllocateCommandBuffers = 0
PFN_vkAllocateDescriptorSets | vkAllocateDescriptorSets = 0
PFN_vkAllocateMemory | vkAllocateMemory = 0
PFN_vkBeginCommandBuffer | vkBeginCommandBuffer = 0
PFN_vkBindAccelerationStructureMemoryNV | vkBindAccelerationStructureMemoryNV = 0
PFN_vkBindBufferMemory | vkBindBufferMemory = 0
PFN_vkBindBufferMemory2 | vkBindBufferMemory2 = 0
PFN_vkBindBufferMemory2KHR | vkBindBufferMemory2KHR = 0
PFN_vkBindImageMemory | vkBindImageMemory = 0
PFN_vkBindImageMemory2 | vkBindImageMemory2 = 0
PFN_vkBindImageMemory2KHR | vkBindImageMemory2KHR = 0
PFN_vkCmdBeginConditionalRenderingEXT | vkCmdBeginConditionalRenderingEXT = 0
PFN_vkCmdBeginDebugUtilsLabelEXT | vkCmdBeginDebugUtilsLabelEXT = 0
PFN_vkCmdBeginQuery | vkCmdBeginQuery = 0
PFN_vkCmdBeginQueryIndexedEXT | vkCmdBeginQueryIndexedEXT = 0
PFN_vkCmdBeginRenderPass | vkCmdBeginRenderPass = 0
PFN_vkCmdBeginRenderPass2KHR | vkCmdBeginRenderPass2KHR = 0
PFN_vkCmdBeginTransformFeedbackEXT | vkCmdBeginTransformFeedbackEXT = 0
PFN_vkCmdBindDescriptorSets | vkCmdBindDescriptorSets = 0
PFN_vkCmdBindIndexBuffer | vkCmdBindIndexBuffer = 0
PFN_vkCmdBindPipeline | vkCmdBindPipeline = 0
PFN_vkCmdBindShadingRateImageNV | vkCmdBindShadingRateImageNV = 0
PFN_vkCmdBindTransformFeedbackBuffersEXT | vkCmdBindTransformFeedbackBuffersEXT = 0
PFN_vkCmdBindVertexBuffers | vkCmdBindVertexBuffers = 0
PFN_vkCmdBlitImage | vkCmdBlitImage = 0
PFN_vkCmdBuildAccelerationStructureNV | vkCmdBuildAccelerationStructureNV = 0
PFN_vkCmdClearAttachments | vkCmdClearAttachments = 0
PFN_vkCmdClearColorImage | vkCmdClearColorImage = 0
PFN_vkCmdClearDepthStencilImage | vkCmdClearDepthStencilImage = 0
PFN_vkCmdCopyAccelerationStructureNV | vkCmdCopyAccelerationStructureNV = 0
PFN_vkCmdCopyBuffer | vkCmdCopyBuffer = 0
PFN_vkCmdCopyBufferToImage | vkCmdCopyBufferToImage = 0
PFN_vkCmdCopyImage | vkCmdCopyImage = 0
PFN_vkCmdCopyImageToBuffer | vkCmdCopyImageToBuffer = 0
PFN_vkCmdCopyQueryPoolResults | vkCmdCopyQueryPoolResults = 0
PFN_vkCmdDebugMarkerBeginEXT | vkCmdDebugMarkerBeginEXT = 0
PFN_vkCmdDebugMarkerEndEXT | vkCmdDebugMarkerEndEXT = 0
PFN_vkCmdDebugMarkerInsertEXT | vkCmdDebugMarkerInsertEXT = 0
PFN_vkCmdDispatch | vkCmdDispatch = 0
PFN_vkCmdDispatchBase | vkCmdDispatchBase = 0
PFN_vkCmdDispatchBaseKHR | vkCmdDispatchBaseKHR = 0
PFN_vkCmdDispatchIndirect | vkCmdDispatchIndirect = 0
PFN_vkCmdDraw | vkCmdDraw = 0
PFN_vkCmdDrawIndexed | vkCmdDrawIndexed = 0
PFN_vkCmdDrawIndexedIndirect | vkCmdDrawIndexedIndirect = 0
PFN_vkCmdDrawIndexedIndirectCountAMD | vkCmdDrawIndexedIndirectCountAMD = 0
PFN_vkCmdDrawIndexedIndirectCountKHR | vkCmdDrawIndexedIndirectCountKHR = 0
PFN_vkCmdDrawIndirect | vkCmdDrawIndirect = 0
PFN_vkCmdDrawIndirectByteCountEXT | vkCmdDrawIndirectByteCountEXT = 0
PFN_vkCmdDrawIndirectCountAMD | vkCmdDrawIndirectCountAMD = 0
PFN_vkCmdDrawIndirectCountKHR | vkCmdDrawIndirectCountKHR = 0
PFN_vkCmdDrawMeshTasksIndirectCountNV | vkCmdDrawMeshTasksIndirectCountNV = 0
PFN_vkCmdDrawMeshTasksIndirectNV | vkCmdDrawMeshTasksIndirectNV = 0
PFN_vkCmdDrawMeshTasksNV | vkCmdDrawMeshTasksNV = 0
PFN_vkCmdEndConditionalRenderingEXT | vkCmdEndConditionalRenderingEXT = 0
PFN_vkCmdEndDebugUtilsLabelEXT | vkCmdEndDebugUtilsLabelEXT = 0
PFN_vkCmdEndQuery | vkCmdEndQuery = 0
PFN_vkCmdEndQueryIndexedEXT | vkCmdEndQueryIndexedEXT = 0
PFN_vkCmdEndRenderPass | vkCmdEndRenderPass = 0
PFN_vkCmdEndRenderPass2KHR | vkCmdEndRenderPass2KHR = 0
PFN_vkCmdEndTransformFeedbackEXT | vkCmdEndTransformFeedbackEXT = 0
PFN_vkCmdExecuteCommands | vkCmdExecuteCommands = 0
PFN_vkCmdFillBuffer | vkCmdFillBuffer = 0
PFN_vkCmdInsertDebugUtilsLabelEXT | vkCmdInsertDebugUtilsLabelEXT = 0
PFN_vkCmdNextSubpass | vkCmdNextSubpass = 0
PFN_vkCmdNextSubpass2KHR | vkCmdNextSubpass2KHR = 0
PFN_vkCmdPipelineBarrier | vkCmdPipelineBarrier = 0
PFN_vkCmdProcessCommandsNVX | vkCmdProcessCommandsNVX = 0
PFN_vkCmdPushConstants | vkCmdPushConstants = 0
PFN_vkCmdPushDescriptorSetKHR | vkCmdPushDescriptorSetKHR = 0
PFN_vkCmdPushDescriptorSetWithTemplateKHR | vkCmdPushDescriptorSetWithTemplateKHR = 0
PFN_vkCmdReserveSpaceForCommandsNVX | vkCmdReserveSpaceForCommandsNVX = 0
PFN_vkCmdResetEvent | vkCmdResetEvent = 0
PFN_vkCmdResetQueryPool | vkCmdResetQueryPool = 0
PFN_vkCmdResolveImage | vkCmdResolveImage = 0
PFN_vkCmdSetBlendConstants | vkCmdSetBlendConstants = 0
PFN_vkCmdSetCheckpointNV | vkCmdSetCheckpointNV = 0
PFN_vkCmdSetCoarseSampleOrderNV | vkCmdSetCoarseSampleOrderNV = 0
PFN_vkCmdSetDepthBias | vkCmdSetDepthBias = 0
PFN_vkCmdSetDepthBounds | vkCmdSetDepthBounds = 0
PFN_vkCmdSetDeviceMask | vkCmdSetDeviceMask = 0
PFN_vkCmdSetDeviceMaskKHR | vkCmdSetDeviceMaskKHR = 0
PFN_vkCmdSetDiscardRectangleEXT | vkCmdSetDiscardRectangleEXT = 0
PFN_vkCmdSetEvent | vkCmdSetEvent = 0
PFN_vkCmdSetExclusiveScissorNV | vkCmdSetExclusiveScissorNV = 0
PFN_vkCmdSetLineWidth | vkCmdSetLineWidth = 0
PFN_vkCmdSetSampleLocationsEXT | vkCmdSetSampleLocationsEXT = 0
PFN_vkCmdSetScissor | vkCmdSetScissor = 0
PFN_vkCmdSetStencilCompareMask | vkCmdSetStencilCompareMask = 0
PFN_vkCmdSetStencilReference | vkCmdSetStencilReference = 0
PFN_vkCmdSetStencilWriteMask | vkCmdSetStencilWriteMask = 0
PFN_vkCmdSetViewport | vkCmdSetViewport = 0
PFN_vkCmdSetViewportShadingRatePaletteNV | vkCmdSetViewportShadingRatePaletteNV = 0
PFN_vkCmdSetViewportWScalingNV | vkCmdSetViewportWScalingNV = 0
PFN_vkCmdTraceRaysNV | vkCmdTraceRaysNV = 0
PFN_vkCmdUpdateBuffer | vkCmdUpdateBuffer = 0
PFN_vkCmdWaitEvents | vkCmdWaitEvents = 0
PFN_vkCmdWriteAccelerationStructuresPropertiesNV | vkCmdWriteAccelerationStructuresPropertiesNV = 0
PFN_vkCmdWriteBufferMarkerAMD | vkCmdWriteBufferMarkerAMD = 0
PFN_vkCmdWriteTimestamp | vkCmdWriteTimestamp = 0
PFN_vkCompileDeferredNV | vkCompileDeferredNV = 0
PFN_vkCreateAccelerationStructureNV | vkCreateAccelerationStructureNV = 0
PFN_vkCreateBuffer | vkCreateBuffer = 0
PFN_vkCreateBufferView | vkCreateBufferView = 0
PFN_vkCreateCommandPool | vkCreateCommandPool = 0
PFN_vkCreateComputePipelines | vkCreateComputePipelines = 0
PFN_vkCreateDebugReportCallbackEXT | vkCreateDebugReportCallbackEXT = 0
PFN_vkCreateDebugUtilsMessengerEXT | vkCreateDebugUtilsMessengerEXT = 0
PFN_vkCreateDescriptorPool | vkCreateDescriptorPool = 0
PFN_vkCreateDescriptorSetLayout | vkCreateDescriptorSetLayout = 0
PFN_vkCreateDescriptorUpdateTemplate | vkCreateDescriptorUpdateTemplate = 0
PFN_vkCreateDescriptorUpdateTemplateKHR | vkCreateDescriptorUpdateTemplateKHR = 0
PFN_vkCreateDevice | vkCreateDevice = 0
PFN_vkCreateDisplayModeKHR | vkCreateDisplayModeKHR = 0
PFN_vkCreateDisplayPlaneSurfaceKHR | vkCreateDisplayPlaneSurfaceKHR = 0
PFN_vkCreateEvent | vkCreateEvent = 0
PFN_vkCreateFence | vkCreateFence = 0
PFN_vkCreateFramebuffer | vkCreateFramebuffer = 0
PFN_vkCreateGraphicsPipelines | vkCreateGraphicsPipelines = 0
PFN_vkCreateImage | vkCreateImage = 0
PFN_vkCreateImageView | vkCreateImageView = 0
PFN_vkCreateIndirectCommandsLayoutNVX | vkCreateIndirectCommandsLayoutNVX = 0
PFN_vkCreateInstance | vkCreateInstance = 0
PFN_vkCreateObjectTableNVX | vkCreateObjectTableNVX = 0
PFN_vkCreatePipelineCache | vkCreatePipelineCache = 0
PFN_vkCreatePipelineLayout | vkCreatePipelineLayout = 0
PFN_vkCreateQueryPool | vkCreateQueryPool = 0
PFN_vkCreateRayTracingPipelinesNV | vkCreateRayTracingPipelinesNV = 0
PFN_vkCreateRenderPass | vkCreateRenderPass = 0
PFN_vkCreateRenderPass2KHR | vkCreateRenderPass2KHR = 0
PFN_vkCreateSampler | vkCreateSampler = 0
PFN_vkCreateSamplerYcbcrConversion | vkCreateSamplerYcbcrConversion = 0
PFN_vkCreateSamplerYcbcrConversionKHR | vkCreateSamplerYcbcrConversionKHR = 0
PFN_vkCreateSemaphore | vkCreateSemaphore = 0
PFN_vkCreateShaderModule | vkCreateShaderModule = 0
PFN_vkCreateSharedSwapchainsKHR | vkCreateSharedSwapchainsKHR = 0
PFN_vkCreateSwapchainKHR | vkCreateSwapchainKHR = 0
PFN_vkCreateValidationCacheEXT | vkCreateValidationCacheEXT = 0
PFN_vkDebugMarkerSetObjectNameEXT | vkDebugMarkerSetObjectNameEXT = 0
PFN_vkDebugMarkerSetObjectTagEXT | vkDebugMarkerSetObjectTagEXT = 0
PFN_vkDebugReportMessageEXT | vkDebugReportMessageEXT = 0
PFN_vkDestroyAccelerationStructureNV | vkDestroyAccelerationStructureNV = 0
PFN_vkDestroyBuffer | vkDestroyBuffer = 0
PFN_vkDestroyBufferView | vkDestroyBufferView = 0
PFN_vkDestroyCommandPool | vkDestroyCommandPool = 0
PFN_vkDestroyDebugReportCallbackEXT | vkDestroyDebugReportCallbackEXT = 0
PFN_vkDestroyDebugUtilsMessengerEXT | vkDestroyDebugUtilsMessengerEXT = 0
PFN_vkDestroyDescriptorPool | vkDestroyDescriptorPool = 0
PFN_vkDestroyDescriptorSetLayout | vkDestroyDescriptorSetLayout = 0
PFN_vkDestroyDescriptorUpdateTemplate | vkDestroyDescriptorUpdateTemplate = 0
PFN_vkDestroyDescriptorUpdateTemplateKHR | vkDestroyDescriptorUpdateTemplateKHR = 0
PFN_vkDestroyDevice | vkDestroyDevice = 0
PFN_vkDestroyEvent | vkDestroyEvent = 0
PFN_vkDestroyFence | vkDestroyFence = 0
PFN_vkDestroyFramebuffer | vkDestroyFramebuffer = 0
PFN_vkDestroyImage | vkDestroyImage = 0
PFN_vkDestroyImageView | vkDestroyImageView = 0
PFN_vkDestroyIndirectCommandsLayoutNVX | vkDestroyIndirectCommandsLayoutNVX = 0
PFN_vkDestroyInstance | vkDestroyInstance = 0
PFN_vkDestroyObjectTableNVX | vkDestroyObjectTableNVX = 0
PFN_vkDestroyPipeline | vkDestroyPipeline = 0
PFN_vkDestroyPipelineCache | vkDestroyPipelineCache = 0
PFN_vkDestroyPipelineLayout | vkDestroyPipelineLayout = 0
PFN_vkDestroyQueryPool | vkDestroyQueryPool = 0
PFN_vkDestroyRenderPass | vkDestroyRenderPass = 0
PFN_vkDestroySampler | vkDestroySampler = 0
PFN_vkDestroySamplerYcbcrConversion | vkDestroySamplerYcbcrConversion = 0
PFN_vkDestroySamplerYcbcrConversionKHR | vkDestroySamplerYcbcrConversionKHR = 0
PFN_vkDestroySemaphore | vkDestroySemaphore = 0
PFN_vkDestroyShaderModule | vkDestroyShaderModule = 0
PFN_vkDestroySurfaceKHR | vkDestroySurfaceKHR = 0
PFN_vkDestroySwapchainKHR | vkDestroySwapchainKHR = 0
PFN_vkDestroyValidationCacheEXT | vkDestroyValidationCacheEXT = 0
PFN_vkDeviceWaitIdle | vkDeviceWaitIdle = 0
PFN_vkDisplayPowerControlEXT | vkDisplayPowerControlEXT = 0
PFN_vkEndCommandBuffer | vkEndCommandBuffer = 0
PFN_vkEnumerateDeviceExtensionProperties | vkEnumerateDeviceExtensionProperties = 0
PFN_vkEnumerateDeviceLayerProperties | vkEnumerateDeviceLayerProperties = 0
PFN_vkEnumerateInstanceExtensionProperties | vkEnumerateInstanceExtensionProperties = 0
PFN_vkEnumerateInstanceLayerProperties | vkEnumerateInstanceLayerProperties = 0
PFN_vkEnumerateInstanceVersion | vkEnumerateInstanceVersion = 0
PFN_vkEnumeratePhysicalDeviceGroups | vkEnumeratePhysicalDeviceGroups = 0
PFN_vkEnumeratePhysicalDeviceGroupsKHR | vkEnumeratePhysicalDeviceGroupsKHR = 0
PFN_vkEnumeratePhysicalDevices | vkEnumeratePhysicalDevices = 0
PFN_vkFlushMappedMemoryRanges | vkFlushMappedMemoryRanges = 0
PFN_vkFreeCommandBuffers | vkFreeCommandBuffers = 0
PFN_vkFreeDescriptorSets | vkFreeDescriptorSets = 0
PFN_vkFreeMemory | vkFreeMemory = 0
PFN_vkGetAccelerationStructureHandleNV | vkGetAccelerationStructureHandleNV = 0
PFN_vkGetAccelerationStructureMemoryRequirementsNV | vkGetAccelerationStructureMemoryRequirementsNV = 0
PFN_vkGetBufferMemoryRequirements | vkGetBufferMemoryRequirements = 0
PFN_vkGetBufferMemoryRequirements2 | vkGetBufferMemoryRequirements2 = 0
PFN_vkGetBufferMemoryRequirements2KHR | vkGetBufferMemoryRequirements2KHR = 0
PFN_vkGetCalibratedTimestampsEXT | vkGetCalibratedTimestampsEXT = 0
PFN_vkGetDescriptorSetLayoutSupport | vkGetDescriptorSetLayoutSupport = 0
PFN_vkGetDescriptorSetLayoutSupportKHR | vkGetDescriptorSetLayoutSupportKHR = 0
PFN_vkGetDeviceGroupPeerMemoryFeatures | vkGetDeviceGroupPeerMemoryFeatures = 0
PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR | vkGetDeviceGroupPeerMemoryFeaturesKHR = 0
PFN_vkGetDeviceGroupPresentCapabilitiesKHR | vkGetDeviceGroupPresentCapabilitiesKHR = 0
PFN_vkGetDeviceGroupSurfacePresentModesKHR | vkGetDeviceGroupSurfacePresentModesKHR = 0
PFN_vkGetDeviceMemoryCommitment | vkGetDeviceMemoryCommitment = 0
PFN_vkGetDeviceProcAddr | vkGetDeviceProcAddr = 0
PFN_vkGetDeviceQueue | vkGetDeviceQueue = 0
PFN_vkGetDeviceQueue2 | vkGetDeviceQueue2 = 0
PFN_vkGetDisplayModeProperties2KHR | vkGetDisplayModeProperties2KHR = 0
PFN_vkGetDisplayModePropertiesKHR | vkGetDisplayModePropertiesKHR = 0
PFN_vkGetDisplayPlaneCapabilities2KHR | vkGetDisplayPlaneCapabilities2KHR = 0
PFN_vkGetDisplayPlaneCapabilitiesKHR | vkGetDisplayPlaneCapabilitiesKHR = 0
PFN_vkGetDisplayPlaneSupportedDisplaysKHR | vkGetDisplayPlaneSupportedDisplaysKHR = 0
PFN_vkGetEventStatus | vkGetEventStatus = 0
PFN_vkGetFenceFdKHR | vkGetFenceFdKHR = 0
PFN_vkGetFenceStatus | vkGetFenceStatus = 0
PFN_vkGetImageDrmFormatModifierPropertiesEXT | vkGetImageDrmFormatModifierPropertiesEXT = 0
PFN_vkGetImageMemoryRequirements | vkGetImageMemoryRequirements = 0
PFN_vkGetImageMemoryRequirements2 | vkGetImageMemoryRequirements2 = 0
PFN_vkGetImageMemoryRequirements2KHR | vkGetImageMemoryRequirements2KHR = 0
PFN_vkGetImageSparseMemoryRequirements | vkGetImageSparseMemoryRequirements = 0
PFN_vkGetImageSparseMemoryRequirements2 | vkGetImageSparseMemoryRequirements2 = 0
PFN_vkGetImageSparseMemoryRequirements2KHR | vkGetImageSparseMemoryRequirements2KHR = 0
PFN_vkGetImageSubresourceLayout | vkGetImageSubresourceLayout = 0
PFN_vkGetInstanceProcAddr | vkGetInstanceProcAddr = 0
PFN_vkGetMemoryFdKHR | vkGetMemoryFdKHR = 0
PFN_vkGetMemoryFdPropertiesKHR | vkGetMemoryFdPropertiesKHR = 0
PFN_vkGetMemoryHostPointerPropertiesEXT | vkGetMemoryHostPointerPropertiesEXT = 0
PFN_vkGetPastPresentationTimingGOOGLE | vkGetPastPresentationTimingGOOGLE = 0
PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT | vkGetPhysicalDeviceCalibrateableTimeDomainsEXT = 0
PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR | vkGetPhysicalDeviceDisplayPlaneProperties2KHR = 0
PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR | vkGetPhysicalDeviceDisplayPlanePropertiesKHR = 0
PFN_vkGetPhysicalDeviceDisplayProperties2KHR | vkGetPhysicalDeviceDisplayProperties2KHR = 0
PFN_vkGetPhysicalDeviceDisplayPropertiesKHR | vkGetPhysicalDeviceDisplayPropertiesKHR = 0
PFN_vkGetPhysicalDeviceExternalBufferProperties | vkGetPhysicalDeviceExternalBufferProperties = 0
PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR | vkGetPhysicalDeviceExternalBufferPropertiesKHR = 0
PFN_vkGetPhysicalDeviceExternalFenceProperties | vkGetPhysicalDeviceExternalFenceProperties = 0
PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR | vkGetPhysicalDeviceExternalFencePropertiesKHR = 0
PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV | vkGetPhysicalDeviceExternalImageFormatPropertiesNV = 0
PFN_vkGetPhysicalDeviceExternalSemaphoreProperties | vkGetPhysicalDeviceExternalSemaphoreProperties = 0
PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR | vkGetPhysicalDeviceExternalSemaphorePropertiesKHR = 0
PFN_vkGetPhysicalDeviceFeatures | vkGetPhysicalDeviceFeatures = 0
PFN_vkGetPhysicalDeviceFeatures2 | vkGetPhysicalDeviceFeatures2 = 0
PFN_vkGetPhysicalDeviceFeatures2KHR | vkGetPhysicalDeviceFeatures2KHR = 0
PFN_vkGetPhysicalDeviceFormatProperties | vkGetPhysicalDeviceFormatProperties = 0
PFN_vkGetPhysicalDeviceFormatProperties2 | vkGetPhysicalDeviceFormatProperties2 = 0
PFN_vkGetPhysicalDeviceFormatProperties2KHR | vkGetPhysicalDeviceFormatProperties2KHR = 0
PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX | vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX = 0
PFN_vkGetPhysicalDeviceImageFormatProperties | vkGetPhysicalDeviceImageFormatProperties = 0
PFN_vkGetPhysicalDeviceImageFormatProperties2 | vkGetPhysicalDeviceImageFormatProperties2 = 0
PFN_vkGetPhysicalDeviceImageFormatProperties2KHR | vkGetPhysicalDeviceImageFormatProperties2KHR = 0
PFN_vkGetPhysicalDeviceMemoryProperties | vkGetPhysicalDeviceMemoryProperties = 0
PFN_vkGetPhysicalDeviceMemoryProperties2 | vkGetPhysicalDeviceMemoryProperties2 = 0
PFN_vkGetPhysicalDeviceMemoryProperties2KHR | vkGetPhysicalDeviceMemoryProperties2KHR = 0
PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT | vkGetPhysicalDeviceMultisamplePropertiesEXT = 0
PFN_vkGetPhysicalDevicePresentRectanglesKHR | vkGetPhysicalDevicePresentRectanglesKHR = 0
PFN_vkGetPhysicalDeviceProperties | vkGetPhysicalDeviceProperties = 0
PFN_vkGetPhysicalDeviceProperties2 | vkGetPhysicalDeviceProperties2 = 0
PFN_vkGetPhysicalDeviceProperties2KHR | vkGetPhysicalDeviceProperties2KHR = 0
PFN_vkGetPhysicalDeviceQueueFamilyProperties | vkGetPhysicalDeviceQueueFamilyProperties = 0
PFN_vkGetPhysicalDeviceQueueFamilyProperties2 | vkGetPhysicalDeviceQueueFamilyProperties2 = 0
PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR | vkGetPhysicalDeviceQueueFamilyProperties2KHR = 0
PFN_vkGetPhysicalDeviceSparseImageFormatProperties | vkGetPhysicalDeviceSparseImageFormatProperties = 0
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2 | vkGetPhysicalDeviceSparseImageFormatProperties2 = 0
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR | vkGetPhysicalDeviceSparseImageFormatProperties2KHR = 0
PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT | vkGetPhysicalDeviceSurfaceCapabilities2EXT = 0
PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR | vkGetPhysicalDeviceSurfaceCapabilities2KHR = 0
PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR | vkGetPhysicalDeviceSurfaceCapabilitiesKHR = 0
PFN_vkGetPhysicalDeviceSurfaceFormats2KHR | vkGetPhysicalDeviceSurfaceFormats2KHR = 0
PFN_vkGetPhysicalDeviceSurfaceFormatsKHR | vkGetPhysicalDeviceSurfaceFormatsKHR = 0
PFN_vkGetPhysicalDeviceSurfacePresentModesKHR | vkGetPhysicalDeviceSurfacePresentModesKHR = 0
PFN_vkGetPhysicalDeviceSurfaceSupportKHR | vkGetPhysicalDeviceSurfaceSupportKHR = 0
PFN_vkGetPipelineCacheData | vkGetPipelineCacheData = 0
PFN_vkGetQueryPoolResults | vkGetQueryPoolResults = 0
PFN_vkGetQueueCheckpointDataNV | vkGetQueueCheckpointDataNV = 0
PFN_vkGetRayTracingShaderGroupHandlesNV | vkGetRayTracingShaderGroupHandlesNV = 0
PFN_vkGetRefreshCycleDurationGOOGLE | vkGetRefreshCycleDurationGOOGLE = 0
PFN_vkGetRenderAreaGranularity | vkGetRenderAreaGranularity = 0
PFN_vkGetSemaphoreFdKHR | vkGetSemaphoreFdKHR = 0
PFN_vkGetShaderInfoAMD | vkGetShaderInfoAMD = 0
PFN_vkGetSwapchainCounterEXT | vkGetSwapchainCounterEXT = 0
PFN_vkGetSwapchainImagesKHR | vkGetSwapchainImagesKHR = 0
PFN_vkGetSwapchainStatusKHR | vkGetSwapchainStatusKHR = 0
PFN_vkGetValidationCacheDataEXT | vkGetValidationCacheDataEXT = 0
PFN_vkImportFenceFdKHR | vkImportFenceFdKHR = 0
PFN_vkImportSemaphoreFdKHR | vkImportSemaphoreFdKHR = 0
PFN_vkInvalidateMappedMemoryRanges | vkInvalidateMappedMemoryRanges = 0
PFN_vkMapMemory | vkMapMemory = 0
PFN_vkMergePipelineCaches | vkMergePipelineCaches = 0
PFN_vkMergeValidationCachesEXT | vkMergeValidationCachesEXT = 0
PFN_vkQueueBeginDebugUtilsLabelEXT | vkQueueBeginDebugUtilsLabelEXT = 0
PFN_vkQueueBindSparse | vkQueueBindSparse = 0
PFN_vkQueueEndDebugUtilsLabelEXT | vkQueueEndDebugUtilsLabelEXT = 0
PFN_vkQueueInsertDebugUtilsLabelEXT | vkQueueInsertDebugUtilsLabelEXT = 0
PFN_vkQueuePresentKHR | vkQueuePresentKHR = 0
PFN_vkQueueSubmit | vkQueueSubmit = 0
PFN_vkQueueWaitIdle | vkQueueWaitIdle = 0
PFN_vkRegisterDeviceEventEXT | vkRegisterDeviceEventEXT = 0
PFN_vkRegisterDisplayEventEXT | vkRegisterDisplayEventEXT = 0
PFN_vkRegisterObjectsNVX | vkRegisterObjectsNVX = 0
PFN_vkReleaseDisplayEXT | vkReleaseDisplayEXT = 0
PFN_vkResetCommandBuffer | vkResetCommandBuffer = 0
PFN_vkResetCommandPool | vkResetCommandPool = 0
PFN_vkResetDescriptorPool | vkResetDescriptorPool = 0
PFN_vkResetEvent | vkResetEvent = 0
PFN_vkResetFences | vkResetFences = 0
PFN_vkSetDebugUtilsObjectNameEXT | vkSetDebugUtilsObjectNameEXT = 0
PFN_vkSetDebugUtilsObjectTagEXT | vkSetDebugUtilsObjectTagEXT = 0
PFN_vkSetEvent | vkSetEvent = 0
PFN_vkSetHdrMetadataEXT | vkSetHdrMetadataEXT = 0
PFN_vkSubmitDebugUtilsMessageEXT | vkSubmitDebugUtilsMessageEXT = 0
PFN_vkTrimCommandPool | vkTrimCommandPool = 0
PFN_vkTrimCommandPoolKHR | vkTrimCommandPoolKHR = 0
PFN_vkUnmapMemory | vkUnmapMemory = 0
PFN_vkUnregisterObjectsNVX | vkUnregisterObjectsNVX = 0
PFN_vkUpdateDescriptorSetWithTemplate | vkUpdateDescriptorSetWithTemplate = 0
PFN_vkUpdateDescriptorSetWithTemplateKHR | vkUpdateDescriptorSetWithTemplateKHR = 0
PFN_vkUpdateDescriptorSets | vkUpdateDescriptorSets = 0
PFN_vkWaitForFences | vkWaitForFences = 0

## Detailed Description

Definition at line 52260 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DispatchLoaderDynamic()

VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::DispatchLoaderDynamic | ( | Instance | instance = `Instance()`,
|  | Device | device = `Device()`
| ) |  |

inline

Definition at line 52653 of file vulkan.hpp.

{
if (instance)
{
init(instance, device);
}
}

References device, and init().

## Member Function Documentation

## init()

void VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init | ( | Instance | instance,
|  | Device | device = `Device()`
| ) |  |

inline

Definition at line 52661 of file vulkan.hpp.

{
vkAcquireNextImage2KHR = PFN_vkAcquireNextImage2KHR(device ? device.getProcAddr( "vkAcquireNextImage2KHR") : instance.getProcAddr( "vkAcquireNextImage2KHR"));
vkAcquireNextImageKHR = PFN_vkAcquireNextImageKHR(device ? device.getProcAddr( "vkAcquireNextImageKHR") : instance.getProcAddr( "vkAcquireNextImageKHR"));
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_NV
vkAcquireXlibDisplayEXT = PFN_vkAcquireXlibDisplayEXT(instance.getProcAddr( "vkAcquireXlibDisplayEXT"));
#endif /*VK_USE_PLATFORM_XLIB_XRANDR_NV*/
vkAllocateCommandBuffers = PFN_vkAllocateCommandBuffers(device ? device.getProcAddr( "vkAllocateCommandBuffers") : instance.getProcAddr( "vkAllocateCommandBuffers"));
vkAllocateDescriptorSets = PFN_vkAllocateDescriptorSets(device ? device.getProcAddr( "vkAllocateDescriptorSets") : instance.getProcAddr( "vkAllocateDescriptorSets"));
vkAllocateMemory = PFN_vkAllocateMemory(device ? device.getProcAddr( "vkAllocateMemory") : instance.getProcAddr( "vkAllocateMemory"));
vkBeginCommandBuffer = PFN_vkBeginCommandBuffer(device ? device.getProcAddr( "vkBeginCommandBuffer") : instance.getProcAddr( "vkBeginCommandBuffer"));
vkBindAccelerationStructureMemoryNV = PFN_vkBindAccelerationStructureMemoryNV(device ? device.getProcAddr( "vkBindAccelerationStructureMemoryNV") : instance.getProcAddr( "vkBindAccelerationStructureMemoryNV"));
vkBindBufferMemory = PFN_vkBindBufferMemory(device ? device.getProcAddr( "vkBindBufferMemory") : instance.getProcAddr( "vkBindBufferMemory"));
vkBindBufferMemory2 = PFN_vkBindBufferMemory2(device ? device.getProcAddr( "vkBindBufferMemory2") : instance.getProcAddr( "vkBindBufferMemory2"));
vkBindBufferMemory2KHR = PFN_vkBindBufferMemory2KHR(device ? device.getProcAddr( "vkBindBufferMemory2KHR") : instance.getProcAddr( "vkBindBufferMemory2KHR"));
vkBindImageMemory = PFN_vkBindImageMemory(device ? device.getProcAddr( "vkBindImageMemory") : instance.getProcAddr( "vkBindImageMemory"));
vkBindImageMemory2 = PFN_vkBindImageMemory2(device ? device.getProcAddr( "vkBindImageMemory2") : instance.getProcAddr( "vkBindImageMemory2"));
vkBindImageMemory2KHR = PFN_vkBindImageMemory2KHR(device ? device.getProcAddr( "vkBindImageMemory2KHR") : instance.getProcAddr( "vkBindImageMemory2KHR"));
vkCmdBeginConditionalRenderingEXT = PFN_vkCmdBeginConditionalRenderingEXT(device ? device.getProcAddr( "vkCmdBeginConditionalRenderingEXT") : instance.getProcAddr( "vkCmdBeginConditionalRenderingEXT"));
vkCmdBeginDebugUtilsLabelEXT = PFN_vkCmdBeginDebugUtilsLabelEXT(device ? device.getProcAddr( "vkCmdBeginDebugUtilsLabelEXT") : instance.getProcAddr( "vkCmdBeginDebugUtilsLabelEXT"));
vkCmdBeginQuery = PFN_vkCmdBeginQuery(device ? device.getProcAddr( "vkCmdBeginQuery") : instance.getProcAddr( "vkCmdBeginQuery"));
vkCmdBeginQueryIndexedEXT = PFN_vkCmdBeginQueryIndexedEXT(device ? device.getProcAddr( "vkCmdBeginQueryIndexedEXT") : instance.getProcAddr( "vkCmdBeginQueryIndexedEXT"));
vkCmdBeginRenderPass = PFN_vkCmdBeginRenderPass(device ? device.getProcAddr( "vkCmdBeginRenderPass") : instance.getProcAddr( "vkCmdBeginRenderPass"));
vkCmdBeginRenderPass2KHR = PFN_vkCmdBeginRenderPass2KHR(device ? device.getProcAddr( "vkCmdBeginRenderPass2KHR") : instance.getProcAddr( "vkCmdBeginRenderPass2KHR"));
vkCmdBeginTransformFeedbackEXT = PFN_vkCmdBeginTransformFeedbackEXT(device ? device.getProcAddr( "vkCmdBeginTransformFeedbackEXT") : instance.getProcAddr( "vkCmdBeginTransformFeedbackEXT"));
vkCmdBindDescriptorSets = PFN_vkCmdBindDescriptorSets(device ? device.getProcAddr( "vkCmdBindDescriptorSets") : instance.getProcAddr( "vkCmdBindDescriptorSets"));
vkCmdBindIndexBuffer = PFN_vkCmdBindIndexBuffer(device ? device.getProcAddr( "vkCmdBindIndexBuffer") : instance.getProcAddr( "vkCmdBindIndexBuffer"));
vkCmdBindPipeline = PFN_vkCmdBindPipeline(device ? device.getProcAddr( "vkCmdBindPipeline") : instance.getProcAddr( "vkCmdBindPipeline"));
vkCmdBindShadingRateImageNV = PFN_vkCmdBindShadingRateImageNV(device ? device.getProcAddr( "vkCmdBindShadingRateImageNV") : instance.getProcAddr( "vkCmdBindShadingRateImageNV"));
vkCmdBindTransformFeedbackBuffersEXT = PFN_vkCmdBindTransformFeedbackBuffersEXT(device ? device.getProcAddr( "vkCmdBindTransformFeedbackBuffersEXT") : instance.getProcAddr( "vkCmdBindTransformFeedbackBuffersEXT"));
vkCmdBindVertexBuffers = PFN_vkCmdBindVertexBuffers(device ? device.getProcAddr( "vkCmdBindVertexBuffers") : instance.getProcAddr( "vkCmdBindVertexBuffers"));
vkCmdBlitImage = PFN_vkCmdBlitImage(device ? device.getProcAddr( "vkCmdBlitImage") : instance.getProcAddr( "vkCmdBlitImage"));
vkCmdBuildAccelerationStructureNV = PFN_vkCmdBuildAccelerationStructureNV(device ? device.getProcAddr( "vkCmdBuildAccelerationStructureNV") : instance.getProcAddr( "vkCmdBuildAccelerationStructureNV"));
vkCmdClearAttachments = PFN_vkCmdClearAttachments(device ? device.getProcAddr( "vkCmdClearAttachments") : instance.getProcAddr( "vkCmdClearAttachments"));
vkCmdClearColorImage = PFN_vkCmdClearColorImage(device ? device.getProcAddr( "vkCmdClearColorImage") : instance.getProcAddr( "vkCmdClearColorImage"));
vkCmdClearDepthStencilImage = PFN_vkCmdClearDepthStencilImage(device ? device.getProcAddr( "vkCmdClearDepthStencilImage") : instance.getProcAddr( "vkCmdClearDepthStencilImage"));
vkCmdCopyAccelerationStructureNV = PFN_vkCmdCopyAccelerationStructureNV(device ? device.getProcAddr( "vkCmdCopyAccelerationStructureNV") : instance.getProcAddr( "vkCmdCopyAccelerationStructureNV"));
vkCmdCopyBuffer = PFN_vkCmdCopyBuffer(device ? device.getProcAddr( "vkCmdCopyBuffer") : instance.getProcAddr( "vkCmdCopyBuffer"));
vkCmdCopyBufferToImage = PFN_vkCmdCopyBufferToImage(device ? device.getProcAddr( "vkCmdCopyBufferToImage") : instance.getProcAddr( "vkCmdCopyBufferToImage"));
vkCmdCopyImage = PFN_vkCmdCopyImage(device ? device.getProcAddr( "vkCmdCopyImage") : instance.getProcAddr( "vkCmdCopyImage"));
vkCmdCopyImageToBuffer = PFN_vkCmdCopyImageToBuffer(device ? device.getProcAddr( "vkCmdCopyImageToBuffer") : instance.getProcAddr( "vkCmdCopyImageToBuffer"));
vkCmdCopyQueryPoolResults = PFN_vkCmdCopyQueryPoolResults(device ? device.getProcAddr( "vkCmdCopyQueryPoolResults") : instance.getProcAddr( "vkCmdCopyQueryPoolResults"));
vkCmdDebugMarkerBeginEXT = PFN_vkCmdDebugMarkerBeginEXT(device ? device.getProcAddr( "vkCmdDebugMarkerBeginEXT") : instance.getProcAddr( "vkCmdDebugMarkerBeginEXT"));
vkCmdDebugMarkerEndEXT = PFN_vkCmdDebugMarkerEndEXT(device ? device.getProcAddr( "vkCmdDebugMarkerEndEXT") : instance.getProcAddr( "vkCmdDebugMarkerEndEXT"));
vkCmdDebugMarkerInsertEXT = PFN_vkCmdDebugMarkerInsertEXT(device ? device.getProcAddr( "vkCmdDebugMarkerInsertEXT") : instance.getProcAddr( "vkCmdDebugMarkerInsertEXT"));
vkCmdDispatch = PFN_vkCmdDispatch(device ? device.getProcAddr( "vkCmdDispatch") : instance.getProcAddr( "vkCmdDispatch"));
vkCmdDispatchBase = PFN_vkCmdDispatchBase(device ? device.getProcAddr( "vkCmdDispatchBase") : instance.getProcAddr( "vkCmdDispatchBase"));
vkCmdDispatchBaseKHR = PFN_vkCmdDispatchBaseKHR(device ? device.getProcAddr( "vkCmdDispatchBaseKHR") : instance.getProcAddr( "vkCmdDispatchBaseKHR"));
vkCmdDispatchIndirect = PFN_vkCmdDispatchIndirect(device ? device.getProcAddr( "vkCmdDispatchIndirect") : instance.getProcAddr( "vkCmdDispatchIndirect"));
vkCmdDraw = PFN_vkCmdDraw(device ? device.getProcAddr( "vkCmdDraw") : instance.getProcAddr( "vkCmdDraw"));
vkCmdDrawIndexed = PFN_vkCmdDrawIndexed(device ? device.getProcAddr( "vkCmdDrawIndexed") : instance.getProcAddr( "vkCmdDrawIndexed"));
vkCmdDrawIndexedIndirect = PFN_vkCmdDrawIndexedIndirect(device ? device.getProcAddr( "vkCmdDrawIndexedIndirect") : instance.getProcAddr( "vkCmdDrawIndexedIndirect"));
vkCmdDrawIndexedIndirectCountAMD = PFN_vkCmdDrawIndexedIndirectCountAMD(device ? device.getProcAddr( "vkCmdDrawIndexedIndirectCountAMD") : instance.getProcAddr( "vkCmdDrawIndexedIndirectCountAMD"));
vkCmdDrawIndexedIndirectCountKHR = PFN_vkCmdDrawIndexedIndirectCountKHR(device ? device.getProcAddr( "vkCmdDrawIndexedIndirectCountKHR") : instance.getProcAddr( "vkCmdDrawIndexedIndirectCountKHR"));
vkCmdDrawIndirect = PFN_vkCmdDrawIndirect(device ? device.getProcAddr( "vkCmdDrawIndirect") : instance.getProcAddr( "vkCmdDrawIndirect"));
vkCmdDrawIndirectByteCountEXT = PFN_vkCmdDrawIndirectByteCountEXT(device ? device.getProcAddr( "vkCmdDrawIndirectByteCountEXT") : instance.getProcAddr( "vkCmdDrawIndirectByteCountEXT"));
vkCmdDrawIndirectCountAMD = PFN_vkCmdDrawIndirectCountAMD(device ? device.getProcAddr( "vkCmdDrawIndirectCountAMD") : instance.getProcAddr( "vkCmdDrawIndirectCountAMD"));
vkCmdDrawIndirectCountKHR = PFN_vkCmdDrawIndirectCountKHR(device ? device.getProcAddr( "vkCmdDrawIndirectCountKHR") : instance.getProcAddr( "vkCmdDrawIndirectCountKHR"));
vkCmdDrawMeshTasksIndirectCountNV = PFN_vkCmdDrawMeshTasksIndirectCountNV(device ? device.getProcAddr( "vkCmdDrawMeshTasksIndirectCountNV") : instance.getProcAddr( "vkCmdDrawMeshTasksIndirectCountNV"));
vkCmdDrawMeshTasksIndirectNV = PFN_vkCmdDrawMeshTasksIndirectNV(device ? device.getProcAddr( "vkCmdDrawMeshTasksIndirectNV") : instance.getProcAddr( "vkCmdDrawMeshTasksIndirectNV"));
vkCmdDrawMeshTasksNV = PFN_vkCmdDrawMeshTasksNV(device ? device.getProcAddr( "vkCmdDrawMeshTasksNV") : instance.getProcAddr( "vkCmdDrawMeshTasksNV"));
vkCmdEndConditionalRenderingEXT = PFN_vkCmdEndConditionalRenderingEXT(device ? device.getProcAddr( "vkCmdEndConditionalRenderingEXT") : instance.getProcAddr( "vkCmdEndConditionalRenderingEXT"));
vkCmdEndDebugUtilsLabelEXT = PFN_vkCmdEndDebugUtilsLabelEXT(device ? device.getProcAddr( "vkCmdEndDebugUtilsLabelEXT") : instance.getProcAddr( "vkCmdEndDebugUtilsLabelEXT"));
vkCmdEndQuery = PFN_vkCmdEndQuery(device ? device.getProcAddr( "vkCmdEndQuery") : instance.getProcAddr( "vkCmdEndQuery"));
vkCmdEndQueryIndexedEXT = PFN_vkCmdEndQueryIndexedEXT(device ? device.getProcAddr( "vkCmdEndQueryIndexedEXT") : instance.getProcAddr( "vkCmdEndQueryIndexedEXT"));
vkCmdEndRenderPass = PFN_vkCmdEndRenderPass(device ? device.getProcAddr( "vkCmdEndRenderPass") : instance.getProcAddr( "vkCmdEndRenderPass"));
vkCmdEndRenderPass2KHR = PFN_vkCmdEndRenderPass2KHR(device ? device.getProcAddr( "vkCmdEndRenderPass2KHR") : instance.getProcAddr( "vkCmdEndRenderPass2KHR"));
vkCmdEndTransformFeedbackEXT = PFN_vkCmdEndTransformFeedbackEXT(device ? device.getProcAddr( "vkCmdEndTransformFeedbackEXT") : instance.getProcAddr( "vkCmdEndTransformFeedbackEXT"));
vkCmdExecuteCommands = PFN_vkCmdExecuteCommands(device ? device.getProcAddr( "vkCmdExecuteCommands") : instance.getProcAddr( "vkCmdExecuteCommands"));
vkCmdFillBuffer = PFN_vkCmdFillBuffer(device ? device.getProcAddr( "vkCmdFillBuffer") : instance.getProcAddr( "vkCmdFillBuffer"));
vkCmdInsertDebugUtilsLabelEXT = PFN_vkCmdInsertDebugUtilsLabelEXT(device ? device.getProcAddr( "vkCmdInsertDebugUtilsLabelEXT") : instance.getProcAddr( "vkCmdInsertDebugUtilsLabelEXT"));
vkCmdNextSubpass = PFN_vkCmdNextSubpass(device ? device.getProcAddr( "vkCmdNextSubpass") : instance.getProcAddr( "vkCmdNextSubpass"));
vkCmdNextSubpass2KHR = PFN_vkCmdNextSubpass2KHR(device ? device.getProcAddr( "vkCmdNextSubpass2KHR") : instance.getProcAddr( "vkCmdNextSubpass2KHR"));
vkCmdPipelineBarrier = PFN_vkCmdPipelineBarrier(device ? device.getProcAddr( "vkCmdPipelineBarrier") : instance.getProcAddr( "vkCmdPipelineBarrier"));
vkCmdProcessCommandsNVX = PFN_vkCmdProcessCommandsNVX(device ? device.getProcAddr( "vkCmdProcessCommandsNVX") : instance.getProcAddr( "vkCmdProcessCommandsNVX"));
vkCmdPushConstants = PFN_vkCmdPushConstants(device ? device.getProcAddr( "vkCmdPushConstants") : instance.getProcAddr( "vkCmdPushConstants"));
vkCmdPushDescriptorSetKHR = PFN_vkCmdPushDescriptorSetKHR(device ? device.getProcAddr( "vkCmdPushDescriptorSetKHR") : instance.getProcAddr( "vkCmdPushDescriptorSetKHR"));
vkCmdPushDescriptorSetWithTemplateKHR = PFN_vkCmdPushDescriptorSetWithTemplateKHR(device ? device.getProcAddr( "vkCmdPushDescriptorSetWithTemplateKHR") : instance.getProcAddr( "vkCmdPushDescriptorSetWithTemplateKHR"));
vkCmdReserveSpaceForCommandsNVX = PFN_vkCmdReserveSpaceForCommandsNVX(device ? device.getProcAddr( "vkCmdReserveSpaceForCommandsNVX") : instance.getProcAddr( "vkCmdReserveSpaceForCommandsNVX"));
vkCmdResetEvent = PFN_vkCmdResetEvent(device ? device.getProcAddr( "vkCmdResetEvent") : instance.getProcAddr( "vkCmdResetEvent"));
vkCmdResetQueryPool = PFN_vkCmdResetQueryPool(device ? device.getProcAddr( "vkCmdResetQueryPool") : instance.getProcAddr( "vkCmdResetQueryPool"));
vkCmdResolveImage = PFN_vkCmdResolveImage(device ? device.getProcAddr( "vkCmdResolveImage") : instance.getProcAddr( "vkCmdResolveImage"));
vkCmdSetBlendConstants = PFN_vkCmdSetBlendConstants(device ? device.getProcAddr( "vkCmdSetBlendConstants") : instance.getProcAddr( "vkCmdSetBlendConstants"));
vkCmdSetCheckpointNV = PFN_vkCmdSetCheckpointNV(device ? device.getProcAddr( "vkCmdSetCheckpointNV") : instance.getProcAddr( "vkCmdSetCheckpointNV"));
vkCmdSetCoarseSampleOrderNV = PFN_vkCmdSetCoarseSampleOrderNV(device ? device.getProcAddr( "vkCmdSetCoarseSampleOrderNV") : instance.getProcAddr( "vkCmdSetCoarseSampleOrderNV"));
vkCmdSetDepthBias = PFN_vkCmdSetDepthBias(device ? device.getProcAddr( "vkCmdSetDepthBias") : instance.getProcAddr( "vkCmdSetDepthBias"));
vkCmdSetDepthBounds = PFN_vkCmdSetDepthBounds(device ? device.getProcAddr( "vkCmdSetDepthBounds") : instance.getProcAddr( "vkCmdSetDepthBounds"));
vkCmdSetDeviceMask = PFN_vkCmdSetDeviceMask(device ? device.getProcAddr( "vkCmdSetDeviceMask") : instance.getProcAddr( "vkCmdSetDeviceMask"));
vkCmdSetDeviceMaskKHR = PFN_vkCmdSetDeviceMaskKHR(device ? device.getProcAddr( "vkCmdSetDeviceMaskKHR") : instance.getProcAddr( "vkCmdSetDeviceMaskKHR"));
vkCmdSetDiscardRectangleEXT = PFN_vkCmdSetDiscardRectangleEXT(device ? device.getProcAddr( "vkCmdSetDiscardRectangleEXT") : instance.getProcAddr( "vkCmdSetDiscardRectangleEXT"));
vkCmdSetEvent = PFN_vkCmdSetEvent(device ? device.getProcAddr( "vkCmdSetEvent") : instance.getProcAddr( "vkCmdSetEvent"));
vkCmdSetExclusiveScissorNV = PFN_vkCmdSetExclusiveScissorNV(device ? device.getProcAddr( "vkCmdSetExclusiveScissorNV") : instance.getProcAddr( "vkCmdSetExclusiveScissorNV"));
vkCmdSetLineWidth = PFN_vkCmdSetLineWidth(device ? device.getProcAddr( "vkCmdSetLineWidth") : instance.getProcAddr( "vkCmdSetLineWidth"));
vkCmdSetSampleLocationsEXT = PFN_vkCmdSetSampleLocationsEXT(device ? device.getProcAddr( "vkCmdSetSampleLocationsEXT") : instance.getProcAddr( "vkCmdSetSampleLocationsEXT"));
vkCmdSetScissor = PFN_vkCmdSetScissor(device ? device.getProcAddr( "vkCmdSetScissor") : instance.getProcAddr( "vkCmdSetScissor"));
vkCmdSetStencilCompareMask = PFN_vkCmdSetStencilCompareMask(device ? device.getProcAddr( "vkCmdSetStencilCompareMask") : instance.getProcAddr( "vkCmdSetStencilCompareMask"));
vkCmdSetStencilReference = PFN_vkCmdSetStencilReference(device ? device.getProcAddr( "vkCmdSetStencilReference") : instance.getProcAddr( "vkCmdSetStencilReference"));
vkCmdSetStencilWriteMask = PFN_vkCmdSetStencilWriteMask(device ? device.getProcAddr( "vkCmdSetStencilWriteMask") : instance.getProcAddr( "vkCmdSetStencilWriteMask"));
vkCmdSetViewport = PFN_vkCmdSetViewport(device ? device.getProcAddr( "vkCmdSetViewport") : instance.getProcAddr( "vkCmdSetViewport"));
vkCmdSetViewportShadingRatePaletteNV = PFN_vkCmdSetViewportShadingRatePaletteNV(device ? device.getProcAddr( "vkCmdSetViewportShadingRatePaletteNV") : instance.getProcAddr( "vkCmdSetViewportShadingRatePaletteNV"));
vkCmdSetViewportWScalingNV = PFN_vkCmdSetViewportWScalingNV(device ? device.getProcAddr( "vkCmdSetViewportWScalingNV") : instance.getProcAddr( "vkCmdSetViewportWScalingNV"));
vkCmdTraceRaysNV = PFN_vkCmdTraceRaysNV(device ? device.getProcAddr( "vkCmdTraceRaysNV") : instance.getProcAddr( "vkCmdTraceRaysNV"));
vkCmdUpdateBuffer = PFN_vkCmdUpdateBuffer(device ? device.getProcAddr( "vkCmdUpdateBuffer") : instance.getProcAddr( "vkCmdUpdateBuffer"));
vkCmdWaitEvents = PFN_vkCmdWaitEvents(device ? device.getProcAddr( "vkCmdWaitEvents") : instance.getProcAddr( "vkCmdWaitEvents"));
vkCmdWriteAccelerationStructuresPropertiesNV = PFN_vkCmdWriteAccelerationStructuresPropertiesNV(device ? device.getProcAddr( "vkCmdWriteAccelerationStructuresPropertiesNV") : instance.getProcAddr( "vkCmdWriteAccelerationStructuresPropertiesNV"));
vkCmdWriteBufferMarkerAMD = PFN_vkCmdWriteBufferMarkerAMD(device ? device.getProcAddr( "vkCmdWriteBufferMarkerAMD") : instance.getProcAddr( "vkCmdWriteBufferMarkerAMD"));
vkCmdWriteTimestamp = PFN_vkCmdWriteTimestamp(device ? device.getProcAddr( "vkCmdWriteTimestamp") : instance.getProcAddr( "vkCmdWriteTimestamp"));
vkCompileDeferredNV = PFN_vkCompileDeferredNV(device ? device.getProcAddr( "vkCompileDeferredNV") : instance.getProcAddr( "vkCompileDeferredNV"));
vkCreateAccelerationStructureNV = PFN_vkCreateAccelerationStructureNV(device ? device.getProcAddr( "vkCreateAccelerationStructureNV") : instance.getProcAddr( "vkCreateAccelerationStructureNV"));
#ifdef VK_USE_PLATFORM_ANDROID_KHR
vkCreateAndroidSurfaceKHR = PFN_vkCreateAndroidSurfaceKHR(instance.getProcAddr( "vkCreateAndroidSurfaceKHR"));
#endif /*VK_USE_PLATFORM_ANDROID_KHR*/
vkCreateBuffer = PFN_vkCreateBuffer(device ? device.getProcAddr( "vkCreateBuffer") : instance.getProcAddr( "vkCreateBuffer"));
vkCreateBufferView = PFN_vkCreateBufferView(device ? device.getProcAddr( "vkCreateBufferView") : instance.getProcAddr( "vkCreateBufferView"));
vkCreateCommandPool = PFN_vkCreateCommandPool(device ? device.getProcAddr( "vkCreateCommandPool") : instance.getProcAddr( "vkCreateCommandPool"));
vkCreateComputePipelines = PFN_vkCreateComputePipelines(device ? device.getProcAddr( "vkCreateComputePipelines") : instance.getProcAddr( "vkCreateComputePipelines"));
vkCreateDebugReportCallbackEXT = PFN_vkCreateDebugReportCallbackEXT(instance.getProcAddr( "vkCreateDebugReportCallbackEXT"));
vkCreateDebugUtilsMessengerEXT = PFN_vkCreateDebugUtilsMessengerEXT(instance.getProcAddr( "vkCreateDebugUtilsMessengerEXT"));
vkCreateDescriptorPool = PFN_vkCreateDescriptorPool(device ? device.getProcAddr( "vkCreateDescriptorPool") : instance.getProcAddr( "vkCreateDescriptorPool"));
vkCreateDescriptorSetLayout = PFN_vkCreateDescriptorSetLayout(device ? device.getProcAddr( "vkCreateDescriptorSetLayout") : instance.getProcAddr( "vkCreateDescriptorSetLayout"));
vkCreateDescriptorUpdateTemplate = PFN_vkCreateDescriptorUpdateTemplate(device ? device.getProcAddr( "vkCreateDescriptorUpdateTemplate") : instance.getProcAddr( "vkCreateDescriptorUpdateTemplate"));
vkCreateDescriptorUpdateTemplateKHR = PFN_vkCreateDescriptorUpdateTemplateKHR(device ? device.getProcAddr( "vkCreateDescriptorUpdateTemplateKHR") : instance.getProcAddr( "vkCreateDescriptorUpdateTemplateKHR"));
vkCreateDevice = PFN_vkCreateDevice(instance.getProcAddr( "vkCreateDevice"));
vkCreateDisplayModeKHR = PFN_vkCreateDisplayModeKHR(instance.getProcAddr( "vkCreateDisplayModeKHR"));
vkCreateDisplayPlaneSurfaceKHR = PFN_vkCreateDisplayPlaneSurfaceKHR(instance.getProcAddr( "vkCreateDisplayPlaneSurfaceKHR"));
vkCreateEvent = PFN_vkCreateEvent(device ? device.getProcAddr( "vkCreateEvent") : instance.getProcAddr( "vkCreateEvent"));
vkCreateFence = PFN_vkCreateFence(device ? device.getProcAddr( "vkCreateFence") : instance.getProcAddr( "vkCreateFence"));
vkCreateFramebuffer = PFN_vkCreateFramebuffer(device ? device.getProcAddr( "vkCreateFramebuffer") : instance.getProcAddr( "vkCreateFramebuffer"));
vkCreateGraphicsPipelines = PFN_vkCreateGraphicsPipelines(device ? device.getProcAddr( "vkCreateGraphicsPipelines") : instance.getProcAddr( "vkCreateGraphicsPipelines"));
#ifdef VK_USE_PLATFORM_IOS_MVK
vkCreateIOSSurfaceMVK = PFN_vkCreateIOSSurfaceMVK(instance.getProcAddr( "vkCreateIOSSurfaceMVK"));
#endif /*VK_USE_PLATFORM_IOS_MVK*/
vkCreateImage = PFN_vkCreateImage(device ? device.getProcAddr( "vkCreateImage") : instance.getProcAddr( "vkCreateImage"));
#ifdef VK_USE_PLATFORM_FUCHSIA_FUCHSIA
vkCreateImagePipeSurfaceFUCHSIA = PFN_vkCreateImagePipeSurfaceFUCHSIA(instance.getProcAddr( "vkCreateImagePipeSurfaceFUCHSIA"));
#endif /*VK_USE_PLATFORM_FUCHSIA_FUCHSIA*/
vkCreateImageView = PFN_vkCreateImageView(device ? device.getProcAddr( "vkCreateImageView") : instance.getProcAddr( "vkCreateImageView"));
vkCreateIndirectCommandsLayoutNVX = PFN_vkCreateIndirectCommandsLayoutNVX(device ? device.getProcAddr( "vkCreateIndirectCommandsLayoutNVX") : instance.getProcAddr( "vkCreateIndirectCommandsLayoutNVX"));
vkCreateInstance = PFN_vkCreateInstance(instance.getProcAddr( "vkCreateInstance"));
#ifdef VK_USE_PLATFORM_MACOS_MVK
vkCreateMacOSSurfaceMVK = PFN_vkCreateMacOSSurfaceMVK(instance.getProcAddr( "vkCreateMacOSSurfaceMVK"));
#endif /*VK_USE_PLATFORM_MACOS_MVK*/
vkCreateObjectTableNVX = PFN_vkCreateObjectTableNVX(device ? device.getProcAddr( "vkCreateObjectTableNVX") : instance.getProcAddr( "vkCreateObjectTableNVX"));
vkCreatePipelineCache = PFN_vkCreatePipelineCache(device ? device.getProcAddr( "vkCreatePipelineCache") : instance.getProcAddr( "vkCreatePipelineCache"));
vkCreatePipelineLayout = PFN_vkCreatePipelineLayout(device ? device.getProcAddr( "vkCreatePipelineLayout") : instance.getProcAddr( "vkCreatePipelineLayout"));
vkCreateQueryPool = PFN_vkCreateQueryPool(device ? device.getProcAddr( "vkCreateQueryPool") : instance.getProcAddr( "vkCreateQueryPool"));
vkCreateRayTracingPipelinesNV = PFN_vkCreateRayTracingPipelinesNV(device ? device.getProcAddr( "vkCreateRayTracingPipelinesNV") : instance.getProcAddr( "vkCreateRayTracingPipelinesNV"));
vkCreateRenderPass = PFN_vkCreateRenderPass(device ? device.getProcAddr( "vkCreateRenderPass") : instance.getProcAddr( "vkCreateRenderPass"));
vkCreateRenderPass2KHR = PFN_vkCreateRenderPass2KHR(device ? device.getProcAddr( "vkCreateRenderPass2KHR") : instance.getProcAddr( "vkCreateRenderPass2KHR"));
vkCreateSampler = PFN_vkCreateSampler(device ? device.getProcAddr( "vkCreateSampler") : instance.getProcAddr( "vkCreateSampler"));
vkCreateSamplerYcbcrConversion = PFN_vkCreateSamplerYcbcrConversion(device ? device.getProcAddr( "vkCreateSamplerYcbcrConversion") : instance.getProcAddr( "vkCreateSamplerYcbcrConversion"));
vkCreateSamplerYcbcrConversionKHR = PFN_vkCreateSamplerYcbcrConversionKHR(device ? device.getProcAddr( "vkCreateSamplerYcbcrConversionKHR") : instance.getProcAddr( "vkCreateSamplerYcbcrConversionKHR"));
vkCreateSemaphore = PFN_vkCreateSemaphore(device ? device.getProcAddr( "vkCreateSemaphore") : instance.getProcAddr( "vkCreateSemaphore"));
vkCreateShaderModule = PFN_vkCreateShaderModule(device ? device.getProcAddr( "vkCreateShaderModule") : instance.getProcAddr( "vkCreateShaderModule"));
vkCreateSharedSwapchainsKHR = PFN_vkCreateSharedSwapchainsKHR(device ? device.getProcAddr( "vkCreateSharedSwapchainsKHR") : instance.getProcAddr( "vkCreateSharedSwapchainsKHR"));
vkCreateSwapchainKHR = PFN_vkCreateSwapchainKHR(device ? device.getProcAddr( "vkCreateSwapchainKHR") : instance.getProcAddr( "vkCreateSwapchainKHR"));
vkCreateValidationCacheEXT = PFN_vkCreateValidationCacheEXT(device ? device.getProcAddr( "vkCreateValidationCacheEXT") : instance.getProcAddr( "vkCreateValidationCacheEXT"));
#ifdef VK_USE_PLATFORM_VI_NN
vkCreateViSurfaceNN = PFN_vkCreateViSurfaceNN(instance.getProcAddr( "vkCreateViSurfaceNN"));
#endif /*VK_USE_PLATFORM_VI_NN*/
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
vkCreateWaylandSurfaceKHR = PFN_vkCreateWaylandSurfaceKHR(instance.getProcAddr( "vkCreateWaylandSurfaceKHR"));
#endif /*VK_USE_PLATFORM_WAYLAND_KHR*/
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkCreateWin32SurfaceKHR = PFN_vkCreateWin32SurfaceKHR(instance.getProcAddr( "vkCreateWin32SurfaceKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
#ifdef VK_USE_PLATFORM_XCB_KHR
vkCreateXcbSurfaceKHR = PFN_vkCreateXcbSurfaceKHR(instance.getProcAddr( "vkCreateXcbSurfaceKHR"));
#endif /*VK_USE_PLATFORM_XCB_KHR*/
#ifdef VK_USE_PLATFORM_XLIB_KHR
vkCreateXlibSurfaceKHR = PFN_vkCreateXlibSurfaceKHR(instance.getProcAddr( "vkCreateXlibSurfaceKHR"));
#endif /*VK_USE_PLATFORM_XLIB_KHR*/
vkDebugMarkerSetObjectNameEXT = PFN_vkDebugMarkerSetObjectNameEXT(device ? device.getProcAddr( "vkDebugMarkerSetObjectNameEXT") : instance.getProcAddr( "vkDebugMarkerSetObjectNameEXT"));
vkDebugMarkerSetObjectTagEXT = PFN_vkDebugMarkerSetObjectTagEXT(device ? device.getProcAddr( "vkDebugMarkerSetObjectTagEXT") : instance.getProcAddr( "vkDebugMarkerSetObjectTagEXT"));
vkDebugReportMessageEXT = PFN_vkDebugReportMessageEXT(instance.getProcAddr( "vkDebugReportMessageEXT"));
vkDestroyAccelerationStructureNV = PFN_vkDestroyAccelerationStructureNV(device ? device.getProcAddr( "vkDestroyAccelerationStructureNV") : instance.getProcAddr( "vkDestroyAccelerationStructureNV"));
vkDestroyBuffer = PFN_vkDestroyBuffer(device ? device.getProcAddr( "vkDestroyBuffer") : instance.getProcAddr( "vkDestroyBuffer"));
vkDestroyBufferView = PFN_vkDestroyBufferView(device ? device.getProcAddr( "vkDestroyBufferView") : instance.getProcAddr( "vkDestroyBufferView"));
vkDestroyCommandPool = PFN_vkDestroyCommandPool(device ? device.getProcAddr( "vkDestroyCommandPool") : instance.getProcAddr( "vkDestroyCommandPool"));
vkDestroyDebugReportCallbackEXT = PFN_vkDestroyDebugReportCallbackEXT(instance.getProcAddr( "vkDestroyDebugReportCallbackEXT"));
vkDestroyDebugUtilsMessengerEXT = PFN_vkDestroyDebugUtilsMessengerEXT(instance.getProcAddr( "vkDestroyDebugUtilsMessengerEXT"));
vkDestroyDescriptorPool = PFN_vkDestroyDescriptorPool(device ? device.getProcAddr( "vkDestroyDescriptorPool") : instance.getProcAddr( "vkDestroyDescriptorPool"));
vkDestroyDescriptorSetLayout = PFN_vkDestroyDescriptorSetLayout(device ? device.getProcAddr( "vkDestroyDescriptorSetLayout") : instance.getProcAddr( "vkDestroyDescriptorSetLayout"));
vkDestroyDescriptorUpdateTemplate = PFN_vkDestroyDescriptorUpdateTemplate(device ? device.getProcAddr( "vkDestroyDescriptorUpdateTemplate") : instance.getProcAddr( "vkDestroyDescriptorUpdateTemplate"));
vkDestroyDescriptorUpdateTemplateKHR = PFN_vkDestroyDescriptorUpdateTemplateKHR(device ? device.getProcAddr( "vkDestroyDescriptorUpdateTemplateKHR") : instance.getProcAddr( "vkDestroyDescriptorUpdateTemplateKHR"));
vkDestroyDevice = PFN_vkDestroyDevice(device ? device.getProcAddr( "vkDestroyDevice") : instance.getProcAddr( "vkDestroyDevice"));
vkDestroyEvent = PFN_vkDestroyEvent(device ? device.getProcAddr( "vkDestroyEvent") : instance.getProcAddr( "vkDestroyEvent"));
vkDestroyFence = PFN_vkDestroyFence(device ? device.getProcAddr( "vkDestroyFence") : instance.getProcAddr( "vkDestroyFence"));
vkDestroyFramebuffer = PFN_vkDestroyFramebuffer(device ? device.getProcAddr( "vkDestroyFramebuffer") : instance.getProcAddr( "vkDestroyFramebuffer"));
vkDestroyImage = PFN_vkDestroyImage(device ? device.getProcAddr( "vkDestroyImage") : instance.getProcAddr( "vkDestroyImage"));
vkDestroyImageView = PFN_vkDestroyImageView(device ? device.getProcAddr( "vkDestroyImageView") : instance.getProcAddr( "vkDestroyImageView"));
vkDestroyIndirectCommandsLayoutNVX = PFN_vkDestroyIndirectCommandsLayoutNVX(device ? device.getProcAddr( "vkDestroyIndirectCommandsLayoutNVX") : instance.getProcAddr( "vkDestroyIndirectCommandsLayoutNVX"));
vkDestroyInstance = PFN_vkDestroyInstance(instance.getProcAddr( "vkDestroyInstance"));
vkDestroyObjectTableNVX = PFN_vkDestroyObjectTableNVX(device ? device.getProcAddr( "vkDestroyObjectTableNVX") : instance.getProcAddr( "vkDestroyObjectTableNVX"));
vkDestroyPipeline = PFN_vkDestroyPipeline(device ? device.getProcAddr( "vkDestroyPipeline") : instance.getProcAddr( "vkDestroyPipeline"));
vkDestroyPipelineCache = PFN_vkDestroyPipelineCache(device ? device.getProcAddr( "vkDestroyPipelineCache") : instance.getProcAddr( "vkDestroyPipelineCache"));
vkDestroyPipelineLayout = PFN_vkDestroyPipelineLayout(device ? device.getProcAddr( "vkDestroyPipelineLayout") : instance.getProcAddr( "vkDestroyPipelineLayout"));
vkDestroyQueryPool = PFN_vkDestroyQueryPool(device ? device.getProcAddr( "vkDestroyQueryPool") : instance.getProcAddr( "vkDestroyQueryPool"));
vkDestroyRenderPass = PFN_vkDestroyRenderPass(device ? device.getProcAddr( "vkDestroyRenderPass") : instance.getProcAddr( "vkDestroyRenderPass"));
vkDestroySampler = PFN_vkDestroySampler(device ? device.getProcAddr( "vkDestroySampler") : instance.getProcAddr( "vkDestroySampler"));
vkDestroySamplerYcbcrConversion = PFN_vkDestroySamplerYcbcrConversion(device ? device.getProcAddr( "vkDestroySamplerYcbcrConversion") : instance.getProcAddr( "vkDestroySamplerYcbcrConversion"));
vkDestroySamplerYcbcrConversionKHR = PFN_vkDestroySamplerYcbcrConversionKHR(device ? device.getProcAddr( "vkDestroySamplerYcbcrConversionKHR") : instance.getProcAddr( "vkDestroySamplerYcbcrConversionKHR"));
vkDestroySemaphore = PFN_vkDestroySemaphore(device ? device.getProcAddr( "vkDestroySemaphore") : instance.getProcAddr( "vkDestroySemaphore"));
vkDestroyShaderModule = PFN_vkDestroyShaderModule(device ? device.getProcAddr( "vkDestroyShaderModule") : instance.getProcAddr( "vkDestroyShaderModule"));
vkDestroySurfaceKHR = PFN_vkDestroySurfaceKHR(instance.getProcAddr( "vkDestroySurfaceKHR"));
vkDestroySwapchainKHR = PFN_vkDestroySwapchainKHR(device ? device.getProcAddr( "vkDestroySwapchainKHR") : instance.getProcAddr( "vkDestroySwapchainKHR"));
vkDestroyValidationCacheEXT = PFN_vkDestroyValidationCacheEXT(device ? device.getProcAddr( "vkDestroyValidationCacheEXT") : instance.getProcAddr( "vkDestroyValidationCacheEXT"));
vkDeviceWaitIdle = PFN_vkDeviceWaitIdle(device ? device.getProcAddr( "vkDeviceWaitIdle") : instance.getProcAddr( "vkDeviceWaitIdle"));
vkDisplayPowerControlEXT = PFN_vkDisplayPowerControlEXT(device ? device.getProcAddr( "vkDisplayPowerControlEXT") : instance.getProcAddr( "vkDisplayPowerControlEXT"));
vkEndCommandBuffer = PFN_vkEndCommandBuffer(device ? device.getProcAddr( "vkEndCommandBuffer") : instance.getProcAddr( "vkEndCommandBuffer"));
vkEnumerateDeviceExtensionProperties = PFN_vkEnumerateDeviceExtensionProperties(instance.getProcAddr( "vkEnumerateDeviceExtensionProperties"));
vkEnumerateDeviceLayerProperties = PFN_vkEnumerateDeviceLayerProperties(instance.getProcAddr( "vkEnumerateDeviceLayerProperties"));
vkEnumerateInstanceExtensionProperties = PFN_vkEnumerateInstanceExtensionProperties(instance.getProcAddr( "vkEnumerateInstanceExtensionProperties"));
vkEnumerateInstanceLayerProperties = PFN_vkEnumerateInstanceLayerProperties(instance.getProcAddr( "vkEnumerateInstanceLayerProperties"));
vkEnumerateInstanceVersion = PFN_vkEnumerateInstanceVersion(instance.getProcAddr( "vkEnumerateInstanceVersion"));
vkEnumeratePhysicalDeviceGroups = PFN_vkEnumeratePhysicalDeviceGroups(instance.getProcAddr( "vkEnumeratePhysicalDeviceGroups"));
vkEnumeratePhysicalDeviceGroupsKHR = PFN_vkEnumeratePhysicalDeviceGroupsKHR(instance.getProcAddr( "vkEnumeratePhysicalDeviceGroupsKHR"));
vkEnumeratePhysicalDevices = PFN_vkEnumeratePhysicalDevices(instance.getProcAddr( "vkEnumeratePhysicalDevices"));
vkFlushMappedMemoryRanges = PFN_vkFlushMappedMemoryRanges(device ? device.getProcAddr( "vkFlushMappedMemoryRanges") : instance.getProcAddr( "vkFlushMappedMemoryRanges"));
vkFreeCommandBuffers = PFN_vkFreeCommandBuffers(device ? device.getProcAddr( "vkFreeCommandBuffers") : instance.getProcAddr( "vkFreeCommandBuffers"));
vkFreeDescriptorSets = PFN_vkFreeDescriptorSets(device ? device.getProcAddr( "vkFreeDescriptorSets") : instance.getProcAddr( "vkFreeDescriptorSets"));
vkFreeMemory = PFN_vkFreeMemory(device ? device.getProcAddr( "vkFreeMemory") : instance.getProcAddr( "vkFreeMemory"));
vkGetAccelerationStructureHandleNV = PFN_vkGetAccelerationStructureHandleNV(device ? device.getProcAddr( "vkGetAccelerationStructureHandleNV") : instance.getProcAddr( "vkGetAccelerationStructureHandleNV"));
vkGetAccelerationStructureMemoryRequirementsNV = PFN_vkGetAccelerationStructureMemoryRequirementsNV(device ? device.getProcAddr( "vkGetAccelerationStructureMemoryRequirementsNV") : instance.getProcAddr( "vkGetAccelerationStructureMemoryRequirementsNV"));
#ifdef VK_USE_PLATFORM_ANDROID_ANDROID
vkGetAndroidHardwareBufferPropertiesANDROID = PFN_vkGetAndroidHardwareBufferPropertiesANDROID(device ? device.getProcAddr( "vkGetAndroidHardwareBufferPropertiesANDROID") : instance.getProcAddr( "vkGetAndroidHardwareBufferPropertiesANDROID"));
#endif /*VK_USE_PLATFORM_ANDROID_ANDROID*/
vkGetBufferMemoryRequirements = PFN_vkGetBufferMemoryRequirements(device ? device.getProcAddr( "vkGetBufferMemoryRequirements") : instance.getProcAddr( "vkGetBufferMemoryRequirements"));
vkGetBufferMemoryRequirements2 = PFN_vkGetBufferMemoryRequirements2(device ? device.getProcAddr( "vkGetBufferMemoryRequirements2") : instance.getProcAddr( "vkGetBufferMemoryRequirements2"));
vkGetBufferMemoryRequirements2KHR = PFN_vkGetBufferMemoryRequirements2KHR(device ? device.getProcAddr( "vkGetBufferMemoryRequirements2KHR") : instance.getProcAddr( "vkGetBufferMemoryRequirements2KHR"));
vkGetCalibratedTimestampsEXT = PFN_vkGetCalibratedTimestampsEXT(device ? device.getProcAddr( "vkGetCalibratedTimestampsEXT") : instance.getProcAddr( "vkGetCalibratedTimestampsEXT"));
vkGetDescriptorSetLayoutSupport = PFN_vkGetDescriptorSetLayoutSupport(device ? device.getProcAddr( "vkGetDescriptorSetLayoutSupport") : instance.getProcAddr( "vkGetDescriptorSetLayoutSupport"));
vkGetDescriptorSetLayoutSupportKHR = PFN_vkGetDescriptorSetLayoutSupportKHR(device ? device.getProcAddr( "vkGetDescriptorSetLayoutSupportKHR") : instance.getProcAddr( "vkGetDescriptorSetLayoutSupportKHR"));
vkGetDeviceGroupPeerMemoryFeatures = PFN_vkGetDeviceGroupPeerMemoryFeatures(device ? device.getProcAddr( "vkGetDeviceGroupPeerMemoryFeatures") : instance.getProcAddr( "vkGetDeviceGroupPeerMemoryFeatures"));
vkGetDeviceGroupPeerMemoryFeaturesKHR = PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR(device ? device.getProcAddr( "vkGetDeviceGroupPeerMemoryFeaturesKHR") : instance.getProcAddr( "vkGetDeviceGroupPeerMemoryFeaturesKHR"));
vkGetDeviceGroupPresentCapabilitiesKHR = PFN_vkGetDeviceGroupPresentCapabilitiesKHR(device ? device.getProcAddr( "vkGetDeviceGroupPresentCapabilitiesKHR") : instance.getProcAddr( "vkGetDeviceGroupPresentCapabilitiesKHR"));
vkGetDeviceGroupSurfacePresentModesKHR = PFN_vkGetDeviceGroupSurfacePresentModesKHR(device ? device.getProcAddr( "vkGetDeviceGroupSurfacePresentModesKHR") : instance.getProcAddr( "vkGetDeviceGroupSurfacePresentModesKHR"));
vkGetDeviceMemoryCommitment = PFN_vkGetDeviceMemoryCommitment(device ? device.getProcAddr( "vkGetDeviceMemoryCommitment") : instance.getProcAddr( "vkGetDeviceMemoryCommitment"));
vkGetDeviceProcAddr = PFN_vkGetDeviceProcAddr(device ? device.getProcAddr( "vkGetDeviceProcAddr") : instance.getProcAddr( "vkGetDeviceProcAddr"));
vkGetDeviceQueue = PFN_vkGetDeviceQueue(device ? device.getProcAddr( "vkGetDeviceQueue") : instance.getProcAddr( "vkGetDeviceQueue"));
vkGetDeviceQueue2 = PFN_vkGetDeviceQueue2(device ? device.getProcAddr( "vkGetDeviceQueue2") : instance.getProcAddr( "vkGetDeviceQueue2"));
vkGetDisplayModeProperties2KHR = PFN_vkGetDisplayModeProperties2KHR(instance.getProcAddr( "vkGetDisplayModeProperties2KHR"));
vkGetDisplayModePropertiesKHR = PFN_vkGetDisplayModePropertiesKHR(instance.getProcAddr( "vkGetDisplayModePropertiesKHR"));
vkGetDisplayPlaneCapabilities2KHR = PFN_vkGetDisplayPlaneCapabilities2KHR(instance.getProcAddr( "vkGetDisplayPlaneCapabilities2KHR"));
vkGetDisplayPlaneCapabilitiesKHR = PFN_vkGetDisplayPlaneCapabilitiesKHR(instance.getProcAddr( "vkGetDisplayPlaneCapabilitiesKHR"));
vkGetDisplayPlaneSupportedDisplaysKHR = PFN_vkGetDisplayPlaneSupportedDisplaysKHR(instance.getProcAddr( "vkGetDisplayPlaneSupportedDisplaysKHR"));
vkGetEventStatus = PFN_vkGetEventStatus(device ? device.getProcAddr( "vkGetEventStatus") : instance.getProcAddr( "vkGetEventStatus"));
vkGetFenceFdKHR = PFN_vkGetFenceFdKHR(device ? device.getProcAddr( "vkGetFenceFdKHR") : instance.getProcAddr( "vkGetFenceFdKHR"));
vkGetFenceStatus = PFN_vkGetFenceStatus(device ? device.getProcAddr( "vkGetFenceStatus") : instance.getProcAddr( "vkGetFenceStatus"));
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkGetFenceWin32HandleKHR = PFN_vkGetFenceWin32HandleKHR(device ? device.getProcAddr( "vkGetFenceWin32HandleKHR") : instance.getProcAddr( "vkGetFenceWin32HandleKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
vkGetImageDrmFormatModifierPropertiesEXT = PFN_vkGetImageDrmFormatModifierPropertiesEXT(device ? device.getProcAddr( "vkGetImageDrmFormatModifierPropertiesEXT") : instance.getProcAddr( "vkGetImageDrmFormatModifierPropertiesEXT"));
vkGetImageMemoryRequirements = PFN_vkGetImageMemoryRequirements(device ? device.getProcAddr( "vkGetImageMemoryRequirements") : instance.getProcAddr( "vkGetImageMemoryRequirements"));
vkGetImageMemoryRequirements2 = PFN_vkGetImageMemoryRequirements2(device ? device.getProcAddr( "vkGetImageMemoryRequirements2") : instance.getProcAddr( "vkGetImageMemoryRequirements2"));
vkGetImageMemoryRequirements2KHR = PFN_vkGetImageMemoryRequirements2KHR(device ? device.getProcAddr( "vkGetImageMemoryRequirements2KHR") : instance.getProcAddr( "vkGetImageMemoryRequirements2KHR"));
vkGetImageSparseMemoryRequirements = PFN_vkGetImageSparseMemoryRequirements(device ? device.getProcAddr( "vkGetImageSparseMemoryRequirements") : instance.getProcAddr( "vkGetImageSparseMemoryRequirements"));
vkGetImageSparseMemoryRequirements2 = PFN_vkGetImageSparseMemoryRequirements2(device ? device.getProcAddr( "vkGetImageSparseMemoryRequirements2") : instance.getProcAddr( "vkGetImageSparseMemoryRequirements2"));
vkGetImageSparseMemoryRequirements2KHR = PFN_vkGetImageSparseMemoryRequirements2KHR(device ? device.getProcAddr( "vkGetImageSparseMemoryRequirements2KHR") : instance.getProcAddr( "vkGetImageSparseMemoryRequirements2KHR"));
vkGetImageSubresourceLayout = PFN_vkGetImageSubresourceLayout(device ? device.getProcAddr( "vkGetImageSubresourceLayout") : instance.getProcAddr( "vkGetImageSubresourceLayout"));
vkGetInstanceProcAddr = PFN_vkGetInstanceProcAddr(instance.getProcAddr( "vkGetInstanceProcAddr"));
#ifdef VK_USE_PLATFORM_ANDROID_ANDROID
vkGetMemoryAndroidHardwareBufferANDROID = PFN_vkGetMemoryAndroidHardwareBufferANDROID(device ? device.getProcAddr( "vkGetMemoryAndroidHardwareBufferANDROID") : instance.getProcAddr( "vkGetMemoryAndroidHardwareBufferANDROID"));
#endif /*VK_USE_PLATFORM_ANDROID_ANDROID*/
vkGetMemoryFdKHR = PFN_vkGetMemoryFdKHR(device ? device.getProcAddr( "vkGetMemoryFdKHR") : instance.getProcAddr( "vkGetMemoryFdKHR"));
vkGetMemoryFdPropertiesKHR = PFN_vkGetMemoryFdPropertiesKHR(device ? device.getProcAddr( "vkGetMemoryFdPropertiesKHR") : instance.getProcAddr( "vkGetMemoryFdPropertiesKHR"));
vkGetMemoryHostPointerPropertiesEXT = PFN_vkGetMemoryHostPointerPropertiesEXT(device ? device.getProcAddr( "vkGetMemoryHostPointerPropertiesEXT") : instance.getProcAddr( "vkGetMemoryHostPointerPropertiesEXT"));
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkGetMemoryWin32HandleKHR = PFN_vkGetMemoryWin32HandleKHR(device ? device.getProcAddr( "vkGetMemoryWin32HandleKHR") : instance.getProcAddr( "vkGetMemoryWin32HandleKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
#ifdef VK_USE_PLATFORM_WIN32_NV
vkGetMemoryWin32HandleNV = PFN_vkGetMemoryWin32HandleNV(device ? device.getProcAddr( "vkGetMemoryWin32HandleNV") : instance.getProcAddr( "vkGetMemoryWin32HandleNV"));
#endif /*VK_USE_PLATFORM_WIN32_NV*/
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkGetMemoryWin32HandlePropertiesKHR = PFN_vkGetMemoryWin32HandlePropertiesKHR(device ? device.getProcAddr( "vkGetMemoryWin32HandlePropertiesKHR") : instance.getProcAddr( "vkGetMemoryWin32HandlePropertiesKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
vkGetPastPresentationTimingGOOGLE = PFN_vkGetPastPresentationTimingGOOGLE(device ? device.getProcAddr( "vkGetPastPresentationTimingGOOGLE") : instance.getProcAddr( "vkGetPastPresentationTimingGOOGLE"));
vkGetPhysicalDeviceCalibrateableTimeDomainsEXT = PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT(instance.getProcAddr( "vkGetPhysicalDeviceCalibrateableTimeDomainsEXT"));
vkGetPhysicalDeviceDisplayPlaneProperties2KHR = PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceDisplayPlaneProperties2KHR"));
vkGetPhysicalDeviceDisplayPlanePropertiesKHR = PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceDisplayPlanePropertiesKHR"));
vkGetPhysicalDeviceDisplayProperties2KHR = PFN_vkGetPhysicalDeviceDisplayProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceDisplayProperties2KHR"));
vkGetPhysicalDeviceDisplayPropertiesKHR = PFN_vkGetPhysicalDeviceDisplayPropertiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceDisplayPropertiesKHR"));
vkGetPhysicalDeviceExternalBufferProperties = PFN_vkGetPhysicalDeviceExternalBufferProperties(instance.getProcAddr( "vkGetPhysicalDeviceExternalBufferProperties"));
vkGetPhysicalDeviceExternalBufferPropertiesKHR = PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceExternalBufferPropertiesKHR"));
vkGetPhysicalDeviceExternalFenceProperties = PFN_vkGetPhysicalDeviceExternalFenceProperties(instance.getProcAddr( "vkGetPhysicalDeviceExternalFenceProperties"));
vkGetPhysicalDeviceExternalFencePropertiesKHR = PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceExternalFencePropertiesKHR"));
vkGetPhysicalDeviceExternalImageFormatPropertiesNV = PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV(instance.getProcAddr( "vkGetPhysicalDeviceExternalImageFormatPropertiesNV"));
vkGetPhysicalDeviceExternalSemaphoreProperties = PFN_vkGetPhysicalDeviceExternalSemaphoreProperties(instance.getProcAddr( "vkGetPhysicalDeviceExternalSemaphoreProperties"));
vkGetPhysicalDeviceExternalSemaphorePropertiesKHR = PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceExternalSemaphorePropertiesKHR"));
vkGetPhysicalDeviceFeatures = PFN_vkGetPhysicalDeviceFeatures(instance.getProcAddr( "vkGetPhysicalDeviceFeatures"));
vkGetPhysicalDeviceFeatures2 = PFN_vkGetPhysicalDeviceFeatures2(instance.getProcAddr( "vkGetPhysicalDeviceFeatures2"));
vkGetPhysicalDeviceFeatures2KHR = PFN_vkGetPhysicalDeviceFeatures2KHR(instance.getProcAddr( "vkGetPhysicalDeviceFeatures2KHR"));
vkGetPhysicalDeviceFormatProperties = PFN_vkGetPhysicalDeviceFormatProperties(instance.getProcAddr( "vkGetPhysicalDeviceFormatProperties"));
vkGetPhysicalDeviceFormatProperties2 = PFN_vkGetPhysicalDeviceFormatProperties2(instance.getProcAddr( "vkGetPhysicalDeviceFormatProperties2"));
vkGetPhysicalDeviceFormatProperties2KHR = PFN_vkGetPhysicalDeviceFormatProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceFormatProperties2KHR"));
vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX = PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX(instance.getProcAddr( "vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX"));
vkGetPhysicalDeviceImageFormatProperties = PFN_vkGetPhysicalDeviceImageFormatProperties(instance.getProcAddr( "vkGetPhysicalDeviceImageFormatProperties"));
vkGetPhysicalDeviceImageFormatProperties2 = PFN_vkGetPhysicalDeviceImageFormatProperties2(instance.getProcAddr( "vkGetPhysicalDeviceImageFormatProperties2"));
vkGetPhysicalDeviceImageFormatProperties2KHR = PFN_vkGetPhysicalDeviceImageFormatProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceImageFormatProperties2KHR"));
vkGetPhysicalDeviceMemoryProperties = PFN_vkGetPhysicalDeviceMemoryProperties(instance.getProcAddr( "vkGetPhysicalDeviceMemoryProperties"));
vkGetPhysicalDeviceMemoryProperties2 = PFN_vkGetPhysicalDeviceMemoryProperties2(instance.getProcAddr( "vkGetPhysicalDeviceMemoryProperties2"));
vkGetPhysicalDeviceMemoryProperties2KHR = PFN_vkGetPhysicalDeviceMemoryProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceMemoryProperties2KHR"));
vkGetPhysicalDeviceMultisamplePropertiesEXT = PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT(instance.getProcAddr( "vkGetPhysicalDeviceMultisamplePropertiesEXT"));
vkGetPhysicalDevicePresentRectanglesKHR = PFN_vkGetPhysicalDevicePresentRectanglesKHR(instance.getProcAddr( "vkGetPhysicalDevicePresentRectanglesKHR"));
vkGetPhysicalDeviceProperties = PFN_vkGetPhysicalDeviceProperties(instance.getProcAddr( "vkGetPhysicalDeviceProperties"));
vkGetPhysicalDeviceProperties2 = PFN_vkGetPhysicalDeviceProperties2(instance.getProcAddr( "vkGetPhysicalDeviceProperties2"));
vkGetPhysicalDeviceProperties2KHR = PFN_vkGetPhysicalDeviceProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceProperties2KHR"));
vkGetPhysicalDeviceQueueFamilyProperties = PFN_vkGetPhysicalDeviceQueueFamilyProperties(instance.getProcAddr( "vkGetPhysicalDeviceQueueFamilyProperties"));
vkGetPhysicalDeviceQueueFamilyProperties2 = PFN_vkGetPhysicalDeviceQueueFamilyProperties2(instance.getProcAddr( "vkGetPhysicalDeviceQueueFamilyProperties2"));
vkGetPhysicalDeviceQueueFamilyProperties2KHR = PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceQueueFamilyProperties2KHR"));
vkGetPhysicalDeviceSparseImageFormatProperties = PFN_vkGetPhysicalDeviceSparseImageFormatProperties(instance.getProcAddr( "vkGetPhysicalDeviceSparseImageFormatProperties"));
vkGetPhysicalDeviceSparseImageFormatProperties2 = PFN_vkGetPhysicalDeviceSparseImageFormatProperties2(instance.getProcAddr( "vkGetPhysicalDeviceSparseImageFormatProperties2"));
vkGetPhysicalDeviceSparseImageFormatProperties2KHR = PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR(instance.getProcAddr( "vkGetPhysicalDeviceSparseImageFormatProperties2KHR"));
vkGetPhysicalDeviceSurfaceCapabilities2EXT = PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceCapabilities2EXT"));
vkGetPhysicalDeviceSurfaceCapabilities2KHR = PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceCapabilities2KHR"));
vkGetPhysicalDeviceSurfaceCapabilitiesKHR = PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceCapabilitiesKHR"));
vkGetPhysicalDeviceSurfaceFormats2KHR = PFN_vkGetPhysicalDeviceSurfaceFormats2KHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceFormats2KHR"));
vkGetPhysicalDeviceSurfaceFormatsKHR = PFN_vkGetPhysicalDeviceSurfaceFormatsKHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceFormatsKHR"));
vkGetPhysicalDeviceSurfacePresentModesKHR = PFN_vkGetPhysicalDeviceSurfacePresentModesKHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfacePresentModesKHR"));
vkGetPhysicalDeviceSurfaceSupportKHR = PFN_vkGetPhysicalDeviceSurfaceSupportKHR(instance.getProcAddr( "vkGetPhysicalDeviceSurfaceSupportKHR"));
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
vkGetPhysicalDeviceWaylandPresentationSupportKHR = PFN_vkGetPhysicalDeviceWaylandPresentationSupportKHR(instance.getProcAddr( "vkGetPhysicalDeviceWaylandPresentationSupportKHR"));
#endif /*VK_USE_PLATFORM_WAYLAND_KHR*/
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkGetPhysicalDeviceWin32PresentationSupportKHR = PFN_vkGetPhysicalDeviceWin32PresentationSupportKHR(instance.getProcAddr( "vkGetPhysicalDeviceWin32PresentationSupportKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
#ifdef VK_USE_PLATFORM_XCB_KHR
vkGetPhysicalDeviceXcbPresentationSupportKHR = PFN_vkGetPhysicalDeviceXcbPresentationSupportKHR(instance.getProcAddr( "vkGetPhysicalDeviceXcbPresentationSupportKHR"));
#endif /*VK_USE_PLATFORM_XCB_KHR*/
#ifdef VK_USE_PLATFORM_XLIB_KHR
vkGetPhysicalDeviceXlibPresentationSupportKHR = PFN_vkGetPhysicalDeviceXlibPresentationSupportKHR(instance.getProcAddr( "vkGetPhysicalDeviceXlibPresentationSupportKHR"));
#endif /*VK_USE_PLATFORM_XLIB_KHR*/
vkGetPipelineCacheData = PFN_vkGetPipelineCacheData(device ? device.getProcAddr( "vkGetPipelineCacheData") : instance.getProcAddr( "vkGetPipelineCacheData"));
vkGetQueryPoolResults = PFN_vkGetQueryPoolResults(device ? device.getProcAddr( "vkGetQueryPoolResults") : instance.getProcAddr( "vkGetQueryPoolResults"));
vkGetQueueCheckpointDataNV = PFN_vkGetQueueCheckpointDataNV(device ? device.getProcAddr( "vkGetQueueCheckpointDataNV") : instance.getProcAddr( "vkGetQueueCheckpointDataNV"));
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_NV
vkGetRandROutputDisplayEXT = PFN_vkGetRandROutputDisplayEXT(instance.getProcAddr( "vkGetRandROutputDisplayEXT"));
#endif /*VK_USE_PLATFORM_XLIB_XRANDR_NV*/
vkGetRayTracingShaderGroupHandlesNV = PFN_vkGetRayTracingShaderGroupHandlesNV(device ? device.getProcAddr( "vkGetRayTracingShaderGroupHandlesNV") : instance.getProcAddr( "vkGetRayTracingShaderGroupHandlesNV"));
vkGetRefreshCycleDurationGOOGLE = PFN_vkGetRefreshCycleDurationGOOGLE(device ? device.getProcAddr( "vkGetRefreshCycleDurationGOOGLE") : instance.getProcAddr( "vkGetRefreshCycleDurationGOOGLE"));
vkGetRenderAreaGranularity = PFN_vkGetRenderAreaGranularity(device ? device.getProcAddr( "vkGetRenderAreaGranularity") : instance.getProcAddr( "vkGetRenderAreaGranularity"));
vkGetSemaphoreFdKHR = PFN_vkGetSemaphoreFdKHR(device ? device.getProcAddr( "vkGetSemaphoreFdKHR") : instance.getProcAddr( "vkGetSemaphoreFdKHR"));
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkGetSemaphoreWin32HandleKHR = PFN_vkGetSemaphoreWin32HandleKHR(device ? device.getProcAddr( "vkGetSemaphoreWin32HandleKHR") : instance.getProcAddr( "vkGetSemaphoreWin32HandleKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
vkGetShaderInfoAMD = PFN_vkGetShaderInfoAMD(device ? device.getProcAddr( "vkGetShaderInfoAMD") : instance.getProcAddr( "vkGetShaderInfoAMD"));
vkGetSwapchainCounterEXT = PFN_vkGetSwapchainCounterEXT(device ? device.getProcAddr( "vkGetSwapchainCounterEXT") : instance.getProcAddr( "vkGetSwapchainCounterEXT"));
vkGetSwapchainImagesKHR = PFN_vkGetSwapchainImagesKHR(device ? device.getProcAddr( "vkGetSwapchainImagesKHR") : instance.getProcAddr( "vkGetSwapchainImagesKHR"));
vkGetSwapchainStatusKHR = PFN_vkGetSwapchainStatusKHR(device ? device.getProcAddr( "vkGetSwapchainStatusKHR") : instance.getProcAddr( "vkGetSwapchainStatusKHR"));
vkGetValidationCacheDataEXT = PFN_vkGetValidationCacheDataEXT(device ? device.getProcAddr( "vkGetValidationCacheDataEXT") : instance.getProcAddr( "vkGetValidationCacheDataEXT"));
vkImportFenceFdKHR = PFN_vkImportFenceFdKHR(device ? device.getProcAddr( "vkImportFenceFdKHR") : instance.getProcAddr( "vkImportFenceFdKHR"));
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkImportFenceWin32HandleKHR = PFN_vkImportFenceWin32HandleKHR(device ? device.getProcAddr( "vkImportFenceWin32HandleKHR") : instance.getProcAddr( "vkImportFenceWin32HandleKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
vkImportSemaphoreFdKHR = PFN_vkImportSemaphoreFdKHR(device ? device.getProcAddr( "vkImportSemaphoreFdKHR") : instance.getProcAddr( "vkImportSemaphoreFdKHR"));
#ifdef VK_USE_PLATFORM_WIN32_KHR
vkImportSemaphoreWin32HandleKHR = PFN_vkImportSemaphoreWin32HandleKHR(device ? device.getProcAddr( "vkImportSemaphoreWin32HandleKHR") : instance.getProcAddr( "vkImportSemaphoreWin32HandleKHR"));
#endif /*VK_USE_PLATFORM_WIN32_KHR*/
vkInvalidateMappedMemoryRanges = PFN_vkInvalidateMappedMemoryRanges(device ? device.getProcAddr( "vkInvalidateMappedMemoryRanges") : instance.getProcAddr( "vkInvalidateMappedMemoryRanges"));
vkMapMemory = PFN_vkMapMemory(device ? device.getProcAddr( "vkMapMemory") : instance.getProcAddr( "vkMapMemory"));
vkMergePipelineCaches = PFN_vkMergePipelineCaches(device ? device.getProcAddr( "vkMergePipelineCaches") : instance.getProcAddr( "vkMergePipelineCaches"));
vkMergeValidationCachesEXT = PFN_vkMergeValidationCachesEXT(device ? device.getProcAddr( "vkMergeValidationCachesEXT") : instance.getProcAddr( "vkMergeValidationCachesEXT"));
vkQueueBeginDebugUtilsLabelEXT = PFN_vkQueueBeginDebugUtilsLabelEXT(device ? device.getProcAddr( "vkQueueBeginDebugUtilsLabelEXT") : instance.getProcAddr( "vkQueueBeginDebugUtilsLabelEXT"));
vkQueueBindSparse = PFN_vkQueueBindSparse(device ? device.getProcAddr( "vkQueueBindSparse") : instance.getProcAddr( "vkQueueBindSparse"));
vkQueueEndDebugUtilsLabelEXT = PFN_vkQueueEndDebugUtilsLabelEXT(device ? device.getProcAddr( "vkQueueEndDebugUtilsLabelEXT") : instance.getProcAddr( "vkQueueEndDebugUtilsLabelEXT"));
vkQueueInsertDebugUtilsLabelEXT = PFN_vkQueueInsertDebugUtilsLabelEXT(device ? device.getProcAddr( "vkQueueInsertDebugUtilsLabelEXT") : instance.getProcAddr( "vkQueueInsertDebugUtilsLabelEXT"));
vkQueuePresentKHR = PFN_vkQueuePresentKHR(device ? device.getProcAddr( "vkQueuePresentKHR") : instance.getProcAddr( "vkQueuePresentKHR"));
vkQueueSubmit = PFN_vkQueueSubmit(device ? device.getProcAddr( "vkQueueSubmit") : instance.getProcAddr( "vkQueueSubmit"));
vkQueueWaitIdle = PFN_vkQueueWaitIdle(device ? device.getProcAddr( "vkQueueWaitIdle") : instance.getProcAddr( "vkQueueWaitIdle"));
vkRegisterDeviceEventEXT = PFN_vkRegisterDeviceEventEXT(device ? device.getProcAddr( "vkRegisterDeviceEventEXT") : instance.getProcAddr( "vkRegisterDeviceEventEXT"));
vkRegisterDisplayEventEXT = PFN_vkRegisterDisplayEventEXT(device ? device.getProcAddr( "vkRegisterDisplayEventEXT") : instance.getProcAddr( "vkRegisterDisplayEventEXT"));
vkRegisterObjectsNVX = PFN_vkRegisterObjectsNVX(device ? device.getProcAddr( "vkRegisterObjectsNVX") : instance.getProcAddr( "vkRegisterObjectsNVX"));
vkReleaseDisplayEXT = PFN_vkReleaseDisplayEXT(instance.getProcAddr( "vkReleaseDisplayEXT"));
vkResetCommandBuffer = PFN_vkResetCommandBuffer(device ? device.getProcAddr( "vkResetCommandBuffer") : instance.getProcAddr( "vkResetCommandBuffer"));
vkResetCommandPool = PFN_vkResetCommandPool(device ? device.getProcAddr( "vkResetCommandPool") : instance.getProcAddr( "vkResetCommandPool"));
vkResetDescriptorPool = PFN_vkResetDescriptorPool(device ? device.getProcAddr( "vkResetDescriptorPool") : instance.getProcAddr( "vkResetDescriptorPool"));
vkResetEvent = PFN_vkResetEvent(device ? device.getProcAddr( "vkResetEvent") : instance.getProcAddr( "vkResetEvent"));
vkResetFences = PFN_vkResetFences(device ? device.getProcAddr( "vkResetFences") : instance.getProcAddr( "vkResetFences"));
vkSetDebugUtilsObjectNameEXT = PFN_vkSetDebugUtilsObjectNameEXT(device ? device.getProcAddr( "vkSetDebugUtilsObjectNameEXT") : instance.getProcAddr( "vkSetDebugUtilsObjectNameEXT"));
vkSetDebugUtilsObjectTagEXT = PFN_vkSetDebugUtilsObjectTagEXT(device ? device.getProcAddr( "vkSetDebugUtilsObjectTagEXT") : instance.getProcAddr( "vkSetDebugUtilsObjectTagEXT"));
vkSetEvent = PFN_vkSetEvent(device ? device.getProcAddr( "vkSetEvent") : instance.getProcAddr( "vkSetEvent"));
vkSetHdrMetadataEXT = PFN_vkSetHdrMetadataEXT(device ? device.getProcAddr( "vkSetHdrMetadataEXT") : instance.getProcAddr( "vkSetHdrMetadataEXT"));
vkSubmitDebugUtilsMessageEXT = PFN_vkSubmitDebugUtilsMessageEXT(instance.getProcAddr( "vkSubmitDebugUtilsMessageEXT"));
vkTrimCommandPool = PFN_vkTrimCommandPool(device ? device.getProcAddr( "vkTrimCommandPool") : instance.getProcAddr( "vkTrimCommandPool"));
vkTrimCommandPoolKHR = PFN_vkTrimCommandPoolKHR(device ? device.getProcAddr( "vkTrimCommandPoolKHR") : instance.getProcAddr( "vkTrimCommandPoolKHR"));
vkUnmapMemory = PFN_vkUnmapMemory(device ? device.getProcAddr( "vkUnmapMemory") : instance.getProcAddr( "vkUnmapMemory"));
vkUnregisterObjectsNVX = PFN_vkUnregisterObjectsNVX(device ? device.getProcAddr( "vkUnregisterObjectsNVX") : instance.getProcAddr( "vkUnregisterObjectsNVX"));
vkUpdateDescriptorSetWithTemplate = PFN_vkUpdateDescriptorSetWithTemplate(device ? device.getProcAddr( "vkUpdateDescriptorSetWithTemplate") : instance.getProcAddr( "vkUpdateDescriptorSetWithTemplate"));
vkUpdateDescriptorSetWithTemplateKHR = PFN_vkUpdateDescriptorSetWithTemplateKHR(device ? device.getProcAddr( "vkUpdateDescriptorSetWithTemplateKHR") : instance.getProcAddr( "vkUpdateDescriptorSetWithTemplateKHR"));
vkUpdateDescriptorSets = PFN_vkUpdateDescriptorSets(device ? device.getProcAddr( "vkUpdateDescriptorSets") : instance.getProcAddr( "vkUpdateDescriptorSets"));
vkWaitForFences = PFN_vkWaitForFences(device ? device.getProcAddr( "vkWaitForFences") : instance.getProcAddr( "vkWaitForFences"));
}

References device, VULKAN_HPP_NAMESPACE::Instance::getProcAddr(), vkAcquireNextImage2KHR, vkAcquireNextImageKHR, vkAcquireXlibDisplayEXT(), vkAllocateCommandBuffers, vkAllocateDescriptorSets, vkAllocateMemory, vkBeginCommandBuffer, vkBindAccelerationStructureMemoryNV, vkBindBufferMemory, vkBindBufferMemory2, vkBindBufferMemory2KHR, vkBindImageMemory, vkBindImageMemory2, vkBindImageMemory2KHR, vkCmdBeginConditionalRenderingEXT, vkCmdBeginDebugUtilsLabelEXT, vkCmdBeginQuery, vkCmdBeginQueryIndexedEXT, vkCmdBeginRenderPass, vkCmdBeginRenderPass2KHR, vkCmdBeginTransformFeedbackEXT, vkCmdBindDescriptorSets, vkCmdBindIndexBuffer, vkCmdBindPipeline, vkCmdBindShadingRateImageNV, vkCmdBindTransformFeedbackBuffersEXT, vkCmdBindVertexBuffers, vkCmdBlitImage, vkCmdBuildAccelerationStructureNV, vkCmdClearAttachments, vkCmdClearColorImage, vkCmdClearDepthStencilImage, vkCmdCopyAccelerationStructureNV, vkCmdCopyBuffer, vkCmdCopyBufferToImage, vkCmdCopyImage, vkCmdCopyImageToBuffer, vkCmdCopyQueryPoolResults, vkCmdDebugMarkerBeginEXT, vkCmdDebugMarkerEndEXT, vkCmdDebugMarkerInsertEXT, vkCmdDispatch, vkCmdDispatchBase, vkCmdDispatchBaseKHR, vkCmdDispatchIndirect, vkCmdDraw, vkCmdDrawIndexed, vkCmdDrawIndexedIndirect, vkCmdDrawIndexedIndirectCountAMD, vkCmdDrawIndexedIndirectCountKHR, vkCmdDrawIndirect, vkCmdDrawIndirectByteCountEXT, vkCmdDrawIndirectCountAMD, vkCmdDrawIndirectCountKHR, vkCmdDrawMeshTasksIndirectCountNV, vkCmdDrawMeshTasksIndirectNV, vkCmdDrawMeshTasksNV, vkCmdEndConditionalRenderingEXT, vkCmdEndDebugUtilsLabelEXT, vkCmdEndQuery, vkCmdEndQueryIndexedEXT, vkCmdEndRenderPass, vkCmdEndRenderPass2KHR, vkCmdEndTransformFeedbackEXT, vkCmdExecuteCommands, vkCmdFillBuffer, vkCmdInsertDebugUtilsLabelEXT, vkCmdNextSubpass, vkCmdNextSubpass2KHR, vkCmdPipelineBarrier, vkCmdProcessCommandsNVX, vkCmdPushConstants, vkCmdPushDescriptorSetKHR, vkCmdPushDescriptorSetWithTemplateKHR, vkCmdReserveSpaceForCommandsNVX, vkCmdResetEvent, vkCmdResetQueryPool, vkCmdResolveImage, vkCmdSetBlendConstants, vkCmdSetCheckpointNV, vkCmdSetCoarseSampleOrderNV, vkCmdSetDepthBias, vkCmdSetDepthBounds, vkCmdSetDeviceMask, vkCmdSetDeviceMaskKHR, vkCmdSetDiscardRectangleEXT, vkCmdSetEvent, vkCmdSetExclusiveScissorNV, vkCmdSetLineWidth, vkCmdSetSampleLocationsEXT, vkCmdSetScissor, vkCmdSetStencilCompareMask, vkCmdSetStencilReference, vkCmdSetStencilWriteMask, vkCmdSetViewport, vkCmdSetViewportShadingRatePaletteNV, vkCmdSetViewportWScalingNV, vkCmdTraceRaysNV, vkCmdUpdateBuffer, vkCmdWaitEvents, vkCmdWriteAccelerationStructuresPropertiesNV, vkCmdWriteBufferMarkerAMD, vkCmdWriteTimestamp, vkCompileDeferredNV, vkCreateAccelerationStructureNV, vkCreateAndroidSurfaceKHR(), vkCreateBuffer, vkCreateBufferView, vkCreateCommandPool, vkCreateComputePipelines, vkCreateDebugReportCallbackEXT, vkCreateDebugUtilsMessengerEXT, vkCreateDescriptorPool, vkCreateDescriptorSetLayout, vkCreateDescriptorUpdateTemplate, vkCreateDescriptorUpdateTemplateKHR, vkCreateDevice, vkCreateDisplayModeKHR, vkCreateDisplayPlaneSurfaceKHR, vkCreateEvent, vkCreateFence, vkCreateFramebuffer, vkCreateGraphicsPipelines, vkCreateImage, vkCreateImagePipeSurfaceFUCHSIA(), vkCreateImageView, vkCreateIndirectCommandsLayoutNVX, vkCreateInstance, vkCreateIOSSurfaceMVK(), vkCreateMacOSSurfaceMVK(), vkCreateObjectTableNVX, vkCreatePipelineCache, vkCreatePipelineLayout, vkCreateQueryPool, vkCreateRayTracingPipelinesNV, vkCreateRenderPass, vkCreateRenderPass2KHR, vkCreateSampler, vkCreateSamplerYcbcrConversion, vkCreateSamplerYcbcrConversionKHR, vkCreateSemaphore, vkCreateShaderModule, vkCreateSharedSwapchainsKHR, vkCreateSwapchainKHR, vkCreateValidationCacheEXT, vkCreateViSurfaceNN(), vkCreateWaylandSurfaceKHR(), vkCreateWin32SurfaceKHR(), vkCreateXcbSurfaceKHR(), vkCreateXlibSurfaceKHR(), vkDebugMarkerSetObjectNameEXT, vkDebugMarkerSetObjectTagEXT, vkDebugReportMessageEXT, vkDestroyAccelerationStructureNV, vkDestroyBuffer, vkDestroyBufferView, vkDestroyCommandPool, vkDestroyDebugReportCallbackEXT, vkDestroyDebugUtilsMessengerEXT, vkDestroyDescriptorPool, vkDestroyDescriptorSetLayout, vkDestroyDescriptorUpdateTemplate, vkDestroyDescriptorUpdateTemplateKHR, vkDestroyDevice, vkDestroyEvent, vkDestroyFence, vkDestroyFramebuffer, vkDestroyImage, vkDestroyImageView, vkDestroyIndirectCommandsLayoutNVX, vkDestroyInstance, vkDestroyObjectTableNVX, vkDestroyPipeline, vkDestroyPipelineCache, vkDestroyPipelineLayout, vkDestroyQueryPool, vkDestroyRenderPass, vkDestroySampler, vkDestroySamplerYcbcrConversion, vkDestroySamplerYcbcrConversionKHR, vkDestroySemaphore, vkDestroyShaderModule, vkDestroySurfaceKHR, vkDestroySwapchainKHR, vkDestroyValidationCacheEXT, vkDeviceWaitIdle, vkDisplayPowerControlEXT, vkEndCommandBuffer, vkEnumerateDeviceExtensionProperties, vkEnumerateDeviceLayerProperties, vkEnumerateInstanceExtensionProperties, vkEnumerateInstanceLayerProperties, vkEnumerateInstanceVersion, vkEnumeratePhysicalDeviceGroups, vkEnumeratePhysicalDeviceGroupsKHR, vkEnumeratePhysicalDevices, vkFlushMappedMemoryRanges, vkFreeCommandBuffers, vkFreeDescriptorSets, vkFreeMemory, vkGetAccelerationStructureHandleNV, vkGetAccelerationStructureMemoryRequirementsNV, vkGetAndroidHardwareBufferPropertiesANDROID(), vkGetBufferMemoryRequirements, vkGetBufferMemoryRequirements2, vkGetBufferMemoryRequirements2KHR, vkGetCalibratedTimestampsEXT, vkGetDescriptorSetLayoutSupport, vkGetDescriptorSetLayoutSupportKHR, vkGetDeviceGroupPeerMemoryFeatures, vkGetDeviceGroupPeerMemoryFeaturesKHR, vkGetDeviceGroupPresentCapabilitiesKHR, vkGetDeviceGroupSurfacePresentModesKHR, vkGetDeviceMemoryCommitment, vkGetDeviceProcAddr, vkGetDeviceQueue, vkGetDeviceQueue2, vkGetDisplayModeProperties2KHR, vkGetDisplayModePropertiesKHR, vkGetDisplayPlaneCapabilities2KHR, vkGetDisplayPlaneCapabilitiesKHR, vkGetDisplayPlaneSupportedDisplaysKHR, vkGetEventStatus, vkGetFenceFdKHR, vkGetFenceStatus, vkGetFenceWin32HandleKHR(), vkGetImageDrmFormatModifierPropertiesEXT, vkGetImageMemoryRequirements, vkGetImageMemoryRequirements2, vkGetImageMemoryRequirements2KHR, vkGetImageSparseMemoryRequirements, vkGetImageSparseMemoryRequirements2, vkGetImageSparseMemoryRequirements2KHR, vkGetImageSubresourceLayout, vkGetInstanceProcAddr, vkGetMemoryAndroidHardwareBufferANDROID(), vkGetMemoryFdKHR, vkGetMemoryFdPropertiesKHR, vkGetMemoryHostPointerPropertiesEXT, vkGetMemoryWin32HandleKHR(), vkGetMemoryWin32HandleNV(), vkGetMemoryWin32HandlePropertiesKHR(), vkGetPastPresentationTimingGOOGLE, vkGetPhysicalDeviceCalibrateableTimeDomainsEXT, vkGetPhysicalDeviceDisplayPlaneProperties2KHR, vkGetPhysicalDeviceDisplayPlanePropertiesKHR, vkGetPhysicalDeviceDisplayProperties2KHR, vkGetPhysicalDeviceDisplayPropertiesKHR, vkGetPhysicalDeviceExternalBufferProperties, vkGetPhysicalDeviceExternalBufferPropertiesKHR, vkGetPhysicalDeviceExternalFenceProperties, vkGetPhysicalDeviceExternalFencePropertiesKHR, vkGetPhysicalDeviceExternalImageFormatPropertiesNV, vkGetPhysicalDeviceExternalSemaphoreProperties, vkGetPhysicalDeviceExternalSemaphorePropertiesKHR, vkGetPhysicalDeviceFeatures, vkGetPhysicalDeviceFeatures2, vkGetPhysicalDeviceFeatures2KHR, vkGetPhysicalDeviceFormatProperties, vkGetPhysicalDeviceFormatProperties2, vkGetPhysicalDeviceFormatProperties2KHR, vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX, vkGetPhysicalDeviceImageFormatProperties, vkGetPhysicalDeviceImageFormatProperties2, vkGetPhysicalDeviceImageFormatProperties2KHR, vkGetPhysicalDeviceMemoryProperties, vkGetPhysicalDeviceMemoryProperties2, vkGetPhysicalDeviceMemoryProperties2KHR, vkGetPhysicalDeviceMultisamplePropertiesEXT, vkGetPhysicalDevicePresentRectanglesKHR, vkGetPhysicalDeviceProperties, vkGetPhysicalDeviceProperties2, vkGetPhysicalDeviceProperties2KHR, vkGetPhysicalDeviceQueueFamilyProperties, vkGetPhysicalDeviceQueueFamilyProperties2, vkGetPhysicalDeviceQueueFamilyProperties2KHR, vkGetPhysicalDeviceSparseImageFormatProperties, vkGetPhysicalDeviceSparseImageFormatProperties2, vkGetPhysicalDeviceSparseImageFormatProperties2KHR, vkGetPhysicalDeviceSurfaceCapabilities2EXT, vkGetPhysicalDeviceSurfaceCapabilities2KHR, vkGetPhysicalDeviceSurfaceCapabilitiesKHR, vkGetPhysicalDeviceSurfaceFormats2KHR, vkGetPhysicalDeviceSurfaceFormatsKHR, vkGetPhysicalDeviceSurfacePresentModesKHR, vkGetPhysicalDeviceSurfaceSupportKHR, vkGetPhysicalDeviceWaylandPresentationSupportKHR(), vkGetPhysicalDeviceWin32PresentationSupportKHR(), vkGetPhysicalDeviceXcbPresentationSupportKHR(), vkGetPhysicalDeviceXlibPresentationSupportKHR(), vkGetPipelineCacheData, vkGetQueryPoolResults, vkGetQueueCheckpointDataNV, vkGetRandROutputDisplayEXT(), vkGetRayTracingShaderGroupHandlesNV, vkGetRefreshCycleDurationGOOGLE, vkGetRenderAreaGranularity, vkGetSemaphoreFdKHR, vkGetSemaphoreWin32HandleKHR(), vkGetShaderInfoAMD, vkGetSwapchainCounterEXT, vkGetSwapchainImagesKHR, vkGetSwapchainStatusKHR, vkGetValidationCacheDataEXT, vkImportFenceFdKHR, vkImportFenceWin32HandleKHR(), vkImportSemaphoreFdKHR, vkImportSemaphoreWin32HandleKHR(), vkInvalidateMappedMemoryRanges, vkMapMemory, vkMergePipelineCaches, vkMergeValidationCachesEXT, vkQueueBeginDebugUtilsLabelEXT, vkQueueBindSparse, vkQueueEndDebugUtilsLabelEXT, vkQueueInsertDebugUtilsLabelEXT, vkQueuePresentKHR, vkQueueSubmit, vkQueueWaitIdle, vkRegisterDeviceEventEXT, vkRegisterDisplayEventEXT, vkRegisterObjectsNVX, vkReleaseDisplayEXT, vkResetCommandBuffer, vkResetCommandPool, vkResetDescriptorPool, vkResetEvent, vkResetFences, vkSetDebugUtilsObjectNameEXT, vkSetDebugUtilsObjectTagEXT, vkSetEvent, vkSetHdrMetadataEXT, vkSubmitDebugUtilsMessageEXT, vkTrimCommandPool, vkTrimCommandPoolKHR, vkUnmapMemory, vkUnregisterObjectsNVX, vkUpdateDescriptorSets, vkUpdateDescriptorSetWithTemplate, vkUpdateDescriptorSetWithTemplateKHR, and vkWaitForFences.

Referenced by DispatchLoaderDynamic().

## Field Documentation

## vkAcquireNextImage2KHR

PFN_vkAcquireNextImage2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAcquireNextImage2KHR = 0

Definition at line 52263 of file vulkan.hpp.

Referenced by init().

## vkAcquireNextImageKHR

PFN_vkAcquireNextImageKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAcquireNextImageKHR = 0

Definition at line 52264 of file vulkan.hpp.

Referenced by init().

## vkAllocateCommandBuffers

PFN_vkAllocateCommandBuffers VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateCommandBuffers = 0

Definition at line 52268 of file vulkan.hpp.

Referenced by init().

## vkAllocateDescriptorSets

PFN_vkAllocateDescriptorSets VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateDescriptorSets = 0

Definition at line 52269 of file vulkan.hpp.

Referenced by init().

## vkAllocateMemory

PFN_vkAllocateMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateMemory = 0

Definition at line 52270 of file vulkan.hpp.

Referenced by init().

## vkBeginCommandBuffer

PFN_vkBeginCommandBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBeginCommandBuffer = 0

Definition at line 52271 of file vulkan.hpp.

Referenced by init().

## vkBindAccelerationStructureMemoryNV

PFN_vkBindAccelerationStructureMemoryNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindAccelerationStructureMemoryNV = 0

Definition at line 52272 of file vulkan.hpp.

Referenced by init().

## vkBindBufferMemory

PFN_vkBindBufferMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory = 0

Definition at line 52273 of file vulkan.hpp.

Referenced by init().

## vkBindBufferMemory2

PFN_vkBindBufferMemory2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory2 = 0

Definition at line 52274 of file vulkan.hpp.

Referenced by init().

## vkBindBufferMemory2KHR

PFN_vkBindBufferMemory2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory2KHR = 0

Definition at line 52275 of file vulkan.hpp.

Referenced by init().

## vkBindImageMemory

PFN_vkBindImageMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory = 0

Definition at line 52276 of file vulkan.hpp.

Referenced by init().

## vkBindImageMemory2

PFN_vkBindImageMemory2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory2 = 0

Definition at line 52277 of file vulkan.hpp.

Referenced by init().

## vkBindImageMemory2KHR

PFN_vkBindImageMemory2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory2KHR = 0

Definition at line 52278 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginConditionalRenderingEXT

PFN_vkCmdBeginConditionalRenderingEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginConditionalRenderingEXT = 0

Definition at line 52279 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginDebugUtilsLabelEXT

PFN_vkCmdBeginDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginDebugUtilsLabelEXT = 0

Definition at line 52280 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginQuery

PFN_vkCmdBeginQuery VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginQuery = 0

Definition at line 52281 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginQueryIndexedEXT

PFN_vkCmdBeginQueryIndexedEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginQueryIndexedEXT = 0

Definition at line 52282 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginRenderPass

PFN_vkCmdBeginRenderPass VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginRenderPass = 0

Definition at line 52283 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginRenderPass2KHR

PFN_vkCmdBeginRenderPass2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginRenderPass2KHR = 0

Definition at line 52284 of file vulkan.hpp.

Referenced by init().

## vkCmdBeginTransformFeedbackEXT

PFN_vkCmdBeginTransformFeedbackEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginTransformFeedbackEXT = 0

Definition at line 52285 of file vulkan.hpp.

Referenced by init().

## vkCmdBindDescriptorSets

PFN_vkCmdBindDescriptorSets VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindDescriptorSets = 0

Definition at line 52286 of file vulkan.hpp.

Referenced by init().

## vkCmdBindIndexBuffer

PFN_vkCmdBindIndexBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindIndexBuffer = 0

Definition at line 52287 of file vulkan.hpp.

Referenced by init().

## vkCmdBindPipeline

PFN_vkCmdBindPipeline VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindPipeline = 0

Definition at line 52288 of file vulkan.hpp.

Referenced by init().

## vkCmdBindShadingRateImageNV

PFN_vkCmdBindShadingRateImageNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindShadingRateImageNV = 0

Definition at line 52289 of file vulkan.hpp.

Referenced by init().

## vkCmdBindTransformFeedbackBuffersEXT

PFN_vkCmdBindTransformFeedbackBuffersEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindTransformFeedbackBuffersEXT = 0

Definition at line 52290 of file vulkan.hpp.

Referenced by init().

## vkCmdBindVertexBuffers

PFN_vkCmdBindVertexBuffers VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindVertexBuffers = 0

Definition at line 52291 of file vulkan.hpp.

Referenced by init().

## vkCmdBlitImage

PFN_vkCmdBlitImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBlitImage = 0

Definition at line 52292 of file vulkan.hpp.

Referenced by init().

## vkCmdBuildAccelerationStructureNV

PFN_vkCmdBuildAccelerationStructureNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBuildAccelerationStructureNV = 0

Definition at line 52293 of file vulkan.hpp.

Referenced by init().

## vkCmdClearAttachments

PFN_vkCmdClearAttachments VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearAttachments = 0

Definition at line 52294 of file vulkan.hpp.

Referenced by init().

## vkCmdClearColorImage

PFN_vkCmdClearColorImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearColorImage = 0

Definition at line 52295 of file vulkan.hpp.

Referenced by init().

## vkCmdClearDepthStencilImage

PFN_vkCmdClearDepthStencilImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearDepthStencilImage = 0

Definition at line 52296 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyAccelerationStructureNV

PFN_vkCmdCopyAccelerationStructureNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyAccelerationStructureNV = 0

Definition at line 52297 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyBuffer

PFN_vkCmdCopyBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyBuffer = 0

Definition at line 52298 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyBufferToImage

PFN_vkCmdCopyBufferToImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyBufferToImage = 0

Definition at line 52299 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyImage

PFN_vkCmdCopyImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyImage = 0

Definition at line 52300 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyImageToBuffer

PFN_vkCmdCopyImageToBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyImageToBuffer = 0

Definition at line 52301 of file vulkan.hpp.

Referenced by init().

## vkCmdCopyQueryPoolResults

PFN_vkCmdCopyQueryPoolResults VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyQueryPoolResults = 0

Definition at line 52302 of file vulkan.hpp.

Referenced by init().

## vkCmdDebugMarkerBeginEXT

PFN_vkCmdDebugMarkerBeginEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerBeginEXT = 0

Definition at line 52303 of file vulkan.hpp.

Referenced by init().

## vkCmdDebugMarkerEndEXT

PFN_vkCmdDebugMarkerEndEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerEndEXT = 0

Definition at line 52304 of file vulkan.hpp.

Referenced by init().

## vkCmdDebugMarkerInsertEXT

PFN_vkCmdDebugMarkerInsertEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerInsertEXT = 0

Definition at line 52305 of file vulkan.hpp.

Referenced by init().

## vkCmdDispatch

PFN_vkCmdDispatch VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatch = 0

Definition at line 52306 of file vulkan.hpp.

Referenced by init().

## vkCmdDispatchBase

PFN_vkCmdDispatchBase VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchBase = 0

Definition at line 52307 of file vulkan.hpp.

Referenced by init().

## vkCmdDispatchBaseKHR

PFN_vkCmdDispatchBaseKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchBaseKHR = 0

Definition at line 52308 of file vulkan.hpp.

Referenced by init().

## vkCmdDispatchIndirect

PFN_vkCmdDispatchIndirect VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchIndirect = 0

Definition at line 52309 of file vulkan.hpp.

Referenced by init().

## vkCmdDraw

PFN_vkCmdDraw VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDraw = 0

Definition at line 52310 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndexed

PFN_vkCmdDrawIndexed VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexed = 0

Definition at line 52311 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndexedIndirect

PFN_vkCmdDrawIndexedIndirect VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirect = 0

Definition at line 52312 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndexedIndirectCountAMD

PFN_vkCmdDrawIndexedIndirectCountAMD VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirectCountAMD = 0

Definition at line 52313 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndexedIndirectCountKHR

PFN_vkCmdDrawIndexedIndirectCountKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirectCountKHR = 0

Definition at line 52314 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndirect

PFN_vkCmdDrawIndirect VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirect = 0

Definition at line 52315 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndirectByteCountEXT

PFN_vkCmdDrawIndirectByteCountEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectByteCountEXT = 0

Definition at line 52316 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndirectCountAMD

PFN_vkCmdDrawIndirectCountAMD VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectCountAMD = 0

Definition at line 52317 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawIndirectCountKHR

PFN_vkCmdDrawIndirectCountKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectCountKHR = 0

Definition at line 52318 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawMeshTasksIndirectCountNV

PFN_vkCmdDrawMeshTasksIndirectCountNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksIndirectCountNV = 0

Definition at line 52319 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawMeshTasksIndirectNV

PFN_vkCmdDrawMeshTasksIndirectNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksIndirectNV = 0

Definition at line 52320 of file vulkan.hpp.

Referenced by init().

## vkCmdDrawMeshTasksNV

PFN_vkCmdDrawMeshTasksNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksNV = 0

Definition at line 52321 of file vulkan.hpp.

Referenced by init().

## vkCmdEndConditionalRenderingEXT

PFN_vkCmdEndConditionalRenderingEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndConditionalRenderingEXT = 0

Definition at line 52322 of file vulkan.hpp.

Referenced by init().

## vkCmdEndDebugUtilsLabelEXT

PFN_vkCmdEndDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndDebugUtilsLabelEXT = 0

Definition at line 52323 of file vulkan.hpp.

Referenced by init().

## vkCmdEndQuery

PFN_vkCmdEndQuery VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndQuery = 0

Definition at line 52324 of file vulkan.hpp.

Referenced by init().

## vkCmdEndQueryIndexedEXT

PFN_vkCmdEndQueryIndexedEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndQueryIndexedEXT = 0

Definition at line 52325 of file vulkan.hpp.

Referenced by init().

## vkCmdEndRenderPass

PFN_vkCmdEndRenderPass VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndRenderPass = 0

Definition at line 52326 of file vulkan.hpp.

Referenced by init().

## vkCmdEndRenderPass2KHR

PFN_vkCmdEndRenderPass2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndRenderPass2KHR = 0

Definition at line 52327 of file vulkan.hpp.

Referenced by init().

## vkCmdEndTransformFeedbackEXT

PFN_vkCmdEndTransformFeedbackEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndTransformFeedbackEXT = 0

Definition at line 52328 of file vulkan.hpp.

Referenced by init().

## vkCmdExecuteCommands

PFN_vkCmdExecuteCommands VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdExecuteCommands = 0

Definition at line 52329 of file vulkan.hpp.

Referenced by init().

## vkCmdFillBuffer

PFN_vkCmdFillBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdFillBuffer = 0

Definition at line 52330 of file vulkan.hpp.

Referenced by init().

## vkCmdInsertDebugUtilsLabelEXT

PFN_vkCmdInsertDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdInsertDebugUtilsLabelEXT = 0

Definition at line 52331 of file vulkan.hpp.

Referenced by init().

## vkCmdNextSubpass

PFN_vkCmdNextSubpass VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdNextSubpass = 0

Definition at line 52332 of file vulkan.hpp.

Referenced by init().

## vkCmdNextSubpass2KHR

PFN_vkCmdNextSubpass2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdNextSubpass2KHR = 0

Definition at line 52333 of file vulkan.hpp.

Referenced by init().

## vkCmdPipelineBarrier

PFN_vkCmdPipelineBarrier VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPipelineBarrier = 0

Definition at line 52334 of file vulkan.hpp.

Referenced by init().

## vkCmdProcessCommandsNVX

PFN_vkCmdProcessCommandsNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdProcessCommandsNVX = 0

Definition at line 52335 of file vulkan.hpp.

Referenced by init().

## vkCmdPushConstants

PFN_vkCmdPushConstants VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushConstants = 0

Definition at line 52336 of file vulkan.hpp.

Referenced by init().

## vkCmdPushDescriptorSetKHR

PFN_vkCmdPushDescriptorSetKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushDescriptorSetKHR = 0

Definition at line 52337 of file vulkan.hpp.

Referenced by init().

## vkCmdPushDescriptorSetWithTemplateKHR

PFN_vkCmdPushDescriptorSetWithTemplateKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushDescriptorSetWithTemplateKHR = 0

Definition at line 52338 of file vulkan.hpp.

Referenced by init().

## vkCmdReserveSpaceForCommandsNVX

PFN_vkCmdReserveSpaceForCommandsNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdReserveSpaceForCommandsNVX = 0

Definition at line 52339 of file vulkan.hpp.

Referenced by init().

## vkCmdResetEvent

PFN_vkCmdResetEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResetEvent = 0

Definition at line 52340 of file vulkan.hpp.

Referenced by init().

## vkCmdResetQueryPool

PFN_vkCmdResetQueryPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResetQueryPool = 0

Definition at line 52341 of file vulkan.hpp.

Referenced by init().

## vkCmdResolveImage

PFN_vkCmdResolveImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResolveImage = 0

Definition at line 52342 of file vulkan.hpp.

Referenced by init().

## vkCmdSetBlendConstants

PFN_vkCmdSetBlendConstants VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetBlendConstants = 0

Definition at line 52343 of file vulkan.hpp.

Referenced by init().

## vkCmdSetCheckpointNV

PFN_vkCmdSetCheckpointNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetCheckpointNV = 0

Definition at line 52344 of file vulkan.hpp.

Referenced by init().

## vkCmdSetCoarseSampleOrderNV

PFN_vkCmdSetCoarseSampleOrderNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetCoarseSampleOrderNV = 0

Definition at line 52345 of file vulkan.hpp.

Referenced by init().

## vkCmdSetDepthBias

PFN_vkCmdSetDepthBias VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDepthBias = 0

Definition at line 52346 of file vulkan.hpp.

Referenced by init().

## vkCmdSetDepthBounds

PFN_vkCmdSetDepthBounds VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDepthBounds = 0

Definition at line 52347 of file vulkan.hpp.

Referenced by init().

## vkCmdSetDeviceMask

PFN_vkCmdSetDeviceMask VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDeviceMask = 0

Definition at line 52348 of file vulkan.hpp.

Referenced by init().

## vkCmdSetDeviceMaskKHR

PFN_vkCmdSetDeviceMaskKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDeviceMaskKHR = 0

Definition at line 52349 of file vulkan.hpp.

Referenced by init().

## vkCmdSetDiscardRectangleEXT

PFN_vkCmdSetDiscardRectangleEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDiscardRectangleEXT = 0

Definition at line 52350 of file vulkan.hpp.

Referenced by init().

## vkCmdSetEvent

PFN_vkCmdSetEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetEvent = 0

Definition at line 52351 of file vulkan.hpp.

Referenced by init().

## vkCmdSetExclusiveScissorNV

PFN_vkCmdSetExclusiveScissorNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetExclusiveScissorNV = 0

Definition at line 52352 of file vulkan.hpp.

Referenced by init().

## vkCmdSetLineWidth

PFN_vkCmdSetLineWidth VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetLineWidth = 0

Definition at line 52353 of file vulkan.hpp.

Referenced by init().

## vkCmdSetSampleLocationsEXT

PFN_vkCmdSetSampleLocationsEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetSampleLocationsEXT = 0

Definition at line 52354 of file vulkan.hpp.

Referenced by init().

## vkCmdSetScissor

PFN_vkCmdSetScissor VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetScissor = 0

Definition at line 52355 of file vulkan.hpp.

Referenced by init().

## vkCmdSetStencilCompareMask

PFN_vkCmdSetStencilCompareMask VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilCompareMask = 0

Definition at line 52356 of file vulkan.hpp.

Referenced by init().

## vkCmdSetStencilReference

PFN_vkCmdSetStencilReference VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilReference = 0

Definition at line 52357 of file vulkan.hpp.

Referenced by init().

## vkCmdSetStencilWriteMask

PFN_vkCmdSetStencilWriteMask VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilWriteMask = 0

Definition at line 52358 of file vulkan.hpp.

Referenced by init().

## vkCmdSetViewport

PFN_vkCmdSetViewport VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewport = 0

Definition at line 52359 of file vulkan.hpp.

Referenced by init().

## vkCmdSetViewportShadingRatePaletteNV

PFN_vkCmdSetViewportShadingRatePaletteNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewportShadingRatePaletteNV = 0

Definition at line 52360 of file vulkan.hpp.

Referenced by init().

## vkCmdSetViewportWScalingNV

PFN_vkCmdSetViewportWScalingNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewportWScalingNV = 0

Definition at line 52361 of file vulkan.hpp.

Referenced by init().

## vkCmdTraceRaysNV

PFN_vkCmdTraceRaysNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdTraceRaysNV = 0

Definition at line 52362 of file vulkan.hpp.

Referenced by init().

## vkCmdUpdateBuffer

PFN_vkCmdUpdateBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdUpdateBuffer = 0

Definition at line 52363 of file vulkan.hpp.

Referenced by init().

## vkCmdWaitEvents

PFN_vkCmdWaitEvents VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWaitEvents = 0

Definition at line 52364 of file vulkan.hpp.

Referenced by init().

## vkCmdWriteAccelerationStructuresPropertiesNV

PFN_vkCmdWriteAccelerationStructuresPropertiesNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteAccelerationStructuresPropertiesNV = 0

Definition at line 52365 of file vulkan.hpp.

Referenced by init().

## vkCmdWriteBufferMarkerAMD

PFN_vkCmdWriteBufferMarkerAMD VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteBufferMarkerAMD = 0

Definition at line 52366 of file vulkan.hpp.

Referenced by init().

## vkCmdWriteTimestamp

PFN_vkCmdWriteTimestamp VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteTimestamp = 0

Definition at line 52367 of file vulkan.hpp.

Referenced by init().

## vkCompileDeferredNV

PFN_vkCompileDeferredNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCompileDeferredNV = 0

Definition at line 52368 of file vulkan.hpp.

Referenced by init().

## vkCreateAccelerationStructureNV

PFN_vkCreateAccelerationStructureNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateAccelerationStructureNV = 0

Definition at line 52369 of file vulkan.hpp.

Referenced by init().

## vkCreateBuffer

PFN_vkCreateBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateBuffer = 0

Definition at line 52373 of file vulkan.hpp.

Referenced by init().

## vkCreateBufferView

PFN_vkCreateBufferView VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateBufferView = 0

Definition at line 52374 of file vulkan.hpp.

Referenced by init().

## vkCreateCommandPool

PFN_vkCreateCommandPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateCommandPool = 0

Definition at line 52375 of file vulkan.hpp.

Referenced by init().

## vkCreateComputePipelines

PFN_vkCreateComputePipelines VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateComputePipelines = 0

Definition at line 52376 of file vulkan.hpp.

Referenced by init().

## vkCreateDebugReportCallbackEXT

PFN_vkCreateDebugReportCallbackEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDebugReportCallbackEXT = 0

Definition at line 52377 of file vulkan.hpp.

Referenced by init().

## vkCreateDebugUtilsMessengerEXT

PFN_vkCreateDebugUtilsMessengerEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDebugUtilsMessengerEXT = 0

Definition at line 52378 of file vulkan.hpp.

Referenced by init().

## vkCreateDescriptorPool

PFN_vkCreateDescriptorPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorPool = 0

Definition at line 52379 of file vulkan.hpp.

Referenced by init().

## vkCreateDescriptorSetLayout

PFN_vkCreateDescriptorSetLayout VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorSetLayout = 0

Definition at line 52380 of file vulkan.hpp.

Referenced by init().

## vkCreateDescriptorUpdateTemplate

PFN_vkCreateDescriptorUpdateTemplate VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorUpdateTemplate = 0

Definition at line 52381 of file vulkan.hpp.

Referenced by init().

## vkCreateDescriptorUpdateTemplateKHR

PFN_vkCreateDescriptorUpdateTemplateKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorUpdateTemplateKHR = 0

Definition at line 52382 of file vulkan.hpp.

Referenced by init().

## vkCreateDevice

PFN_vkCreateDevice VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDevice = 0

Definition at line 52383 of file vulkan.hpp.

Referenced by init().

## vkCreateDisplayModeKHR

PFN_vkCreateDisplayModeKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDisplayModeKHR = 0

Definition at line 52384 of file vulkan.hpp.

Referenced by init().

## vkCreateDisplayPlaneSurfaceKHR

PFN_vkCreateDisplayPlaneSurfaceKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDisplayPlaneSurfaceKHR = 0

Definition at line 52385 of file vulkan.hpp.

Referenced by init().

## vkCreateEvent

PFN_vkCreateEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateEvent = 0

Definition at line 52386 of file vulkan.hpp.

Referenced by init().

## vkCreateFence

PFN_vkCreateFence VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateFence = 0

Definition at line 52387 of file vulkan.hpp.

Referenced by init().

## vkCreateFramebuffer

PFN_vkCreateFramebuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateFramebuffer = 0

Definition at line 52388 of file vulkan.hpp.

Referenced by init().

## vkCreateGraphicsPipelines

PFN_vkCreateGraphicsPipelines VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateGraphicsPipelines = 0

Definition at line 52389 of file vulkan.hpp.

Referenced by init().

## vkCreateImage

PFN_vkCreateImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateImage = 0

Definition at line 52393 of file vulkan.hpp.

Referenced by init().

## vkCreateImageView

PFN_vkCreateImageView VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateImageView = 0

Definition at line 52397 of file vulkan.hpp.

Referenced by init().

## vkCreateIndirectCommandsLayoutNVX

PFN_vkCreateIndirectCommandsLayoutNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateIndirectCommandsLayoutNVX = 0

Definition at line 52398 of file vulkan.hpp.

Referenced by init().

## vkCreateInstance

PFN_vkCreateInstance VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateInstance = 0

Definition at line 52399 of file vulkan.hpp.

Referenced by init().

## vkCreateObjectTableNVX

PFN_vkCreateObjectTableNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateObjectTableNVX = 0

Definition at line 52403 of file vulkan.hpp.

Referenced by init().

## vkCreatePipelineCache

PFN_vkCreatePipelineCache VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreatePipelineCache = 0

Definition at line 52404 of file vulkan.hpp.

Referenced by init().

## vkCreatePipelineLayout

PFN_vkCreatePipelineLayout VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreatePipelineLayout = 0

Definition at line 52405 of file vulkan.hpp.

Referenced by init().

## vkCreateQueryPool

PFN_vkCreateQueryPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateQueryPool = 0

Definition at line 52406 of file vulkan.hpp.

Referenced by init().

## vkCreateRayTracingPipelinesNV

PFN_vkCreateRayTracingPipelinesNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRayTracingPipelinesNV = 0

Definition at line 52407 of file vulkan.hpp.

Referenced by init().

## vkCreateRenderPass

PFN_vkCreateRenderPass VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRenderPass = 0

Definition at line 52408 of file vulkan.hpp.

Referenced by init().

## vkCreateRenderPass2KHR

PFN_vkCreateRenderPass2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRenderPass2KHR = 0

Definition at line 52409 of file vulkan.hpp.

Referenced by init().

## vkCreateSampler

PFN_vkCreateSampler VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSampler = 0

Definition at line 52410 of file vulkan.hpp.

Referenced by init().

## vkCreateSamplerYcbcrConversion

PFN_vkCreateSamplerYcbcrConversion VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSamplerYcbcrConversion = 0

Definition at line 52411 of file vulkan.hpp.

Referenced by init().

## vkCreateSamplerYcbcrConversionKHR

PFN_vkCreateSamplerYcbcrConversionKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSamplerYcbcrConversionKHR = 0

Definition at line 52412 of file vulkan.hpp.

Referenced by init().

## vkCreateSemaphore

PFN_vkCreateSemaphore VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSemaphore = 0

Definition at line 52413 of file vulkan.hpp.

Referenced by init().

## vkCreateShaderModule

PFN_vkCreateShaderModule VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateShaderModule = 0

Definition at line 52414 of file vulkan.hpp.

Referenced by init().

## vkCreateSharedSwapchainsKHR

PFN_vkCreateSharedSwapchainsKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSharedSwapchainsKHR = 0

Definition at line 52415 of file vulkan.hpp.

Referenced by init().

## vkCreateSwapchainKHR

PFN_vkCreateSwapchainKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSwapchainKHR = 0

Definition at line 52416 of file vulkan.hpp.

Referenced by init().

## vkCreateValidationCacheEXT

PFN_vkCreateValidationCacheEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateValidationCacheEXT = 0

Definition at line 52417 of file vulkan.hpp.

Referenced by init().

## vkDebugMarkerSetObjectNameEXT

PFN_vkDebugMarkerSetObjectNameEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugMarkerSetObjectNameEXT = 0

Definition at line 52433 of file vulkan.hpp.

Referenced by init().

## vkDebugMarkerSetObjectTagEXT

PFN_vkDebugMarkerSetObjectTagEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugMarkerSetObjectTagEXT = 0

Definition at line 52434 of file vulkan.hpp.

Referenced by init().

## vkDebugReportMessageEXT

PFN_vkDebugReportMessageEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugReportMessageEXT = 0

Definition at line 52435 of file vulkan.hpp.

Referenced by init().

## vkDestroyAccelerationStructureNV

PFN_vkDestroyAccelerationStructureNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyAccelerationStructureNV = 0

Definition at line 52436 of file vulkan.hpp.

Referenced by init().

## vkDestroyBuffer

PFN_vkDestroyBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyBuffer = 0

Definition at line 52437 of file vulkan.hpp.

Referenced by init().

## vkDestroyBufferView

PFN_vkDestroyBufferView VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyBufferView = 0

Definition at line 52438 of file vulkan.hpp.

Referenced by init().

## vkDestroyCommandPool

PFN_vkDestroyCommandPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyCommandPool = 0

Definition at line 52439 of file vulkan.hpp.

Referenced by init().

## vkDestroyDebugReportCallbackEXT

PFN_vkDestroyDebugReportCallbackEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDebugReportCallbackEXT = 0

Definition at line 52440 of file vulkan.hpp.

Referenced by init().

## vkDestroyDebugUtilsMessengerEXT

PFN_vkDestroyDebugUtilsMessengerEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDebugUtilsMessengerEXT = 0

Definition at line 52441 of file vulkan.hpp.

Referenced by init().

## vkDestroyDescriptorPool

PFN_vkDestroyDescriptorPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorPool = 0

Definition at line 52442 of file vulkan.hpp.

Referenced by init().

## vkDestroyDescriptorSetLayout

PFN_vkDestroyDescriptorSetLayout VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorSetLayout = 0

Definition at line 52443 of file vulkan.hpp.

Referenced by init().

## vkDestroyDescriptorUpdateTemplate

PFN_vkDestroyDescriptorUpdateTemplate VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorUpdateTemplate = 0

Definition at line 52444 of file vulkan.hpp.

Referenced by init().

## vkDestroyDescriptorUpdateTemplateKHR

PFN_vkDestroyDescriptorUpdateTemplateKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorUpdateTemplateKHR = 0

Definition at line 52445 of file vulkan.hpp.

Referenced by init().

## vkDestroyDevice

PFN_vkDestroyDevice VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDevice = 0

Definition at line 52446 of file vulkan.hpp.

Referenced by init().

## vkDestroyEvent

PFN_vkDestroyEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyEvent = 0

Definition at line 52447 of file vulkan.hpp.

Referenced by init().

## vkDestroyFence

PFN_vkDestroyFence VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyFence = 0

Definition at line 52448 of file vulkan.hpp.

Referenced by init().

## vkDestroyFramebuffer

PFN_vkDestroyFramebuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyFramebuffer = 0

Definition at line 52449 of file vulkan.hpp.

Referenced by init().

## vkDestroyImage

PFN_vkDestroyImage VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyImage = 0

Definition at line 52450 of file vulkan.hpp.

Referenced by init().

## vkDestroyImageView

PFN_vkDestroyImageView VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyImageView = 0

Definition at line 52451 of file vulkan.hpp.

Referenced by init().

## vkDestroyIndirectCommandsLayoutNVX

PFN_vkDestroyIndirectCommandsLayoutNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyIndirectCommandsLayoutNVX = 0

Definition at line 52452 of file vulkan.hpp.

Referenced by init().

## vkDestroyInstance

PFN_vkDestroyInstance VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyInstance = 0

Definition at line 52453 of file vulkan.hpp.

Referenced by init().

## vkDestroyObjectTableNVX

PFN_vkDestroyObjectTableNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyObjectTableNVX = 0

Definition at line 52454 of file vulkan.hpp.

Referenced by init().

## vkDestroyPipeline

PFN_vkDestroyPipeline VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipeline = 0

Definition at line 52455 of file vulkan.hpp.

Referenced by init().

## vkDestroyPipelineCache

PFN_vkDestroyPipelineCache VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipelineCache = 0

Definition at line 52456 of file vulkan.hpp.

Referenced by init().

## vkDestroyPipelineLayout

PFN_vkDestroyPipelineLayout VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipelineLayout = 0

Definition at line 52457 of file vulkan.hpp.

Referenced by init().

## vkDestroyQueryPool

PFN_vkDestroyQueryPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyQueryPool = 0

Definition at line 52458 of file vulkan.hpp.

Referenced by init().

## vkDestroyRenderPass

PFN_vkDestroyRenderPass VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyRenderPass = 0

Definition at line 52459 of file vulkan.hpp.

Referenced by init().

## vkDestroySampler

PFN_vkDestroySampler VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySampler = 0

Definition at line 52460 of file vulkan.hpp.

Referenced by init().

## vkDestroySamplerYcbcrConversion

PFN_vkDestroySamplerYcbcrConversion VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySamplerYcbcrConversion = 0

Definition at line 52461 of file vulkan.hpp.

Referenced by init().

## vkDestroySamplerYcbcrConversionKHR

PFN_vkDestroySamplerYcbcrConversionKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySamplerYcbcrConversionKHR = 0

Definition at line 52462 of file vulkan.hpp.

Referenced by init().

## vkDestroySemaphore

PFN_vkDestroySemaphore VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySemaphore = 0

Definition at line 52463 of file vulkan.hpp.

Referenced by init().

## vkDestroyShaderModule

PFN_vkDestroyShaderModule VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyShaderModule = 0

Definition at line 52464 of file vulkan.hpp.

Referenced by init().

## vkDestroySurfaceKHR

PFN_vkDestroySurfaceKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySurfaceKHR = 0

Definition at line 52465 of file vulkan.hpp.

Referenced by init().

## vkDestroySwapchainKHR

PFN_vkDestroySwapchainKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySwapchainKHR = 0

Definition at line 52466 of file vulkan.hpp.

Referenced by init().

## vkDestroyValidationCacheEXT

PFN_vkDestroyValidationCacheEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyValidationCacheEXT = 0

Definition at line 52467 of file vulkan.hpp.

Referenced by init().

## vkDeviceWaitIdle

PFN_vkDeviceWaitIdle VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDeviceWaitIdle = 0

Definition at line 52468 of file vulkan.hpp.

Referenced by init().

## vkDisplayPowerControlEXT

PFN_vkDisplayPowerControlEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDisplayPowerControlEXT = 0

Definition at line 52469 of file vulkan.hpp.

Referenced by init().

## vkEndCommandBuffer

PFN_vkEndCommandBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEndCommandBuffer = 0

Definition at line 52470 of file vulkan.hpp.

Referenced by init().

## vkEnumerateDeviceExtensionProperties

PFN_vkEnumerateDeviceExtensionProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateDeviceExtensionProperties = 0

Definition at line 52471 of file vulkan.hpp.

Referenced by init().

## vkEnumerateDeviceLayerProperties

PFN_vkEnumerateDeviceLayerProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateDeviceLayerProperties = 0

Definition at line 52472 of file vulkan.hpp.

Referenced by init().

## vkEnumerateInstanceExtensionProperties

PFN_vkEnumerateInstanceExtensionProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceExtensionProperties = 0

Definition at line 52473 of file vulkan.hpp.

Referenced by init().

## vkEnumerateInstanceLayerProperties

PFN_vkEnumerateInstanceLayerProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceLayerProperties = 0

Definition at line 52474 of file vulkan.hpp.

Referenced by init().

## vkEnumerateInstanceVersion

PFN_vkEnumerateInstanceVersion VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceVersion = 0

Definition at line 52475 of file vulkan.hpp.

Referenced by init().

## vkEnumeratePhysicalDeviceGroups

PFN_vkEnumeratePhysicalDeviceGroups VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDeviceGroups = 0

Definition at line 52476 of file vulkan.hpp.

Referenced by init().

## vkEnumeratePhysicalDeviceGroupsKHR

PFN_vkEnumeratePhysicalDeviceGroupsKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDeviceGroupsKHR = 0

Definition at line 52477 of file vulkan.hpp.

Referenced by init().

## vkEnumeratePhysicalDevices

PFN_vkEnumeratePhysicalDevices VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDevices = 0

Definition at line 52478 of file vulkan.hpp.

Referenced by init().

## vkFlushMappedMemoryRanges

PFN_vkFlushMappedMemoryRanges VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFlushMappedMemoryRanges = 0

Definition at line 52479 of file vulkan.hpp.

Referenced by init().

## vkFreeCommandBuffers

PFN_vkFreeCommandBuffers VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeCommandBuffers = 0

Definition at line 52480 of file vulkan.hpp.

Referenced by init().

## vkFreeDescriptorSets

PFN_vkFreeDescriptorSets VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeDescriptorSets = 0

Definition at line 52481 of file vulkan.hpp.

Referenced by init().

## vkFreeMemory

PFN_vkFreeMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeMemory = 0

Definition at line 52482 of file vulkan.hpp.

Referenced by init().

## vkGetAccelerationStructureHandleNV

PFN_vkGetAccelerationStructureHandleNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetAccelerationStructureHandleNV = 0

Definition at line 52483 of file vulkan.hpp.

Referenced by init().

## vkGetAccelerationStructureMemoryRequirementsNV

PFN_vkGetAccelerationStructureMemoryRequirementsNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetAccelerationStructureMemoryRequirementsNV = 0

Definition at line 52484 of file vulkan.hpp.

Referenced by init().

## vkGetBufferMemoryRequirements

PFN_vkGetBufferMemoryRequirements VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements = 0

Definition at line 52488 of file vulkan.hpp.

Referenced by init().

## vkGetBufferMemoryRequirements2

PFN_vkGetBufferMemoryRequirements2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements2 = 0

Definition at line 52489 of file vulkan.hpp.

Referenced by init().

## vkGetBufferMemoryRequirements2KHR

PFN_vkGetBufferMemoryRequirements2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements2KHR = 0

Definition at line 52490 of file vulkan.hpp.

Referenced by init().

## vkGetCalibratedTimestampsEXT

PFN_vkGetCalibratedTimestampsEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetCalibratedTimestampsEXT = 0

Definition at line 52491 of file vulkan.hpp.

Referenced by init().

## vkGetDescriptorSetLayoutSupport

PFN_vkGetDescriptorSetLayoutSupport VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDescriptorSetLayoutSupport = 0

Definition at line 52492 of file vulkan.hpp.

Referenced by init().

## vkGetDescriptorSetLayoutSupportKHR

PFN_vkGetDescriptorSetLayoutSupportKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDescriptorSetLayoutSupportKHR = 0

Definition at line 52493 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceGroupPeerMemoryFeatures

PFN_vkGetDeviceGroupPeerMemoryFeatures VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPeerMemoryFeatures = 0

Definition at line 52494 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceGroupPeerMemoryFeaturesKHR

PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPeerMemoryFeaturesKHR = 0

Definition at line 52495 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceGroupPresentCapabilitiesKHR

PFN_vkGetDeviceGroupPresentCapabilitiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPresentCapabilitiesKHR = 0

Definition at line 52496 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceGroupSurfacePresentModesKHR

PFN_vkGetDeviceGroupSurfacePresentModesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupSurfacePresentModesKHR = 0

Definition at line 52497 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceMemoryCommitment

PFN_vkGetDeviceMemoryCommitment VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceMemoryCommitment = 0

Definition at line 52498 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceProcAddr

PFN_vkGetDeviceProcAddr VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceProcAddr = 0

Definition at line 52499 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceQueue

PFN_vkGetDeviceQueue VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceQueue = 0

Definition at line 52500 of file vulkan.hpp.

Referenced by init().

## vkGetDeviceQueue2

PFN_vkGetDeviceQueue2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceQueue2 = 0

Definition at line 52501 of file vulkan.hpp.

Referenced by init().

## vkGetDisplayModeProperties2KHR

PFN_vkGetDisplayModeProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayModeProperties2KHR = 0

Definition at line 52502 of file vulkan.hpp.

Referenced by init().

## vkGetDisplayModePropertiesKHR

PFN_vkGetDisplayModePropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayModePropertiesKHR = 0

Definition at line 52503 of file vulkan.hpp.

Referenced by init().

## vkGetDisplayPlaneCapabilities2KHR

PFN_vkGetDisplayPlaneCapabilities2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneCapabilities2KHR = 0

Definition at line 52504 of file vulkan.hpp.

Referenced by init().

## vkGetDisplayPlaneCapabilitiesKHR

PFN_vkGetDisplayPlaneCapabilitiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneCapabilitiesKHR = 0

Definition at line 52505 of file vulkan.hpp.

Referenced by init().

## vkGetDisplayPlaneSupportedDisplaysKHR

PFN_vkGetDisplayPlaneSupportedDisplaysKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneSupportedDisplaysKHR = 0

Definition at line 52506 of file vulkan.hpp.

Referenced by init().

## vkGetEventStatus

PFN_vkGetEventStatus VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetEventStatus = 0

Definition at line 52507 of file vulkan.hpp.

Referenced by init().

## vkGetFenceFdKHR

PFN_vkGetFenceFdKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetFenceFdKHR = 0

Definition at line 52508 of file vulkan.hpp.

Referenced by init().

## vkGetFenceStatus

PFN_vkGetFenceStatus VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetFenceStatus = 0

Definition at line 52509 of file vulkan.hpp.

Referenced by init().

## vkGetImageDrmFormatModifierPropertiesEXT

PFN_vkGetImageDrmFormatModifierPropertiesEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageDrmFormatModifierPropertiesEXT = 0

Definition at line 52513 of file vulkan.hpp.

Referenced by init().

## vkGetImageMemoryRequirements

PFN_vkGetImageMemoryRequirements VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements = 0

Definition at line 52514 of file vulkan.hpp.

Referenced by init().

## vkGetImageMemoryRequirements2

PFN_vkGetImageMemoryRequirements2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements2 = 0

Definition at line 52515 of file vulkan.hpp.

Referenced by init().

## vkGetImageMemoryRequirements2KHR

PFN_vkGetImageMemoryRequirements2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements2KHR = 0

Definition at line 52516 of file vulkan.hpp.

Referenced by init().

## vkGetImageSparseMemoryRequirements

PFN_vkGetImageSparseMemoryRequirements VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements = 0

Definition at line 52517 of file vulkan.hpp.

Referenced by init().

## vkGetImageSparseMemoryRequirements2

PFN_vkGetImageSparseMemoryRequirements2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements2 = 0

Definition at line 52518 of file vulkan.hpp.

Referenced by init().

## vkGetImageSparseMemoryRequirements2KHR

PFN_vkGetImageSparseMemoryRequirements2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements2KHR = 0

Definition at line 52519 of file vulkan.hpp.

Referenced by init().

## vkGetImageSubresourceLayout

PFN_vkGetImageSubresourceLayout VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSubresourceLayout = 0

Definition at line 52520 of file vulkan.hpp.

Referenced by init().

## vkGetInstanceProcAddr

PFN_vkGetInstanceProcAddr VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetInstanceProcAddr = 0

Definition at line 52521 of file vulkan.hpp.

Referenced by init().

## vkGetMemoryFdKHR

PFN_vkGetMemoryFdKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryFdKHR = 0

Definition at line 52525 of file vulkan.hpp.

Referenced by init().

## vkGetMemoryFdPropertiesKHR

PFN_vkGetMemoryFdPropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryFdPropertiesKHR = 0

Definition at line 52526 of file vulkan.hpp.

Referenced by init().

## vkGetMemoryHostPointerPropertiesEXT

PFN_vkGetMemoryHostPointerPropertiesEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryHostPointerPropertiesEXT = 0

Definition at line 52527 of file vulkan.hpp.

Referenced by init().

## vkGetPastPresentationTimingGOOGLE

PFN_vkGetPastPresentationTimingGOOGLE VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPastPresentationTimingGOOGLE = 0

Definition at line 52537 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceCalibrateableTimeDomainsEXT

PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceCalibrateableTimeDomainsEXT = 0

Definition at line 52538 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceDisplayPlaneProperties2KHR

PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPlaneProperties2KHR = 0

Definition at line 52539 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceDisplayPlanePropertiesKHR

PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPlanePropertiesKHR = 0

Definition at line 52540 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceDisplayProperties2KHR

PFN_vkGetPhysicalDeviceDisplayProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayProperties2KHR = 0

Definition at line 52541 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceDisplayPropertiesKHR

PFN_vkGetPhysicalDeviceDisplayPropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPropertiesKHR = 0

Definition at line 52542 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalBufferProperties

PFN_vkGetPhysicalDeviceExternalBufferProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalBufferProperties = 0

Definition at line 52543 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalBufferPropertiesKHR

PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalBufferPropertiesKHR = 0

Definition at line 52544 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalFenceProperties

PFN_vkGetPhysicalDeviceExternalFenceProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalFenceProperties = 0

Definition at line 52545 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalFencePropertiesKHR

PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalFencePropertiesKHR = 0

Definition at line 52546 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalImageFormatPropertiesNV

PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalImageFormatPropertiesNV = 0

Definition at line 52547 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalSemaphoreProperties

PFN_vkGetPhysicalDeviceExternalSemaphoreProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalSemaphoreProperties = 0

Definition at line 52548 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceExternalSemaphorePropertiesKHR

PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalSemaphorePropertiesKHR = 0

Definition at line 52549 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFeatures

PFN_vkGetPhysicalDeviceFeatures VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures = 0

Definition at line 52550 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFeatures2

PFN_vkGetPhysicalDeviceFeatures2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures2 = 0

Definition at line 52551 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFeatures2KHR

PFN_vkGetPhysicalDeviceFeatures2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures2KHR = 0

Definition at line 52552 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFormatProperties

PFN_vkGetPhysicalDeviceFormatProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties = 0

Definition at line 52553 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFormatProperties2

PFN_vkGetPhysicalDeviceFormatProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties2 = 0

Definition at line 52554 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceFormatProperties2KHR

PFN_vkGetPhysicalDeviceFormatProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties2KHR = 0

Definition at line 52555 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX

PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX = 0

Definition at line 52556 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceImageFormatProperties

PFN_vkGetPhysicalDeviceImageFormatProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties = 0

Definition at line 52557 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceImageFormatProperties2

PFN_vkGetPhysicalDeviceImageFormatProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties2 = 0

Definition at line 52558 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceImageFormatProperties2KHR

PFN_vkGetPhysicalDeviceImageFormatProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties2KHR = 0

Definition at line 52559 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceMemoryProperties

PFN_vkGetPhysicalDeviceMemoryProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties = 0

Definition at line 52560 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceMemoryProperties2

PFN_vkGetPhysicalDeviceMemoryProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties2 = 0

Definition at line 52561 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceMemoryProperties2KHR

PFN_vkGetPhysicalDeviceMemoryProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties2KHR = 0

Definition at line 52562 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceMultisamplePropertiesEXT

PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMultisamplePropertiesEXT = 0

Definition at line 52563 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDevicePresentRectanglesKHR

PFN_vkGetPhysicalDevicePresentRectanglesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDevicePresentRectanglesKHR = 0

Definition at line 52564 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceProperties

PFN_vkGetPhysicalDeviceProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties = 0

Definition at line 52565 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceProperties2

PFN_vkGetPhysicalDeviceProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties2 = 0

Definition at line 52566 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceProperties2KHR

PFN_vkGetPhysicalDeviceProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties2KHR = 0

Definition at line 52567 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceQueueFamilyProperties

PFN_vkGetPhysicalDeviceQueueFamilyProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties = 0

Definition at line 52568 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceQueueFamilyProperties2

PFN_vkGetPhysicalDeviceQueueFamilyProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties2 = 0

Definition at line 52569 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceQueueFamilyProperties2KHR

PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties2KHR = 0

Definition at line 52570 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSparseImageFormatProperties

PFN_vkGetPhysicalDeviceSparseImageFormatProperties VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties = 0

Definition at line 52571 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSparseImageFormatProperties2

PFN_vkGetPhysicalDeviceSparseImageFormatProperties2 VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties2 = 0

Definition at line 52572 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSparseImageFormatProperties2KHR

PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties2KHR = 0

Definition at line 52573 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceCapabilities2EXT

PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilities2EXT = 0

Definition at line 52574 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceCapabilities2KHR

PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilities2KHR = 0

Definition at line 52575 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceCapabilitiesKHR

PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilitiesKHR = 0

Definition at line 52576 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceFormats2KHR

PFN_vkGetPhysicalDeviceSurfaceFormats2KHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceFormats2KHR = 0

Definition at line 52577 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceFormatsKHR

PFN_vkGetPhysicalDeviceSurfaceFormatsKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceFormatsKHR = 0

Definition at line 52578 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfacePresentModesKHR

PFN_vkGetPhysicalDeviceSurfacePresentModesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfacePresentModesKHR = 0

Definition at line 52579 of file vulkan.hpp.

Referenced by init().

## vkGetPhysicalDeviceSurfaceSupportKHR

PFN_vkGetPhysicalDeviceSurfaceSupportKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceSupportKHR = 0

Definition at line 52580 of file vulkan.hpp.

Referenced by init().

## vkGetPipelineCacheData

PFN_vkGetPipelineCacheData VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPipelineCacheData = 0

Definition at line 52593 of file vulkan.hpp.

Referenced by init().

## vkGetQueryPoolResults

PFN_vkGetQueryPoolResults VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetQueryPoolResults = 0

Definition at line 52594 of file vulkan.hpp.

Referenced by init().

## vkGetQueueCheckpointDataNV

PFN_vkGetQueueCheckpointDataNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetQueueCheckpointDataNV = 0

Definition at line 52595 of file vulkan.hpp.

Referenced by init().

## vkGetRayTracingShaderGroupHandlesNV

PFN_vkGetRayTracingShaderGroupHandlesNV VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRayTracingShaderGroupHandlesNV = 0

Definition at line 52599 of file vulkan.hpp.

Referenced by init().

## vkGetRefreshCycleDurationGOOGLE

PFN_vkGetRefreshCycleDurationGOOGLE VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRefreshCycleDurationGOOGLE = 0

Definition at line 52600 of file vulkan.hpp.

Referenced by init().

## vkGetRenderAreaGranularity

PFN_vkGetRenderAreaGranularity VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRenderAreaGranularity = 0

Definition at line 52601 of file vulkan.hpp.

Referenced by init().

## vkGetSemaphoreFdKHR

PFN_vkGetSemaphoreFdKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSemaphoreFdKHR = 0

Definition at line 52602 of file vulkan.hpp.

Referenced by init().

## vkGetShaderInfoAMD

PFN_vkGetShaderInfoAMD VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetShaderInfoAMD = 0

Definition at line 52606 of file vulkan.hpp.

Referenced by init().

## vkGetSwapchainCounterEXT

PFN_vkGetSwapchainCounterEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainCounterEXT = 0

Definition at line 52607 of file vulkan.hpp.

Referenced by init().

## vkGetSwapchainImagesKHR

PFN_vkGetSwapchainImagesKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainImagesKHR = 0

Definition at line 52608 of file vulkan.hpp.

Referenced by init().

## vkGetSwapchainStatusKHR

PFN_vkGetSwapchainStatusKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainStatusKHR = 0

Definition at line 52609 of file vulkan.hpp.

Referenced by init().

## vkGetValidationCacheDataEXT

PFN_vkGetValidationCacheDataEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetValidationCacheDataEXT = 0

Definition at line 52610 of file vulkan.hpp.

Referenced by init().

## vkImportFenceFdKHR

PFN_vkImportFenceFdKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkImportFenceFdKHR = 0

Definition at line 52611 of file vulkan.hpp.

Referenced by init().

## vkImportSemaphoreFdKHR

PFN_vkImportSemaphoreFdKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkImportSemaphoreFdKHR = 0

Definition at line 52615 of file vulkan.hpp.

Referenced by init().

## vkInvalidateMappedMemoryRanges

PFN_vkInvalidateMappedMemoryRanges VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkInvalidateMappedMemoryRanges = 0

Definition at line 52619 of file vulkan.hpp.

Referenced by init().

## vkMapMemory

PFN_vkMapMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMapMemory = 0

Definition at line 52620 of file vulkan.hpp.

Referenced by init().

## vkMergePipelineCaches

PFN_vkMergePipelineCaches VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMergePipelineCaches = 0

Definition at line 52621 of file vulkan.hpp.

Referenced by init().

## vkMergeValidationCachesEXT

PFN_vkMergeValidationCachesEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMergeValidationCachesEXT = 0

Definition at line 52622 of file vulkan.hpp.

Referenced by init().

## vkQueueBeginDebugUtilsLabelEXT

PFN_vkQueueBeginDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueBeginDebugUtilsLabelEXT = 0

Definition at line 52623 of file vulkan.hpp.

Referenced by init().

## vkQueueBindSparse

PFN_vkQueueBindSparse VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueBindSparse = 0

Definition at line 52624 of file vulkan.hpp.

Referenced by init().

## vkQueueEndDebugUtilsLabelEXT

PFN_vkQueueEndDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueEndDebugUtilsLabelEXT = 0

Definition at line 52625 of file vulkan.hpp.

Referenced by init().

## vkQueueInsertDebugUtilsLabelEXT

PFN_vkQueueInsertDebugUtilsLabelEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueInsertDebugUtilsLabelEXT = 0

Definition at line 52626 of file vulkan.hpp.

Referenced by init().

## vkQueuePresentKHR

PFN_vkQueuePresentKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueuePresentKHR = 0

Definition at line 52627 of file vulkan.hpp.

Referenced by init().

## vkQueueSubmit

PFN_vkQueueSubmit VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueSubmit = 0

Definition at line 52628 of file vulkan.hpp.

Referenced by init().

## vkQueueWaitIdle

PFN_vkQueueWaitIdle VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueWaitIdle = 0

Definition at line 52629 of file vulkan.hpp.

Referenced by init().

## vkRegisterDeviceEventEXT

PFN_vkRegisterDeviceEventEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterDeviceEventEXT = 0

Definition at line 52630 of file vulkan.hpp.

Referenced by init().

## vkRegisterDisplayEventEXT

PFN_vkRegisterDisplayEventEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterDisplayEventEXT = 0

Definition at line 52631 of file vulkan.hpp.

Referenced by init().

## vkRegisterObjectsNVX

PFN_vkRegisterObjectsNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterObjectsNVX = 0

Definition at line 52632 of file vulkan.hpp.

Referenced by init().

## vkReleaseDisplayEXT

PFN_vkReleaseDisplayEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkReleaseDisplayEXT = 0

Definition at line 52633 of file vulkan.hpp.

Referenced by init().

## vkResetCommandBuffer

PFN_vkResetCommandBuffer VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetCommandBuffer = 0

Definition at line 52634 of file vulkan.hpp.

Referenced by init().

## vkResetCommandPool

PFN_vkResetCommandPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetCommandPool = 0

Definition at line 52635 of file vulkan.hpp.

Referenced by init().

## vkResetDescriptorPool

PFN_vkResetDescriptorPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetDescriptorPool = 0

Definition at line 52636 of file vulkan.hpp.

Referenced by init().

## vkResetEvent

PFN_vkResetEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetEvent = 0

Definition at line 52637 of file vulkan.hpp.

Referenced by init().

## vkResetFences

PFN_vkResetFences VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetFences = 0

Definition at line 52638 of file vulkan.hpp.

Referenced by init().

## vkSetDebugUtilsObjectNameEXT

PFN_vkSetDebugUtilsObjectNameEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetDebugUtilsObjectNameEXT = 0

Definition at line 52639 of file vulkan.hpp.

Referenced by init().

## vkSetDebugUtilsObjectTagEXT

PFN_vkSetDebugUtilsObjectTagEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetDebugUtilsObjectTagEXT = 0

Definition at line 52640 of file vulkan.hpp.

Referenced by init().

## vkSetEvent

PFN_vkSetEvent VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetEvent = 0

Definition at line 52641 of file vulkan.hpp.

Referenced by init().

## vkSetHdrMetadataEXT

PFN_vkSetHdrMetadataEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetHdrMetadataEXT = 0

Definition at line 52642 of file vulkan.hpp.

Referenced by init().

## vkSubmitDebugUtilsMessageEXT

PFN_vkSubmitDebugUtilsMessageEXT VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSubmitDebugUtilsMessageEXT = 0

Definition at line 52643 of file vulkan.hpp.

Referenced by init().

## vkTrimCommandPool

PFN_vkTrimCommandPool VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkTrimCommandPool = 0

Definition at line 52644 of file vulkan.hpp.

Referenced by init().

## vkTrimCommandPoolKHR

PFN_vkTrimCommandPoolKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkTrimCommandPoolKHR = 0

Definition at line 52645 of file vulkan.hpp.

Referenced by init().

## vkUnmapMemory

PFN_vkUnmapMemory VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUnmapMemory = 0

Definition at line 52646 of file vulkan.hpp.

Referenced by init().

## vkUnregisterObjectsNVX

PFN_vkUnregisterObjectsNVX VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUnregisterObjectsNVX = 0

Definition at line 52647 of file vulkan.hpp.

Referenced by init().

## vkUpdateDescriptorSets

PFN_vkUpdateDescriptorSets VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSets = 0

Definition at line 52650 of file vulkan.hpp.

Referenced by init().

## vkUpdateDescriptorSetWithTemplate

PFN_vkUpdateDescriptorSetWithTemplate VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSetWithTemplate = 0

Definition at line 52648 of file vulkan.hpp.

Referenced by init().

## vkUpdateDescriptorSetWithTemplateKHR

PFN_vkUpdateDescriptorSetWithTemplateKHR VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSetWithTemplateKHR = 0

Definition at line 52649 of file vulkan.hpp.

Referenced by init().

## vkWaitForFences

PFN_vkWaitForFences VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkWaitForFences = 0

Definition at line 52651 of file vulkan.hpp.

Referenced by init().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements2
PFN_vkGetImageMemoryRequirements2 vkGetImageMemoryRequirements2
Definition: vulkan.hpp:52515
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchBase
PFN_vkCmdDispatchBase vkCmdDispatchBase
Definition: vulkan.hpp:52307
PFN_vkFlushMappedMemoryRanges
VkResult(VKAPI_PTR * PFN_vkFlushMappedMemoryRanges)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges)
Definition: vulkan_core.h:2875
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyFence
PFN_vkDestroyFence vkDestroyFence
Definition: vulkan.hpp:52448
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSetWithTemplate
PFN_vkUpdateDescriptorSetWithTemplate vkUpdateDescriptorSetWithTemplate
Definition: vulkan.hpp:52648
PFN_vkCmdBindTransformFeedbackBuffersEXT
void(VKAPI_PTR * PFN_vkCmdBindTransformFeedbackBuffersEXT)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets, const VkDeviceSize *pSizes)
Definition: vulkan_core.h:6423
PFN_vkCreateValidationCacheEXT
VkResult(VKAPI_PTR * PFN_vkCreateValidationCacheEXT)(VkDevice device, const VkValidationCacheCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkValidationCacheEXT *pValidationCache)
Definition: vulkan_core.h:7884
PFN_vkGetRefreshCycleDurationGOOGLE
VkResult(VKAPI_PTR * PFN_vkGetRefreshCycleDurationGOOGLE)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE *pDisplayTimingProperties)
Definition: vulkan_core.h:7176
PFN_vkCmdDispatchBaseKHR
void(VKAPI_PTR * PFN_vkCmdDispatchBaseKHR)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
Definition: vulkan_core.h:5213
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageDrmFormatModifierPropertiesEXT
PFN_vkGetImageDrmFormatModifierPropertiesEXT vkGetImageDrmFormatModifierPropertiesEXT
Definition: vulkan.hpp:52513
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties2KHR
PFN_vkGetPhysicalDeviceImageFormatProperties2KHR vkGetPhysicalDeviceImageFormatProperties2KHR
Definition: vulkan.hpp:52559
PFN_vkCmdResetEvent
void(VKAPI_PTR * PFN_vkCmdResetEvent)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
Definition: vulkan_core.h:2974
vkCreateXcbSurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfacePresentModesKHR
PFN_vkGetPhysicalDeviceSurfacePresentModesKHR vkGetPhysicalDeviceSurfacePresentModesKHR
Definition: vulkan.hpp:52579
PFN_vkGetPhysicalDevicePresentRectanglesKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDevicePresentRectanglesKHR)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pRectCount, VkRect2D *pRects)
Definition: vulkan_core.h:4894
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkReleaseDisplayEXT
PFN_vkReleaseDisplayEXT vkReleaseDisplayEXT
Definition: vulkan.hpp:52633
PFN_vkGetDisplayModePropertiesKHR
VkResult(VKAPI_PTR * PFN_vkGetDisplayModePropertiesKHR)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModePropertiesKHR *pProperties)
Definition: vulkan_core.h:5028
PFN_vkGetPhysicalDeviceXlibPresentationSupportKHR
VkBool32(VKAPI_PTR * PFN_vkGetPhysicalDeviceXlibPresentationSupportKHR)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display *dpy, VisualID visualID)
Definition: vulkan_xlib.h:46
PFN_vkGetShaderInfoAMD
VkResult(VKAPI_PTR * PFN_vkGetShaderInfoAMD)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t *pInfoSize, void *pInfo)
Definition: vulkan_core.h:6564
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceSupportKHR
PFN_vkGetPhysicalDeviceSurfaceSupportKHR vkGetPhysicalDeviceSurfaceSupportKHR
Definition: vulkan.hpp:52580
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSubresourceLayout
PFN_vkGetImageSubresourceLayout vkGetImageSubresourceLayout
Definition: vulkan.hpp:52520
PFN_vkCmdTraceRaysNV
void(VKAPI_PTR * PFN_vkCmdTraceRaysNV)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth)
Definition: vulkan_core.h:8321
PFN_vkGetPhysicalDeviceQueueFamilyProperties2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceQueueFamilyProperties2)(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties)
Definition: vulkan_core.h:4503
PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT)(VkPhysicalDevice physicalDevice, uint32_t *pTimeDomainCount, VkTimeDomainEXT *pTimeDomains)
Definition: vulkan_core.h:8534
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateAccelerationStructureNV
PFN_vkCreateAccelerationStructureNV vkCreateAccelerationStructureNV
Definition: vulkan.hpp:52369
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksIndirectNV
PFN_vkCmdDrawMeshTasksIndirectNV vkCmdDrawMeshTasksIndirectNV
Definition: vulkan.hpp:52320
PFN_vkAcquireNextImage2KHR
VkResult(VKAPI_PTR * PFN_vkAcquireNextImage2KHR)(VkDevice device, const VkAcquireNextImageInfoKHR *pAcquireInfo, uint32_t *pImageIndex)
Definition: vulkan_core.h:4895
PFN_vkCreateSamplerYcbcrConversion
VkResult(VKAPI_PTR * PFN_vkCreateSamplerYcbcrConversion)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion)
Definition: vulkan_core.h:4508
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorUpdateTemplate
PFN_vkCreateDescriptorUpdateTemplate vkCreateDescriptorUpdateTemplate
Definition: vulkan.hpp:52381
PFN_vkGetDeviceQueue
void(VKAPI_PTR * PFN_vkGetDeviceQueue)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue *pQueue)
Definition: vulkan_core.h:2867
PFN_vkResetFences
VkResult(VKAPI_PTR * PFN_vkResetFences)(VkDevice device, uint32_t fenceCount, const VkFence *pFences)
Definition: vulkan_core.h:2887
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewportWScalingNV
PFN_vkCmdSetViewportWScalingNV vkCmdSetViewportWScalingNV
Definition: vulkan.hpp:52361
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueBeginDebugUtilsLabelEXT
PFN_vkQueueBeginDebugUtilsLabelEXT vkQueueBeginDebugUtilsLabelEXT
Definition: vulkan.hpp:52623
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyImage
PFN_vkCmdCopyImage vkCmdCopyImage
Definition: vulkan.hpp:52300
PFN_vkAllocateDescriptorSets
VkResult(VKAPI_PTR * PFN_vkAllocateDescriptorSets)(VkDevice device, const VkDescriptorSetAllocateInfo *pAllocateInfo, VkDescriptorSet *pDescriptorSets)
Definition: vulkan_core.h:2927
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreatePipelineLayout
PFN_vkCreatePipelineLayout vkCreatePipelineLayout
Definition: vulkan.hpp:52405
PFN_vkUpdateDescriptorSets
void(VKAPI_PTR * PFN_vkUpdateDescriptorSets)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet *pDescriptorCopies)
Definition: vulkan_core.h:2929
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalBufferPropertiesKHR
PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR vkGetPhysicalDeviceExternalBufferPropertiesKHR
Definition: vulkan.hpp:52544
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDebugReportCallbackEXT
PFN_vkDestroyDebugReportCallbackEXT vkDestroyDebugReportCallbackEXT
Definition: vulkan.hpp:52440
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySemaphore
PFN_vkDestroySemaphore vkDestroySemaphore
Definition: vulkan.hpp:52463
PFN_vkGetInstanceProcAddr
PFN_vkVoidFunction(VKAPI_PTR * PFN_vkGetInstanceProcAddr)(VkInstance instance, const char *pName)
Definition: vulkan_core.h:2859
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilReference
PFN_vkCmdSetStencilReference vkCmdSetStencilReference
Definition: vulkan.hpp:52357
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryHostPointerPropertiesEXT
PFN_vkGetMemoryHostPointerPropertiesEXT vkGetMemoryHostPointerPropertiesEXT
Definition: vulkan.hpp:52527
PFN_vkDestroySwapchainKHR
void(VKAPI_PTR * PFN_vkDestroySwapchainKHR)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:4888
PFN_vkGetAccelerationStructureMemoryRequirementsNV
void(VKAPI_PTR * PFN_vkGetAccelerationStructureMemoryRequirementsNV)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV *pInfo, VkMemoryRequirements2KHR *pMemoryRequirements)
Definition: vulkan_core.h:8317
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDevicePresentRectanglesKHR
PFN_vkGetPhysicalDevicePresentRectanglesKHR vkGetPhysicalDevicePresentRectanglesKHR
Definition: vulkan.hpp:52564
PFN_vkGetDeviceGroupPresentCapabilitiesKHR
VkResult(VKAPI_PTR * PFN_vkGetDeviceGroupPresentCapabilitiesKHR)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR *pDeviceGroupPresentCapabilities)
Definition: vulkan_core.h:4892
PFN_vkGetImageMemoryRequirements
void(VKAPI_PTR * PFN_vkGetImageMemoryRequirements)(VkDevice device, VkImage image, VkMemoryRequirements *pMemoryRequirements)
Definition: vulkan_core.h:2881
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterDeviceEventEXT
PFN_vkRegisterDeviceEventEXT vkRegisterDeviceEventEXT
Definition: vulkan.hpp:52630
PFN_vkCmdReserveSpaceForCommandsNVX
void(VKAPI_PTR * PFN_vkCmdReserveSpaceForCommandsNVX)(VkCommandBuffer commandBuffer, const VkCmdReserveSpaceForCommandsInfoNVX *pReserveSpaceInfo)
Definition: vulkan_core.h:6923
PFN_vkSetEvent
VkResult(VKAPI_PTR * PFN_vkSetEvent)(VkDevice device, VkEvent event)
Definition: vulkan_core.h:2895
PFN_vkCreateWaylandSurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateWaylandSurfaceKHR)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_wayland.h:45
PFN_vkDestroyPipelineLayout
void(VKAPI_PTR * PFN_vkDestroyPipelineLayout)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2919
PFN_vkCmdSetScissor
void(VKAPI_PTR * PFN_vkCmdSetScissor)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D *pScissors)
Definition: vulkan_core.h:2945
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRayTracingPipelinesNV
PFN_vkCreateRayTracingPipelinesNV vkCreateRayTracingPipelinesNV
Definition: vulkan.hpp:52407
PFN_vkCreateRenderPass
VkResult(VKAPI_PTR * PFN_vkCreateRenderPass)(VkDevice device, const VkRenderPassCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass)
Definition: vulkan_core.h:2932
PFN_vkDestroyPipelineCache
void(VKAPI_PTR * PFN_vkDestroyPipelineCache)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2912
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties2KHR
PFN_vkGetPhysicalDeviceMemoryProperties2KHR vkGetPhysicalDeviceMemoryProperties2KHR
Definition: vulkan.hpp:52562
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateCommandPool
PFN_vkCreateCommandPool vkCreateCommandPool
Definition: vulkan.hpp:52375
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSemaphoreFdKHR
PFN_vkGetSemaphoreFdKHR vkGetSemaphoreFdKHR
Definition: vulkan.hpp:52602
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetAccelerationStructureHandleNV
PFN_vkGetAccelerationStructureHandleNV vkGetAccelerationStructureHandleNV
Definition: vulkan.hpp:52483
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndQuery
PFN_vkCmdEndQuery vkCmdEndQuery
Definition: vulkan.hpp:52324
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeCommandBuffers
PFN_vkFreeCommandBuffers vkFreeCommandBuffers
Definition: vulkan.hpp:52480
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceFormats2KHR
PFN_vkGetPhysicalDeviceSurfaceFormats2KHR vkGetPhysicalDeviceSurfaceFormats2KHR
Definition: vulkan.hpp:52577
PFN_vkCmdBlitImage
void(VKAPI_PTR * PFN_vkCmdBlitImage)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit *pRegions, VkFilter filter)
Definition: vulkan_core.h:2964
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyImageView
PFN_vkDestroyImageView vkDestroyImageView
Definition: vulkan.hpp:52451
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetScissor
PFN_vkCmdSetScissor vkCmdSetScissor
Definition: vulkan.hpp:52355
PFN_vkTrimCommandPool
void(VKAPI_PTR * PFN_vkTrimCommandPool)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags)
Definition: vulkan_core.h:4506
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWaitEvents
PFN_vkCmdWaitEvents vkCmdWaitEvents
Definition: vulkan.hpp:52364
PFN_vkDebugMarkerSetObjectNameEXT
VkResult(VKAPI_PTR * PFN_vkDebugMarkerSetObjectNameEXT)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT *pNameInfo)
Definition: vulkan_core.h:6331
PFN_vkAllocateMemory
VkResult(VKAPI_PTR * PFN_vkAllocateMemory)(VkDevice device, const VkMemoryAllocateInfo *pAllocateInfo, const VkAllocationCallbacks *pAllocator, VkDeviceMemory *pMemory)
Definition: vulkan_core.h:2871
PFN_vkCreateSamplerYcbcrConversionKHR
VkResult(VKAPI_PTR * PFN_vkCreateSamplerYcbcrConversionKHR)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion)
Definition: vulkan_core.h:5975
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkImportSemaphoreFdKHR
PFN_vkImportSemaphoreFdKHR vkImportSemaphoreFdKHR
Definition: vulkan.hpp:52615
PFN_vkMergeValidationCachesEXT
VkResult(VKAPI_PTR * PFN_vkMergeValidationCachesEXT)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT *pSrcCaches)
Definition: vulkan_core.h:7886
PFN_vkCmdBindVertexBuffers
void(VKAPI_PTR * PFN_vkCmdBindVertexBuffers)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets)
Definition: vulkan_core.h:2955
PFN_vkGetPhysicalDeviceExternalBufferProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalBufferProperties)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties)
Definition: vulkan_core.h:4513
PFN_vkCmdClearAttachments
void(VKAPI_PTR * PFN_vkCmdClearAttachments)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment *pAttachments, uint32_t rectCount, const VkClearRect *pRects)
Definition: vulkan_core.h:2971
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueSubmit
PFN_vkQueueSubmit vkQueueSubmit
Definition: vulkan.hpp:52628
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetFences
PFN_vkResetFences vkResetFences
Definition: vulkan.hpp:52638
PFN_vkCreateDescriptorUpdateTemplate
VkResult(VKAPI_PTR * PFN_vkCreateDescriptorUpdateTemplate)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate)
Definition: vulkan_core.h:4510
PFN_vkBindBufferMemory
VkResult(VKAPI_PTR * PFN_vkBindBufferMemory)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset)
Definition: vulkan_core.h:2878
PFN_vkCmdSetDepthBounds
void(VKAPI_PTR * PFN_vkCmdSetDepthBounds)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds)
Definition: vulkan_core.h:2949
PFN_vkCmdDrawIndexedIndirectCountAMD
void(VKAPI_PTR * PFN_vkCmdDrawIndexedIndirectCountAMD)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
Definition: vulkan_core.h:6481
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorSetLayout
PFN_vkDestroyDescriptorSetLayout vkDestroyDescriptorSetLayout
Definition: vulkan.hpp:52443
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDisplayModeKHR
PFN_vkCreateDisplayModeKHR vkCreateDisplayModeKHR
Definition: vulkan.hpp:52384
PFN_vkDestroySemaphore
void(VKAPI_PTR * PFN_vkDestroySemaphore)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2891
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginQueryIndexedEXT
PFN_vkCmdBeginQueryIndexedEXT vkCmdBeginQueryIndexedEXT
Definition: vulkan.hpp:52282
PFN_vkGetPipelineCacheData
VkResult(VKAPI_PTR * PFN_vkGetPipelineCacheData)(VkDevice device, VkPipelineCache pipelineCache, size_t *pDataSize, void *pData)
Definition: vulkan_core.h:2913
PFN_vkCmdBeginConditionalRenderingEXT
void(VKAPI_PTR * PFN_vkCmdBeginConditionalRenderingEXT)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT *pConditionalRenderingBegin)
Definition: vulkan_core.h:6744
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorSetLayout
PFN_vkCreateDescriptorSetLayout vkCreateDescriptorSetLayout
Definition: vulkan.hpp:52380
PFN_vkGetAccelerationStructureHandleNV
VkResult(VKAPI_PTR * PFN_vkGetAccelerationStructureHandleNV)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void *pData)
Definition: vulkan_core.h:8324
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties
PFN_vkGetPhysicalDeviceProperties vkGetPhysicalDeviceProperties
Definition: vulkan.hpp:52565
PFN_vkGetMemoryWin32HandlePropertiesKHR
VkResult(VKAPI_PTR * PFN_vkGetMemoryWin32HandlePropertiesKHR)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR *pMemoryWin32HandleProperties)
Definition: vulkan_win32.h:95
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures2KHR
PFN_vkGetPhysicalDeviceFeatures2KHR vkGetPhysicalDeviceFeatures2KHR
Definition: vulkan.hpp:52552
PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT *pMultisampleProperties)
Definition: vulkan_core.h:7682
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDebugUtilsMessengerEXT
PFN_vkCreateDebugUtilsMessengerEXT vkCreateDebugUtilsMessengerEXT
Definition: vulkan.hpp:52378
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSamplerYcbcrConversionKHR
PFN_vkCreateSamplerYcbcrConversionKHR vkCreateSamplerYcbcrConversionKHR
Definition: vulkan.hpp:52412
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPlaneProperties2KHR
PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR vkGetPhysicalDeviceDisplayPlaneProperties2KHR
Definition: vulkan.hpp:52539
PFN_vkCmdNextSubpass
void(VKAPI_PTR * PFN_vkCmdNextSubpass)(VkCommandBuffer commandBuffer, VkSubpassContents contents)
Definition: vulkan_core.h:2984
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkTrimCommandPoolKHR
PFN_vkTrimCommandPoolKHR vkTrimCommandPoolKHR
Definition: vulkan.hpp:52645
PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR)(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlanePropertiesKHR *pProperties)
Definition: vulkan_core.h:5026
PFN_vkDestroyDescriptorPool
void(VKAPI_PTR * PFN_vkDestroyDescriptorPool)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2925
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUnmapMemory
PFN_vkUnmapMemory vkUnmapMemory
Definition: vulkan.hpp:52646
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyEvent
PFN_vkDestroyEvent vkDestroyEvent
Definition: vulkan.hpp:52447
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetExclusiveScissorNV
PFN_vkCmdSetExclusiveScissorNV vkCmdSetExclusiveScissorNV
Definition: vulkan.hpp:52352
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceSparseImageFormatProperties2)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties)
Definition: vulkan_core.h:4505
vkCreateMacOSSurfaceMVK
VKAPI_ATTR VkResult VKAPI_CALL vkCreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerEndEXT
PFN_vkCmdDebugMarkerEndEXT vkCmdDebugMarkerEndEXT
Definition: vulkan.hpp:52304
PFN_vkGetPhysicalDeviceSurfaceFormatsKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceFormatsKHR)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pSurfaceFormatCount, VkSurfaceFormatKHR *pSurfaceFormats)
Definition: vulkan_core.h:4754
PFN_vkGetPhysicalDeviceExternalFenceProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalFenceProperties)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties)
Definition: vulkan_core.h:4514
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMultisamplePropertiesEXT
PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT vkGetPhysicalDeviceMultisamplePropertiesEXT
Definition: vulkan.hpp:52563
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties
PFN_vkGetPhysicalDeviceSparseImageFormatProperties vkGetPhysicalDeviceSparseImageFormatProperties
Definition: vulkan.hpp:52571
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectCountKHR
PFN_vkCmdDrawIndirectCountKHR vkCmdDrawIndirectCountKHR
Definition: vulkan.hpp:52318
PFN_vkGetBufferMemoryRequirements
void(VKAPI_PTR * PFN_vkGetBufferMemoryRequirements)(VkDevice device, VkBuffer buffer, VkMemoryRequirements *pMemoryRequirements)
Definition: vulkan_core.h:2880
PFN_vkGetDisplayPlaneCapabilities2KHR
VkResult(VKAPI_PTR * PFN_vkGetDisplayPlaneCapabilities2KHR)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR *pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR *pCapabilities)
Definition: vulkan_core.h:5855
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties
PFN_vkGetPhysicalDeviceMemoryProperties vkGetPhysicalDeviceMemoryProperties
Definition: vulkan.hpp:52560
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeMemory
PFN_vkFreeMemory vkFreeMemory
Definition: vulkan.hpp:52482
PFN_vkBindImageMemory2
VkResult(VKAPI_PTR * PFN_vkBindImageMemory2)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos)
Definition: vulkan_core.h:4491
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindIndexBuffer
PFN_vkCmdBindIndexBuffer vkCmdBindIndexBuffer
Definition: vulkan.hpp:52287
PFN_vkGetValidationCacheDataEXT
VkResult(VKAPI_PTR * PFN_vkGetValidationCacheDataEXT)(VkDevice device, VkValidationCacheEXT validationCache, size_t *pDataSize, void *pData)
Definition: vulkan_core.h:7887
PFN_vkResetCommandBuffer
VkResult(VKAPI_PTR * PFN_vkResetCommandBuffer)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags)
Definition: vulkan_core.h:2942
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateDeviceExtensionProperties
PFN_vkEnumerateDeviceExtensionProperties vkEnumerateDeviceExtensionProperties
Definition: vulkan.hpp:52471
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPastPresentationTimingGOOGLE
PFN_vkGetPastPresentationTimingGOOGLE vkGetPastPresentationTimingGOOGLE
Definition: vulkan.hpp:52537
PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR
void(VKAPI_PTR * PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures)
Definition: vulkan_core.h:5211
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements
PFN_vkGetBufferMemoryRequirements vkGetBufferMemoryRequirements
Definition: vulkan.hpp:52488
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayProperties2KHR
PFN_vkGetPhysicalDeviceDisplayProperties2KHR vkGetPhysicalDeviceDisplayProperties2KHR
Definition: vulkan.hpp:52541
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateGraphicsPipelines
PFN_vkCreateGraphicsPipelines vkCreateGraphicsPipelines
Definition: vulkan.hpp:52389
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFlushMappedMemoryRanges
PFN_vkFlushMappedMemoryRanges vkFlushMappedMemoryRanges
Definition: vulkan.hpp:52479
PFN_vkCmdDrawMeshTasksIndirectNV
void(VKAPI_PTR * PFN_vkCmdDrawMeshTasksIndirectNV)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
Definition: vulkan_core.h:8684
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyBufferView
PFN_vkDestroyBufferView vkDestroyBufferView
Definition: vulkan.hpp:52438
PFN_vkDisplayPowerControlEXT
VkResult(VKAPI_PTR * PFN_vkDisplayPowerControlEXT)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT *pDisplayPowerInfo)
Definition: vulkan_core.h:7116
PFN_vkCmdCopyBufferToImage
void(VKAPI_PTR * PFN_vkCmdCopyBufferToImage)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy *pRegions)
Definition: vulkan_core.h:2965
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPeerMemoryFeatures
PFN_vkGetDeviceGroupPeerMemoryFeatures vkGetDeviceGroupPeerMemoryFeatures
Definition: vulkan.hpp:52494
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorPool
PFN_vkDestroyDescriptorPool vkDestroyDescriptorPool
Definition: vulkan.hpp:52442
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties2KHR
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR vkGetPhysicalDeviceSparseImageFormatProperties2KHR
Definition: vulkan.hpp:52573
PFN_vkSetDebugUtilsObjectNameEXT
VkResult(VKAPI_PTR * PFN_vkSetDebugUtilsObjectNameEXT)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT *pNameInfo)
Definition: vulkan_core.h:7473
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySwapchainKHR
PFN_vkDestroySwapchainKHR vkDestroySwapchainKHR
Definition: vulkan.hpp:52466
PFN_vkBeginCommandBuffer
VkResult(VKAPI_PTR * PFN_vkBeginCommandBuffer)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo *pBeginInfo)
Definition: vulkan_core.h:2940
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetInstanceProcAddr
PFN_vkGetInstanceProcAddr vkGetInstanceProcAddr
Definition: vulkan.hpp:52521
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPlanePropertiesKHR
PFN_vkGetPhysicalDeviceDisplayPlanePropertiesKHR vkGetPhysicalDeviceDisplayPlanePropertiesKHR
Definition: vulkan.hpp:52540
PFN_vkGetPhysicalDeviceSparseImageFormatProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceSparseImageFormatProperties)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t *pPropertyCount, VkSparseImageFormatProperties *pProperties)
Definition: vulkan_core.h:2883
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceFormatsKHR
PFN_vkGetPhysicalDeviceSurfaceFormatsKHR vkGetPhysicalDeviceSurfaceFormatsKHR
Definition: vulkan.hpp:52578
PFN_vkCmdEndQuery
void(VKAPI_PTR * PFN_vkCmdEndQuery)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query)
Definition: vulkan_core.h:2978
PFN_vkCmdPushDescriptorSetWithTemplateKHR
void(VKAPI_PTR * PFN_vkCmdPushDescriptorSetWithTemplateKHR)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void *pData)
Definition: vulkan_core.h:5454
PFN_vkCreateIndirectCommandsLayoutNVX
VkResult(VKAPI_PTR * PFN_vkCreateIndirectCommandsLayoutNVX)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkIndirectCommandsLayoutNVX *pIndirectCommandsLayout)
Definition: vulkan_core.h:6924
PFN_vkFreeMemory
void(VKAPI_PTR * PFN_vkFreeMemory)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2872
PFN_vkGetPhysicalDeviceProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceProperties)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties *pProperties)
Definition: vulkan_core.h:2856
PFN_vkCreateShaderModule
VkResult(VKAPI_PTR * PFN_vkCreateShaderModule)(VkDevice device, const VkShaderModuleCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkShaderModule *pShaderModule)
Definition: vulkan_core.h:2909
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetEvent
PFN_vkResetEvent vkResetEvent
Definition: vulkan.hpp:52637
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures
PFN_vkGetPhysicalDeviceFeatures vkGetPhysicalDeviceFeatures
Definition: vulkan.hpp:52550
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties2
PFN_vkGetPhysicalDeviceFormatProperties2 vkGetPhysicalDeviceFormatProperties2
Definition: vulkan.hpp:52554
PFN_vkQueueWaitIdle
VkResult(VKAPI_PTR * PFN_vkQueueWaitIdle)(VkQueue queue)
Definition: vulkan_core.h:2869
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDisplayPlaneSurfaceKHR
PFN_vkCreateDisplayPlaneSurfaceKHR vkCreateDisplayPlaneSurfaceKHR
Definition: vulkan.hpp:52385
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceSparseImageFormatProperties2KHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties)
Definition: vulkan_core.h:5146
PFN_vkGetSwapchainStatusKHR
VkResult(VKAPI_PTR * PFN_vkGetSwapchainStatusKHR)(VkDevice device, VkSwapchainKHR swapchain)
Definition: vulkan_core.h:5665
PFN_vkGetPhysicalDeviceImageFormatProperties2KHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceImageFormatProperties2KHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties)
Definition: vulkan_core.h:5143
PFN_vkCreateAndroidSurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateAndroidSurfaceKHR)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_android.h:46
PFN_vkCreateImageView
VkResult(VKAPI_PTR * PFN_vkCreateImageView)(VkDevice device, const VkImageViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImageView *pView)
Definition: vulkan_core.h:2907
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalFencePropertiesKHR
PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR vkGetPhysicalDeviceExternalFencePropertiesKHR
Definition: vulkan.hpp:52546
PFN_vkQueuePresentKHR
VkResult(VKAPI_PTR * PFN_vkQueuePresentKHR)(VkQueue queue, const VkPresentInfoKHR *pPresentInfo)
Definition: vulkan_core.h:4891
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilWriteMask
PFN_vkCmdSetStencilWriteMask vkCmdSetStencilWriteMask
Definition: vulkan.hpp:52358
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteTimestamp
PFN_vkCmdWriteTimestamp vkCmdWriteTimestamp
Definition: vulkan.hpp:52367
PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR)(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties)
Definition: vulkan_core.h:5144
PFN_vkImportSemaphoreFdKHR
VkResult(VKAPI_PTR * PFN_vkImportSemaphoreFdKHR)(VkDevice device, const VkImportSemaphoreFdInfoKHR *pImportSemaphoreFdInfo)
Definition: vulkan_core.h:5428
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDraw
PFN_vkCmdDraw vkCmdDraw
Definition: vulkan.hpp:52310
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRenderAreaGranularity
PFN_vkGetRenderAreaGranularity vkGetRenderAreaGranularity
Definition: vulkan.hpp:52601
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdExecuteCommands
PFN_vkCmdExecuteCommands vkCmdExecuteCommands
Definition: vulkan.hpp:52329
PFN_vkCmdBuildAccelerationStructureNV
void(VKAPI_PTR * PFN_vkCmdBuildAccelerationStructureNV)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV *pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset)
Definition: vulkan_core.h:8319
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushDescriptorSetKHR
PFN_vkCmdPushDescriptorSetKHR vkCmdPushDescriptorSetKHR
Definition: vulkan.hpp:52337
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugReportMessageEXT
PFN_vkDebugReportMessageEXT vkDebugReportMessageEXT
Definition: vulkan.hpp:52435
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMapMemory
PFN_vkMapMemory vkMapMemory
Definition: vulkan.hpp:52620
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySurfaceKHR
PFN_vkDestroySurfaceKHR vkDestroySurfaceKHR
Definition: vulkan.hpp:52465
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBuildAccelerationStructureNV
PFN_vkCmdBuildAccelerationStructureNV vkCmdBuildAccelerationStructureNV
Definition: vulkan.hpp:52293
PFN_vkCmdExecuteCommands
void(VKAPI_PTR * PFN_vkCmdExecuteCommands)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers)
Definition: vulkan_core.h:2986
PFN_vkDestroyEvent
void(VKAPI_PTR * PFN_vkDestroyEvent)(VkDevice device, VkEvent event, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2893
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetSampleLocationsEXT
PFN_vkCmdSetSampleLocationsEXT vkCmdSetSampleLocationsEXT
Definition: vulkan.hpp:52354
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainCounterEXT
PFN_vkGetSwapchainCounterEXT vkGetSwapchainCounterEXT
Definition: vulkan.hpp:52607
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndRenderPass2KHR
PFN_vkCmdEndRenderPass2KHR vkCmdEndRenderPass2KHR
Definition: vulkan.hpp:52327
PFN_vkGetImageSparseMemoryRequirements2KHR
void(VKAPI_PTR * PFN_vkGetImageSparseMemoryRequirements2KHR)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements)
Definition: vulkan_core.h:5915
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteAccelerationStructuresPropertiesNV
PFN_vkCmdWriteAccelerationStructuresPropertiesNV vkCmdWriteAccelerationStructuresPropertiesNV
Definition: vulkan.hpp:52365
PFN_vkGetRenderAreaGranularity
void(VKAPI_PTR * PFN_vkGetRenderAreaGranularity)(VkDevice device, VkRenderPass renderPass, VkExtent2D *pGranularity)
Definition: vulkan_core.h:2934
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties2KHR
PFN_vkGetPhysicalDeviceProperties2KHR vkGetPhysicalDeviceProperties2KHR
Definition: vulkan.hpp:52567
PFN_vkImportFenceFdKHR
VkResult(VKAPI_PTR * PFN_vkImportFenceFdKHR)(VkDevice device, const VkImportFenceFdInfoKHR *pImportFenceFdInfo)
Definition: vulkan_core.h:5734
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetEvent
PFN_vkCmdSetEvent vkCmdSetEvent
Definition: vulkan.hpp:52351
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkWaitForFences
PFN_vkWaitForFences vkWaitForFences
Definition: vulkan.hpp:52651
PFN_vkDestroyPipeline
void(VKAPI_PTR * PFN_vkDestroyPipeline)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2917
PFN_vkGetSemaphoreFdKHR
VkResult(VKAPI_PTR * PFN_vkGetSemaphoreFdKHR)(VkDevice device, const VkSemaphoreGetFdInfoKHR *pGetFdInfo, int *pFd)
Definition: vulkan_core.h:5429
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceMemoryProperties2
PFN_vkGetPhysicalDeviceMemoryProperties2 vkGetPhysicalDeviceMemoryProperties2
Definition: vulkan.hpp:52561
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginRenderPass
PFN_vkCmdBeginRenderPass vkCmdBeginRenderPass
Definition: vulkan.hpp:52283
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory2
PFN_vkBindBufferMemory2 vkBindBufferMemory2
Definition: vulkan.hpp:52274
PFN_vkGetPhysicalDeviceSurfacePresentModesKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfacePresentModesKHR)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pPresentModeCount, VkPresentModeKHR *pPresentModes)
Definition: vulkan_core.h:4755
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceDisplayPropertiesKHR
PFN_vkGetPhysicalDeviceDisplayPropertiesKHR vkGetPhysicalDeviceDisplayPropertiesKHR
Definition: vulkan.hpp:52542
vkGetMemoryWin32HandleNV
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE *pHandle)
PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties)
Definition: vulkan_core.h:5385
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryFdKHR
PFN_vkGetMemoryFdKHR vkGetMemoryFdKHR
Definition: vulkan.hpp:52525
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetValidationCacheDataEXT
PFN_vkGetValidationCacheDataEXT vkGetValidationCacheDataEXT
Definition: vulkan.hpp:52610
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSamplerYcbcrConversion
PFN_vkCreateSamplerYcbcrConversion vkCreateSamplerYcbcrConversion
Definition: vulkan.hpp:52411
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateImage
PFN_vkCreateImage vkCreateImage
Definition: vulkan.hpp:52393
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyFramebuffer
PFN_vkDestroyFramebuffer vkDestroyFramebuffer
Definition: vulkan.hpp:52449
PFN_vkCmdDrawIndexed
void(VKAPI_PTR * PFN_vkCmdDrawIndexed)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance)
Definition: vulkan_core.h:2957
PFN_vkGetPastPresentationTimingGOOGLE
VkResult(VKAPI_PTR * PFN_vkGetPastPresentationTimingGOOGLE)(VkDevice device, VkSwapchainKHR swapchain, uint32_t *pPresentationTimingCount, VkPastPresentationTimingGOOGLE *pPresentationTimings)
Definition: vulkan_core.h:7177
PFN_vkCmdSetCheckpointNV
void(VKAPI_PTR * PFN_vkCmdSetCheckpointNV)(VkCommandBuffer commandBuffer, const void *pCheckpointMarker)
Definition: vulkan_core.h:8780
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyQueryPoolResults
PFN_vkCmdCopyQueryPoolResults vkCmdCopyQueryPoolResults
Definition: vulkan.hpp:52302
PFN_vkGetPhysicalDeviceSurfaceFormats2KHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceFormats2KHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, uint32_t *pSurfaceFormatCount, VkSurfaceFormat2KHR *pSurfaceFormats)
Definition: vulkan_core.h:5793
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBeginCommandBuffer
PFN_vkBeginCommandBuffer vkBeginCommandBuffer
Definition: vulkan.hpp:52271
PFN_vkCmdEndRenderPass2KHR
void(VKAPI_PTR * PFN_vkCmdEndRenderPass2KHR)(VkCommandBuffer commandBuffer, const VkSubpassEndInfoKHR *pSubpassEndInfo)
Definition: vulkan_core.h:5630
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResetEvent
PFN_vkCmdResetEvent vkCmdResetEvent
Definition: vulkan.hpp:52340
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdNextSubpass2KHR
PFN_vkCmdNextSubpass2KHR vkCmdNextSubpass2KHR
Definition: vulkan.hpp:52333
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMergeValidationCachesEXT
PFN_vkMergeValidationCachesEXT vkMergeValidationCachesEXT
Definition: vulkan.hpp:52622
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateIndirectCommandsLayoutNVX
PFN_vkCreateIndirectCommandsLayoutNVX vkCreateIndirectCommandsLayoutNVX
Definition: vulkan.hpp:52398
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateBufferView
PFN_vkCreateBufferView vkCreateBufferView
Definition: vulkan.hpp:52374
PFN_vkRegisterDisplayEventEXT
VkResult(VKAPI_PTR * PFN_vkRegisterDisplayEventEXT)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT *pDisplayEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
Definition: vulkan_core.h:7118
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainStatusKHR
PFN_vkGetSwapchainStatusKHR vkGetSwapchainStatusKHR
Definition: vulkan.hpp:52609
PFN_vkCmdDrawIndirectByteCountEXT
void(VKAPI_PTR * PFN_vkCmdDrawIndirectByteCountEXT)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride)
Definition: vulkan_core.h:6428
PFN_vkCreateDebugUtilsMessengerEXT
VkResult(VKAPI_PTR * PFN_vkCreateDebugUtilsMessengerEXT)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugUtilsMessengerEXT *pMessenger)
Definition: vulkan_core.h:7481
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugMarkerSetObjectNameEXT
PFN_vkDebugMarkerSetObjectNameEXT vkDebugMarkerSetObjectNameEXT
Definition: vulkan.hpp:52433
PFN_vkDestroyDevice
void(VKAPI_PTR * PFN_vkDestroyDevice)(VkDevice device, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2862
PFN_vkCreateFramebuffer
VkResult(VKAPI_PTR * PFN_vkCreateFramebuffer)(VkDevice device, const VkFramebufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFramebuffer *pFramebuffer)
Definition: vulkan_core.h:2930
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalImageFormatPropertiesNV
PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV vkGetPhysicalDeviceExternalImageFormatPropertiesNV
Definition: vulkan.hpp:52547
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilities2KHR
PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR vkGetPhysicalDeviceSurfaceCapabilities2KHR
Definition: vulkan.hpp:52575
PFN_vkCreateXlibSurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateXlibSurfaceKHR)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_xlib.h:45
PFN_vkGetImageSubresourceLayout
void(VKAPI_PTR * PFN_vkGetImageSubresourceLayout)(VkDevice device, VkImage image, const VkImageSubresource *pSubresource, VkSubresourceLayout *pLayout)
Definition: vulkan_core.h:2906
PFN_vkCreateSampler
VkResult(VKAPI_PTR * PFN_vkCreateSampler)(VkDevice device, const VkSamplerCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSampler *pSampler)
Definition: vulkan_core.h:2920
PFN_vkDebugMarkerSetObjectTagEXT
VkResult(VKAPI_PTR * PFN_vkDebugMarkerSetObjectTagEXT)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT *pTagInfo)
Definition: vulkan_core.h:6330
PFN_vkCmdCopyAccelerationStructureNV
void(VKAPI_PTR * PFN_vkCmdCopyAccelerationStructureNV)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeNV mode)
Definition: vulkan_core.h:8320
PFN_vkCmdBindDescriptorSets
void(VKAPI_PTR * PFN_vkCmdBindDescriptorSets)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t *pDynamicOffsets)
Definition: vulkan_core.h:2953
PFN_vkCreateDescriptorUpdateTemplateKHR
VkResult(VKAPI_PTR * PFN_vkCreateDescriptorUpdateTemplateKHR)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate)
Definition: vulkan_core.h:5523
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySamplerYcbcrConversion
PFN_vkDestroySamplerYcbcrConversion vkDestroySamplerYcbcrConversion
Definition: vulkan.hpp:52461
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceQueue2
PFN_vkGetDeviceQueue2 vkGetDeviceQueue2
Definition: vulkan.hpp:52501
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateFramebuffer
PFN_vkCreateFramebuffer vkCreateFramebuffer
Definition: vulkan.hpp:52388
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties2KHR
PFN_vkGetPhysicalDeviceFormatProperties2KHR vkGetPhysicalDeviceFormatProperties2KHR
Definition: vulkan.hpp:52555
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceProcAddr
PFN_vkGetDeviceProcAddr vkGetDeviceProcAddr
Definition: vulkan.hpp:52499
PFN_vkReleaseDisplayEXT
VkResult(VKAPI_PTR * PFN_vkReleaseDisplayEXT)(VkPhysicalDevice physicalDevice, VkDisplayKHR display)
Definition: vulkan_core.h:7015
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetMemoryFdPropertiesKHR
PFN_vkGetMemoryFdPropertiesKHR vkGetMemoryFdPropertiesKHR
Definition: vulkan.hpp:52526
PFN_vkGetMemoryFdPropertiesKHR
VkResult(VKAPI_PTR * PFN_vkGetMemoryFdPropertiesKHR)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR *pMemoryFdProperties)
Definition: vulkan_core.h:5352
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkInvalidateMappedMemoryRanges
PFN_vkInvalidateMappedMemoryRanges vkInvalidateMappedMemoryRanges
Definition: vulkan.hpp:52619
PFN_vkGetPhysicalDeviceXcbPresentationSupportKHR
VkBool32(VKAPI_PTR * PFN_vkGetPhysicalDeviceXcbPresentationSupportKHR)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t *connection, xcb_visualid_t visual_id)
Definition: vulkan_xcb.h:46
PFN_vkCmdDebugMarkerInsertEXT
void(VKAPI_PTR * PFN_vkCmdDebugMarkerInsertEXT)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo)
Definition: vulkan_core.h:6334
PFN_vkCmdWriteTimestamp
void(VKAPI_PTR * PFN_vkCmdWriteTimestamp)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query)
Definition: vulkan_core.h:2980
PFN_vkCreatePipelineCache
VkResult(VKAPI_PTR * PFN_vkCreatePipelineCache)(VkDevice device, const VkPipelineCacheCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineCache *pPipelineCache)
Definition: vulkan_core.h:2911
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDeviceMask
PFN_vkCmdSetDeviceMask vkCmdSetDeviceMask
Definition: vulkan.hpp:52348
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirectCountAMD
PFN_vkCmdDrawIndexedIndirectCountAMD vkCmdDrawIndexedIndirectCountAMD
Definition: vulkan.hpp:52313
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSubmitDebugUtilsMessageEXT
PFN_vkSubmitDebugUtilsMessageEXT vkSubmitDebugUtilsMessageEXT
Definition: vulkan.hpp:52643
PFN_vkGetMemoryAndroidHardwareBufferANDROID
VkResult(VKAPI_PTR * PFN_vkGetMemoryAndroidHardwareBufferANDROID)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID *pInfo, struct AHardwareBuffer **pBuffer)
Definition: vulkan_android.h:108
vkGetPhysicalDeviceWaylandPresentationSupportKHR
VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display *display)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySampler
PFN_vkDestroySampler vkDestroySampler
Definition: vulkan.hpp:52460
PFN_vkGetDeviceMemoryCommitment
void(VKAPI_PTR * PFN_vkGetDeviceMemoryCommitment)(VkDevice device, VkDeviceMemory memory, VkDeviceSize *pCommittedMemoryInBytes)
Definition: vulkan_core.h:2877
vkCreateWin32SurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
vkCreateWaylandSurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
PFN_vkCreateImagePipeSurfaceFUCHSIA
VkResult(VKAPI_PTR * PFN_vkCreateImagePipeSurfaceFUCHSIA)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_fuchsia.h:44
PFN_vkCmdDrawIndexedIndirectCountKHR
void(VKAPI_PTR * PFN_vkCmdDrawIndexedIndirectCountKHR)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
Definition: vulkan_core.h:6038
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdProcessCommandsNVX
PFN_vkCmdProcessCommandsNVX vkCmdProcessCommandsNVX
Definition: vulkan.hpp:52335
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyValidationCacheEXT
PFN_vkDestroyValidationCacheEXT vkDestroyValidationCacheEXT
Definition: vulkan.hpp:52467
PFN_vkGetPhysicalDeviceFormatProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFormatProperties)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties *pFormatProperties)
Definition: vulkan_core.h:2854
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindAccelerationStructureMemoryNV
PFN_vkBindAccelerationStructureMemoryNV vkBindAccelerationStructureMemoryNV
Definition: vulkan.hpp:52272
PFN_vkCreateBuffer
VkResult(VKAPI_PTR * PFN_vkCreateBuffer)(VkDevice device, const VkBufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBuffer *pBuffer)
Definition: vulkan_core.h:2900
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupSurfacePresentModesKHR
PFN_vkGetDeviceGroupSurfacePresentModesKHR vkGetDeviceGroupSurfacePresentModesKHR
Definition: vulkan.hpp:52497
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatch
PFN_vkCmdDispatch vkCmdDispatch
Definition: vulkan.hpp:52306
PFN_vkCmdWaitEvents
void(VKAPI_PTR * PFN_vkCmdWaitEvents)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent *pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers)
Definition: vulkan_core.h:2975
PFN_vkCreateWin32SurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateWin32SurfaceKHR)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_win32.h:45
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateValidationCacheEXT
PFN_vkCreateValidationCacheEXT vkCreateValidationCacheEXT
Definition: vulkan.hpp:52417
PFN_vkCmdCopyImage
void(VKAPI_PTR * PFN_vkCmdCopyImage)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy *pRegions)
Definition: vulkan_core.h:2963
PFN_vkGetFenceWin32HandleKHR
VkResult(VKAPI_PTR * PFN_vkGetFenceWin32HandleKHR)(VkDevice device, const VkFenceGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
Definition: vulkan_win32.h:212
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements2KHR
PFN_vkGetImageMemoryRequirements2KHR vkGetImageMemoryRequirements2KHR
Definition: vulkan.hpp:52516
PFN_vkDestroyAccelerationStructureNV
void(VKAPI_PTR * PFN_vkDestroyAccelerationStructureNV)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:8316
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksIndirectCountNV
PFN_vkCmdDrawMeshTasksIndirectCountNV vkCmdDrawMeshTasksIndirectCountNV
Definition: vulkan.hpp:52319
PFN_vkGetDisplayPlaneCapabilitiesKHR
VkResult(VKAPI_PTR * PFN_vkGetDisplayPlaneCapabilitiesKHR)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR *pCapabilities)
Definition: vulkan_core.h:5030
PFN_vkDestroyValidationCacheEXT
void(VKAPI_PTR * PFN_vkDestroyValidationCacheEXT)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:7885
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSharedSwapchainsKHR
PFN_vkCreateSharedSwapchainsKHR vkCreateSharedSwapchainsKHR
Definition: vulkan.hpp:52415
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreatePipelineCache
PFN_vkCreatePipelineCache vkCreatePipelineCache
Definition: vulkan.hpp:52404
PFN_vkGetPhysicalDeviceProperties2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceProperties2KHR)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties)
Definition: vulkan_core.h:5141
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorUpdateTemplateKHR
PFN_vkCreateDescriptorUpdateTemplateKHR vkCreateDescriptorUpdateTemplateKHR
Definition: vulkan.hpp:52382
PFN_vkDebugReportMessageEXT
void(VKAPI_PTR * PFN_vkDebugReportMessageEXT)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char *pLayerPrefix, const char *pMessage)
Definition: vulkan_core.h:6228
PFN_vkCmdBeginDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkCmdBeginDebugUtilsLabelEXT)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo)
Definition: vulkan_core.h:7478
PFN_vkGetDescriptorSetLayoutSupport
void(VKAPI_PTR * PFN_vkGetDescriptorSetLayoutSupport)(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport)
Definition: vulkan_core.h:4516
PFN_vkAcquireNextImageKHR
VkResult(VKAPI_PTR * PFN_vkAcquireNextImageKHR)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t *pImageIndex)
Definition: vulkan_core.h:4890
PFN_vkRegisterObjectsNVX
VkResult(VKAPI_PTR * PFN_vkRegisterObjectsNVX)(VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectTableEntryNVX *const *ppObjectTableEntries, const uint32_t *pObjectIndices)
Definition: vulkan_core.h:6928
PFN_vkGetPhysicalDeviceMemoryProperties2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceMemoryProperties2KHR)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties)
Definition: vulkan_core.h:5145
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginTransformFeedbackEXT
PFN_vkCmdBeginTransformFeedbackEXT vkCmdBeginTransformFeedbackEXT
Definition: vulkan.hpp:52285
PFN_vkBindBufferMemory2
VkResult(VKAPI_PTR * PFN_vkBindBufferMemory2)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos)
Definition: vulkan_core.h:4490
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyAccelerationStructureNV
PFN_vkDestroyAccelerationStructureNV vkDestroyAccelerationStructureNV
Definition: vulkan.hpp:52436
PFN_vkQueueEndDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkQueueEndDebugUtilsLabelEXT)(VkQueue queue)
Definition: vulkan_core.h:7476
PFN_vkGetDeviceQueue2
void(VKAPI_PTR * PFN_vkGetDeviceQueue2)(VkDevice device, const VkDeviceQueueInfo2 *pQueueInfo, VkQueue *pQueue)
Definition: vulkan_core.h:4507
PFN_vkQueueBeginDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkQueueBeginDebugUtilsLabelEXT)(VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo)
Definition: vulkan_core.h:7475
PFN_vkGetPhysicalDeviceFormatProperties2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFormatProperties2KHR)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties)
Definition: vulkan_core.h:5142
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetCalibratedTimestampsEXT
PFN_vkGetCalibratedTimestampsEXT vkGetCalibratedTimestampsEXT
Definition: vulkan.hpp:52491
PFN_vkDestroySamplerYcbcrConversion
void(VKAPI_PTR * PFN_vkDestroySamplerYcbcrConversion)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:4509
PFN_vkGetRayTracingShaderGroupHandlesNV
VkResult(VKAPI_PTR * PFN_vkGetRayTracingShaderGroupHandlesNV)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void *pData)
Definition: vulkan_core.h:8323
vkGetPhysicalDeviceXcbPresentationSupportKHR
VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t *connection, xcb_visualid_t visual_id)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirect
PFN_vkCmdDrawIndirect vkCmdDrawIndirect
Definition: vulkan.hpp:52315
PFN_vkBindBufferMemory2KHR
VkResult(VKAPI_PTR * PFN_vkBindBufferMemory2KHR)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos)
Definition: vulkan_core.h:6000
PFN_vkBindImageMemory
VkResult(VKAPI_PTR * PFN_vkBindImageMemory)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset)
Definition: vulkan_core.h:2879
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearColorImage
PFN_vkCmdClearColorImage vkCmdClearColorImage
Definition: vulkan.hpp:52295
PFN_vkResetDescriptorPool
VkResult(VKAPI_PTR * PFN_vkResetDescriptorPool)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags)
Definition: vulkan_core.h:2926
PFN_vkSetDebugUtilsObjectTagEXT
VkResult(VKAPI_PTR * PFN_vkSetDebugUtilsObjectTagEXT)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT *pTagInfo)
Definition: vulkan_core.h:7474
PFN_vkGetPhysicalDeviceProperties2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceProperties2)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties)
Definition: vulkan_core.h:4500
PFN_vkCmdDispatchBase
void(VKAPI_PTR * PFN_vkCmdDispatchBase)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
Definition: vulkan_core.h:4494
PFN_vkCmdDrawMeshTasksIndirectCountNV
void(VKAPI_PTR * PFN_vkCmdDrawMeshTasksIndirectCountNV)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
Definition: vulkan_core.h:8685
PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR *pSurfaceCapabilities)
Definition: vulkan_core.h:4753
PFN_vkGetPhysicalDeviceImageFormatProperties2
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceImageFormatProperties2)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties)
Definition: vulkan_core.h:4502
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFeatures2
PFN_vkGetPhysicalDeviceFeatures2 vkGetPhysicalDeviceFeatures2
Definition: vulkan.hpp:52551
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkImportFenceFdKHR
PFN_vkImportFenceFdKHR vkImportFenceFdKHR
Definition: vulkan.hpp:52611
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements2
PFN_vkGetImageSparseMemoryRequirements2 vkGetImageSparseMemoryRequirements2
Definition: vulkan.hpp:52518
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdTraceRaysNV
PFN_vkCmdTraceRaysNV vkCmdTraceRaysNV
Definition: vulkan.hpp:52362
PFN_vkCmdSetViewportWScalingNV
void(VKAPI_PTR * PFN_vkCmdSetViewportWScalingNV)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV *pViewportWScalings)
Definition: vulkan_core.h:7001
PFN_vkCmdDispatchIndirect
void(VKAPI_PTR * PFN_vkCmdDispatchIndirect)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset)
Definition: vulkan_core.h:2961
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceLayerProperties
PFN_vkEnumerateInstanceLayerProperties vkEnumerateInstanceLayerProperties
Definition: vulkan.hpp:52474
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDescriptorSetLayoutSupport
PFN_vkGetDescriptorSetLayoutSupport vkGetDescriptorSetLayoutSupport
Definition: vulkan.hpp:52492
PFN_vkCmdResetQueryPool
void(VKAPI_PTR * PFN_vkCmdResetQueryPool)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount)
Definition: vulkan_core.h:2979
PFN_vkEnumerateInstanceExtensionProperties
VkResult(VKAPI_PTR * PFN_vkEnumerateInstanceExtensionProperties)(const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties)
Definition: vulkan_core.h:2863
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirectCountKHR
PFN_vkCmdDrawIndexedIndirectCountKHR vkCmdDrawIndexedIndirectCountKHR
Definition: vulkan.hpp:52314
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetBlendConstants
PFN_vkCmdSetBlendConstants vkCmdSetBlendConstants
Definition: vulkan.hpp:52343
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueBindSparse
PFN_vkQueueBindSparse vkQueueBindSparse
Definition: vulkan.hpp:52624
PFN_vkUpdateDescriptorSetWithTemplate
void(VKAPI_PTR * PFN_vkUpdateDescriptorSetWithTemplate)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData)
Definition: vulkan_core.h:4512
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroySamplerYcbcrConversionKHR
PFN_vkDestroySamplerYcbcrConversionKHR vkDestroySamplerYcbcrConversionKHR
Definition: vulkan.hpp:52462
PFN_vkDestroyQueryPool
void(VKAPI_PTR * PFN_vkDestroyQueryPool)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2898
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilitiesKHR
PFN_vkGetPhysicalDeviceSurfaceCapabilitiesKHR vkGetPhysicalDeviceSurfaceCapabilitiesKHR
Definition: vulkan.hpp:52576
PFN_vkInvalidateMappedMemoryRanges
VkResult(VKAPI_PTR * PFN_vkInvalidateMappedMemoryRanges)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges)
Definition: vulkan_core.h:2876
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyCommandPool
PFN_vkDestroyCommandPool vkDestroyCommandPool
Definition: vulkan.hpp:52439
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceExtensionProperties
PFN_vkEnumerateInstanceExtensionProperties vkEnumerateInstanceExtensionProperties
Definition: vulkan.hpp:52473
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalBufferProperties
PFN_vkGetPhysicalDeviceExternalBufferProperties vkGetPhysicalDeviceExternalBufferProperties
Definition: vulkan.hpp:52543
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSemaphore
PFN_vkCreateSemaphore vkCreateSemaphore
Definition: vulkan.hpp:52413
PFN_vkCmdDrawIndirectCountAMD
void(VKAPI_PTR * PFN_vkCmdDrawIndirectCountAMD)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
Definition: vulkan_core.h:6480
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDebugMarkerSetObjectTagEXT
PFN_vkDebugMarkerSetObjectTagEXT vkDebugMarkerSetObjectTagEXT
Definition: vulkan.hpp:52434
PFN_vkCmdDraw
void(VKAPI_PTR * PFN_vkCmdDraw)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance)
Definition: vulkan_core.h:2956
PFN_vkEnumeratePhysicalDeviceGroups
VkResult(VKAPI_PTR * PFN_vkEnumeratePhysicalDeviceGroups)(VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties)
Definition: vulkan_core.h:4495
PFN_vkCreateDescriptorSetLayout
VkResult(VKAPI_PTR * PFN_vkCreateDescriptorSetLayout)(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorSetLayout *pSetLayout)
Definition: vulkan_core.h:2922
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkFreeDescriptorSets
PFN_vkFreeDescriptorSets vkFreeDescriptorSets
Definition: vulkan.hpp:52481
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginRenderPass2KHR
PFN_vkCmdBeginRenderPass2KHR vkCmdBeginRenderPass2KHR
Definition: vulkan.hpp:52284
vkImportFenceWin32HandleKHR
VKAPI_ATTR VkResult VKAPI_CALL vkImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR *pImportFenceWin32HandleInfo)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory2
PFN_vkBindImageMemory2 vkBindImageMemory2
Definition: vulkan.hpp:52277
PFN_vkGetMemoryHostPointerPropertiesEXT
VkResult(VKAPI_PTR * PFN_vkGetMemoryHostPointerPropertiesEXT)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void *pHostPointer, VkMemoryHostPointerPropertiesEXT *pMemoryHostPointerProperties)
Definition: vulkan_core.h:8486
PFN_vkCmdSetDepthBias
void(VKAPI_PTR * PFN_vkCmdSetDepthBias)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor)
Definition: vulkan_core.h:2947
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexedIndirect
PFN_vkCmdDrawIndexedIndirect vkCmdDrawIndexedIndirect
Definition: vulkan.hpp:52312
PFN_vkCmdSetLineWidth
void(VKAPI_PTR * PFN_vkCmdSetLineWidth)(VkCommandBuffer commandBuffer, float lineWidth)
Definition: vulkan_core.h:2946
PFN_vkUnmapMemory
void(VKAPI_PTR * PFN_vkUnmapMemory)(VkDevice device, VkDeviceMemory memory)
Definition: vulkan_core.h:2874
PFN_vkCmdSetDiscardRectangleEXT
void(VKAPI_PTR * PFN_vkCmdSetDiscardRectangleEXT)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D *pDiscardRectangles)
Definition: vulkan_core.h:7290
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkMergePipelineCaches
PFN_vkMergePipelineCaches vkMergePipelineCaches
Definition: vulkan.hpp:52621
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements2KHR
PFN_vkGetImageSparseMemoryRequirements2KHR vkGetImageSparseMemoryRequirements2KHR
Definition: vulkan.hpp:52519
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory2KHR
PFN_vkBindImageMemory2KHR vkBindImageMemory2KHR
Definition: vulkan.hpp:52278
PFN_vkGetPhysicalDeviceFormatProperties2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFormatProperties2)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties)
Definition: vulkan_core.h:4501
PFN_vkCmdResolveImage
void(VKAPI_PTR * PFN_vkCmdResolveImage)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve *pRegions)
Definition: vulkan_core.h:2972
PFN_vkGetPhysicalDeviceWin32PresentationSupportKHR
VkBool32(VKAPI_PTR * PFN_vkGetPhysicalDeviceWin32PresentationSupportKHR)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex)
Definition: vulkan_win32.h:46
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements2
PFN_vkGetBufferMemoryRequirements2 vkGetBufferMemoryRequirements2
Definition: vulkan.hpp:52489
PFN_vkCmdSetViewport
void(VKAPI_PTR * PFN_vkCmdSetViewport)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport *pViewports)
Definition: vulkan_core.h:2944
PFN_vkGetQueryPoolResults
VkResult(VKAPI_PTR * PFN_vkGetQueryPoolResults)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void *pData, VkDeviceSize stride, VkQueryResultFlags flags)
Definition: vulkan_core.h:2899
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateBuffer
PFN_vkCreateBuffer vkCreateBuffer
Definition: vulkan.hpp:52373
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueEndDebugUtilsLabelEXT
PFN_vkQueueEndDebugUtilsLabelEXT vkQueueEndDebugUtilsLabelEXT
Definition: vulkan.hpp:52625
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindVertexBuffers
PFN_vkCmdBindVertexBuffers vkCmdBindVertexBuffers
Definition: vulkan.hpp:52291
PFN_vkDestroyFramebuffer
void(VKAPI_PTR * PFN_vkDestroyFramebuffer)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2931
vkGetRandROutputDisplayEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display *dpy, RROutput rrOutput, VkDisplayKHR *pDisplay)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindImageMemory
PFN_vkBindImageMemory vkBindImageMemory
Definition: vulkan.hpp:52276
PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, VkSurfaceCapabilities2KHR *pSurfaceCapabilities)
Definition: vulkan_core.h:5792
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRefreshCycleDurationGOOGLE
PFN_vkGetRefreshCycleDurationGOOGLE vkGetRefreshCycleDurationGOOGLE
Definition: vulkan.hpp:52600
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRenderPass
PFN_vkCreateRenderPass vkCreateRenderPass
Definition: vulkan.hpp:52408
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPipelineBarrier
PFN_vkCmdPipelineBarrier vkCmdPipelineBarrier
Definition: vulkan.hpp:52334
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueInsertDebugUtilsLabelEXT
PFN_vkQueueInsertDebugUtilsLabelEXT vkQueueInsertDebugUtilsLabelEXT
Definition: vulkan.hpp:52626
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties2
PFN_vkGetPhysicalDeviceQueueFamilyProperties2 vkGetPhysicalDeviceQueueFamilyProperties2
Definition: vulkan.hpp:52569
PFN_vkCmdBeginQuery
void(VKAPI_PTR * PFN_vkCmdBeginQuery)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags)
Definition: vulkan_core.h:2977
PFN_vkGetBufferMemoryRequirements2KHR
void(VKAPI_PTR * PFN_vkGetBufferMemoryRequirements2KHR)(VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
Definition: vulkan_core.h:5914
PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT *pSurfaceCapabilities)
Definition: vulkan_core.h:7051
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearAttachments
PFN_vkCmdClearAttachments vkCmdClearAttachments
Definition: vulkan.hpp:52294
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyQueryPool
PFN_vkDestroyQueryPool vkDestroyQueryPool
Definition: vulkan.hpp:52458
PFN_vkCmdBeginRenderPass2KHR
void(VKAPI_PTR * PFN_vkCmdBeginRenderPass2KHR)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, const VkSubpassBeginInfoKHR *pSubpassBeginInfo)
Definition: vulkan_core.h:5628
PFN_vkCmdWriteBufferMarkerAMD
void(VKAPI_PTR * PFN_vkCmdWriteBufferMarkerAMD)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker)
Definition: vulkan_core.h:8500
PFN_vkGetQueueCheckpointDataNV
void(VKAPI_PTR * PFN_vkGetQueueCheckpointDataNV)(VkQueue queue, uint32_t *pCheckpointDataCount, VkCheckpointDataNV *pCheckpointData)
Definition: vulkan_core.h:8781
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUnregisterObjectsNVX
PFN_vkUnregisterObjectsNVX vkUnregisterObjectsNVX
Definition: vulkan.hpp:52647
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetEvent
PFN_vkSetEvent vkSetEvent
Definition: vulkan.hpp:52641
PFN_vkDestroyIndirectCommandsLayoutNVX
void(VKAPI_PTR * PFN_vkDestroyIndirectCommandsLayoutNVX)(VkDevice device, VkIndirectCommandsLayoutNVX indirectCommandsLayout, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:6925
PFN_vkDestroyImage
void(VKAPI_PTR * PFN_vkDestroyImage)(VkDevice device, VkImage image, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2905
PFN_vkEnumerateDeviceLayerProperties
VkResult(VKAPI_PTR * PFN_vkEnumerateDeviceLayerProperties)(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkLayerProperties *pProperties)
Definition: vulkan_core.h:2866
PFN_vkCmdDrawIndirect
void(VKAPI_PTR * PFN_vkCmdDrawIndirect)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
Definition: vulkan_core.h:2958
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetDescriptorPool
PFN_vkResetDescriptorPool vkResetDescriptorPool
Definition: vulkan.hpp:52636
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBlitImage
PFN_vkCmdBlitImage vkCmdBlitImage
Definition: vulkan.hpp:52292
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init
void init(Instance instance, Device device=Device())
Definition: vulkan.hpp:52661
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetBufferMemoryRequirements2KHR
PFN_vkGetBufferMemoryRequirements2KHR vkGetBufferMemoryRequirements2KHR
Definition: vulkan.hpp:52490
PFN_vkGetPhysicalDeviceDisplayProperties2KHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceDisplayProperties2KHR)(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayProperties2KHR *pProperties)
Definition: vulkan_core.h:5852
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorUpdateTemplate
PFN_vkDestroyDescriptorUpdateTemplate vkDestroyDescriptorUpdateTemplate
Definition: vulkan.hpp:52444
PFN_vkMergePipelineCaches
VkResult(VKAPI_PTR * PFN_vkMergePipelineCaches)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache *pSrcCaches)
Definition: vulkan_core.h:2914
PFN_vkCreateDescriptorPool
VkResult(VKAPI_PTR * PFN_vkCreateDescriptorPool)(VkDevice device, const VkDescriptorPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorPool *pDescriptorPool)
Definition: vulkan_core.h:2924
PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties)
Definition: vulkan_core.h:5304
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDevices
PFN_vkEnumeratePhysicalDevices vkEnumeratePhysicalDevices
Definition: vulkan.hpp:52478
PFN_vkBindImageMemory2KHR
VkResult(VKAPI_PTR * PFN_vkBindImageMemory2KHR)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos)
Definition: vulkan_core.h:6001
PFN_vkCreateFence
VkResult(VKAPI_PTR * PFN_vkCreateFence)(VkDevice device, const VkFenceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
Definition: vulkan_core.h:2885
PFN_vkGetMemoryFdKHR
VkResult(VKAPI_PTR * PFN_vkGetMemoryFdKHR)(VkDevice device, const VkMemoryGetFdInfoKHR *pGetFdInfo, int *pFd)
Definition: vulkan_core.h:5351
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSampler
PFN_vkCreateSampler vkCreateSampler
Definition: vulkan.hpp:52410
PFN_vkCreateDisplayPlaneSurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateDisplayPlaneSurfaceKHR)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_core.h:5031
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyRenderPass
PFN_vkDestroyRenderPass vkDestroyRenderPass
Definition: vulkan.hpp:52459
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectCountAMD
PFN_vkCmdDrawIndirectCountAMD vkCmdDrawIndirectCountAMD
Definition: vulkan.hpp:52317
PFN_vkCompileDeferredNV
VkResult(VKAPI_PTR * PFN_vkCompileDeferredNV)(VkDevice device, VkPipeline pipeline, uint32_t shader)
Definition: vulkan_core.h:8326
PFN_vkCmdBindIndexBuffer
void(VKAPI_PTR * PFN_vkCmdBindIndexBuffer)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType)
Definition: vulkan_core.h:2954
PFN_vkEnumerateInstanceVersion
VkResult(VKAPI_PTR * PFN_vkEnumerateInstanceVersion)(uint32_t *pApiVersion)
Definition: vulkan_core.h:4489
PFN_vkCmdBeginTransformFeedbackEXT
void(VKAPI_PTR * PFN_vkCmdBeginTransformFeedbackEXT)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets)
Definition: vulkan_core.h:6424
PFN_vkCreateObjectTableNVX
VkResult(VKAPI_PTR * PFN_vkCreateObjectTableNVX)(VkDevice device, const VkObjectTableCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkObjectTableNVX *pObjectTable)
Definition: vulkan_core.h:6926
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDisplayPowerControlEXT
PFN_vkDisplayPowerControlEXT vkDisplayPowerControlEXT
Definition: vulkan.hpp:52469
PFN_vkEnumerateDeviceExtensionProperties
VkResult(VKAPI_PTR * PFN_vkEnumerateDeviceExtensionProperties)(VkPhysicalDevice physicalDevice, const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties)
Definition: vulkan_core.h:2864
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdFillBuffer
PFN_vkCmdFillBuffer vkCmdFillBuffer
Definition: vulkan.hpp:52330
PFN_vkUpdateDescriptorSetWithTemplateKHR
void(VKAPI_PTR * PFN_vkUpdateDescriptorSetWithTemplateKHR)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData)
Definition: vulkan_core.h:5525
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateDeviceLayerProperties
PFN_vkEnumerateDeviceLayerProperties vkEnumerateDeviceLayerProperties
Definition: vulkan.hpp:52472
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPresentCapabilitiesKHR
PFN_vkGetDeviceGroupPresentCapabilitiesKHR vkGetDeviceGroupPresentCapabilitiesKHR
Definition: vulkan.hpp:52496
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipelineCache
PFN_vkDestroyPipelineCache vkDestroyPipelineCache
Definition: vulkan.hpp:52456
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateObjectTableNVX
PFN_vkCreateObjectTableNVX vkCreateObjectTableNVX
Definition: vulkan.hpp:52403
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushConstants
PFN_vkCmdPushConstants vkCmdPushConstants
Definition: vulkan.hpp:52336
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSparseImageFormatProperties2
PFN_vkGetPhysicalDeviceSparseImageFormatProperties2 vkGetPhysicalDeviceSparseImageFormatProperties2
Definition: vulkan.hpp:52572
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDepthBias
PFN_vkCmdSetDepthBias vkCmdSetDepthBias
Definition: vulkan.hpp:52346
PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR)(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlaneProperties2KHR *pProperties)
Definition: vulkan_core.h:5853
PFN_vkGetPhysicalDeviceMemoryProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceMemoryProperties)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties *pMemoryProperties)
Definition: vulkan_core.h:2858
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalFenceProperties
PFN_vkGetPhysicalDeviceExternalFenceProperties vkGetPhysicalDeviceExternalFenceProperties
Definition: vulkan.hpp:52545
PFN_vkDestroyBuffer
void(VKAPI_PTR * PFN_vkDestroyBuffer)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2901
PFN_vkUnregisterObjectsNVX
VkResult(VKAPI_PTR * PFN_vkUnregisterObjectsNVX)(VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectEntryTypeNVX *pObjectEntryTypes, const uint32_t *pObjectIndices)
Definition: vulkan_core.h:6929
PFN_vkDestroyInstance
void(VKAPI_PTR * PFN_vkDestroyInstance)(VkInstance instance, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2851
PFN_vkCmdClearColorImage
void(VKAPI_PTR * PFN_vkCmdClearColorImage)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue *pColor, uint32_t rangeCount, const VkImageSubresourceRange *pRanges)
Definition: vulkan_core.h:2969
PFN_vkWaitForFences
VkResult(VKAPI_PTR * PFN_vkWaitForFences)(VkDevice device, uint32_t fenceCount, const VkFence *pFences, VkBool32 waitAll, uint64_t timeout)
Definition: vulkan_core.h:2889
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdClearDepthStencilImage
PFN_vkCmdClearDepthStencilImage vkCmdClearDepthStencilImage
Definition: vulkan.hpp:52296
PFN_vkRegisterDeviceEventEXT
VkResult(VKAPI_PTR * PFN_vkRegisterDeviceEventEXT)(VkDevice device, const VkDeviceEventInfoEXT *pDeviceEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
Definition: vulkan_core.h:7117
PFN_vkCreateQueryPool
VkResult(VKAPI_PTR * PFN_vkCreateQueryPool)(VkDevice device, const VkQueryPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkQueryPool *pQueryPool)
Definition: vulkan_core.h:2897
PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties)
Definition: vulkan_core.h:5691
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalSemaphoreProperties
PFN_vkGetPhysicalDeviceExternalSemaphoreProperties vkGetPhysicalDeviceExternalSemaphoreProperties
Definition: vulkan.hpp:52548
PFN_vkDestroySamplerYcbcrConversionKHR
void(VKAPI_PTR * PFN_vkDestroySamplerYcbcrConversionKHR)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:5976
PFN_vkCmdNextSubpass2KHR
void(VKAPI_PTR * PFN_vkCmdNextSubpass2KHR)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfoKHR *pSubpassBeginInfo, const VkSubpassEndInfoKHR *pSubpassEndInfo)
Definition: vulkan_core.h:5629
vkGetSemaphoreWin32HandleKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewportShadingRatePaletteNV
PFN_vkCmdSetViewportShadingRatePaletteNV vkCmdSetViewportShadingRatePaletteNV
Definition: vulkan.hpp:52360
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndexed
PFN_vkCmdDrawIndexed vkCmdDrawIndexed
Definition: vulkan.hpp:52311
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDescriptorPool
PFN_vkCreateDescriptorPool vkCreateDescriptorPool
Definition: vulkan.hpp:52379
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateImageView
PFN_vkCreateImageView vkCreateImageView
Definition: vulkan.hpp:52397
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndConditionalRenderingEXT
PFN_vkCmdEndConditionalRenderingEXT vkCmdEndConditionalRenderingEXT
Definition: vulkan.hpp:52322
PFN_vkCmdPushDescriptorSetKHR
void(VKAPI_PTR * PFN_vkCmdPushDescriptorSetKHR)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites)
Definition: vulkan_core.h:5453
PFN_vkGetPhysicalDeviceImageFormatProperties
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceImageFormatProperties)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties *pImageFormatProperties)
Definition: vulkan_core.h:2855
PFN_vkGetPhysicalDeviceSurfaceSupportKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceSurfaceSupportKHR)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32 *pSupported)
Definition: vulkan_core.h:4752
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAcquireNextImageKHR
PFN_vkAcquireNextImageKHR vkAcquireNextImageKHR
Definition: vulkan.hpp:52264
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX
PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX
Definition: vulkan.hpp:52556
vkImportSemaphoreWin32HandleKHR
VKAPI_ATTR VkResult VKAPI_CALL vkImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR *pImportSemaphoreWin32HandleInfo)
PFN_vkSetHdrMetadataEXT
void(VKAPI_PTR * PFN_vkSetHdrMetadataEXT)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR *pSwapchains, const VkHdrMetadataEXT *pMetadata)
Definition: vulkan_core.h:7369
PFN_vkCreateSwapchainKHR
VkResult(VKAPI_PTR * PFN_vkCreateSwapchainKHR)(VkDevice device, const VkSwapchainCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchain)
Definition: vulkan_core.h:4887
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDescriptorUpdateTemplateKHR
PFN_vkDestroyDescriptorUpdateTemplateKHR vkDestroyDescriptorUpdateTemplateKHR
Definition: vulkan.hpp:52445
PFN_vkGetPhysicalDeviceFeatures2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFeatures2)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures)
Definition: vulkan_core.h:4499
PFN_vkCreateCommandPool
VkResult(VKAPI_PTR * PFN_vkCreateCommandPool)(VkDevice device, const VkCommandPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkCommandPool *pCommandPool)
Definition: vulkan_core.h:2935
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyBufferToImage
PFN_vkCmdCopyBufferToImage vkCmdCopyBufferToImage
Definition: vulkan.hpp:52299
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceProperties2
PFN_vkGetPhysicalDeviceProperties2 vkGetPhysicalDeviceProperties2
Definition: vulkan.hpp:52566
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetDebugUtilsObjectNameEXT
PFN_vkSetDebugUtilsObjectNameEXT vkSetDebugUtilsObjectNameEXT
Definition: vulkan.hpp:52639
vkGetMemoryWin32HandleKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
vkGetFenceWin32HandleKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
PFN_vkGetDeviceProcAddr
PFN_vkVoidFunction(VKAPI_PTR * PFN_vkGetDeviceProcAddr)(VkDevice device, const char *pName)
Definition: vulkan_core.h:2860
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyIndirectCommandsLayoutNVX
PFN_vkDestroyIndirectCommandsLayoutNVX vkDestroyIndirectCommandsLayoutNVX
Definition: vulkan.hpp:52452
PFN_vkAllocateCommandBuffers
VkResult(VKAPI_PTR * PFN_vkAllocateCommandBuffers)(VkDevice device, const VkCommandBufferAllocateInfo *pAllocateInfo, VkCommandBuffer *pCommandBuffers)
Definition: vulkan_core.h:2938
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPipelineCacheData
PFN_vkGetPipelineCacheData vkGetPipelineCacheData
Definition: vulkan.hpp:52593
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDevice
PFN_vkCreateDevice vkCreateDevice
Definition: vulkan.hpp:52383
PFN_vkEnumerateInstanceLayerProperties
VkResult(VKAPI_PTR * PFN_vkEnumerateInstanceLayerProperties)(uint32_t *pPropertyCount, VkLayerProperties *pProperties)
Definition: vulkan_core.h:2865
PFN_vkCmdEndDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkCmdEndDebugUtilsLabelEXT)(VkCommandBuffer commandBuffer)
Definition: vulkan_core.h:7479
PFN_vkBindAccelerationStructureMemoryNV
VkResult(VKAPI_PTR * PFN_vkBindAccelerationStructureMemoryNV)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV *pBindInfos)
Definition: vulkan_core.h:8318
PFN_vkCreateRenderPass2KHR
VkResult(VKAPI_PTR * PFN_vkCreateRenderPass2KHR)(VkDevice device, const VkRenderPassCreateInfo2KHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass)
Definition: vulkan_core.h:5627
PFN_vkGetEventStatus
VkResult(VKAPI_PTR * PFN_vkGetEventStatus)(VkDevice device, VkEvent event)
Definition: vulkan_core.h:2894
PFN_vkCreateEvent
VkResult(VKAPI_PTR * PFN_vkCreateEvent)(VkDevice device, const VkEventCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkEvent *pEvent)
Definition: vulkan_core.h:2892
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageSparseMemoryRequirements
PFN_vkGetImageSparseMemoryRequirements vkGetImageSparseMemoryRequirements
Definition: vulkan.hpp:52517
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerInsertEXT
PFN_vkCmdDebugMarkerInsertEXT vkCmdDebugMarkerInsertEXT
Definition: vulkan.hpp:52305
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetImageMemoryRequirements
PFN_vkGetImageMemoryRequirements vkGetImageMemoryRequirements
Definition: vulkan.hpp:52514
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetDebugUtilsObjectTagEXT
PFN_vkSetDebugUtilsObjectTagEXT vkSetDebugUtilsObjectTagEXT
Definition: vulkan.hpp:52640
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetAccelerationStructureMemoryRequirementsNV
PFN_vkGetAccelerationStructureMemoryRequirementsNV vkGetAccelerationStructureMemoryRequirementsNV
Definition: vulkan.hpp:52484
PFN_vkGetFenceFdKHR
VkResult(VKAPI_PTR * PFN_vkGetFenceFdKHR)(VkDevice device, const VkFenceGetFdInfoKHR *pGetFdInfo, int *pFd)
Definition: vulkan_core.h:5735
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAcquireNextImage2KHR
PFN_vkAcquireNextImage2KHR vkAcquireNextImage2KHR
Definition: vulkan.hpp:52263
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceFormatProperties
PFN_vkGetPhysicalDeviceFormatProperties vkGetPhysicalDeviceFormatProperties
Definition: vulkan.hpp:52553
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDeviceWaitIdle
PFN_vkDeviceWaitIdle vkDeviceWaitIdle
Definition: vulkan.hpp:52468
PFN_vkGetCalibratedTimestampsEXT
VkResult(VKAPI_PTR * PFN_vkGetCalibratedTimestampsEXT)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT *pTimestampInfos, uint64_t *pTimestamps, uint64_t *pMaxDeviation)
Definition: vulkan_core.h:8535
PFN_vkGetImageSparseMemoryRequirements2
void(VKAPI_PTR * PFN_vkGetImageSparseMemoryRequirements2)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements)
Definition: vulkan_core.h:4498
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginConditionalRenderingEXT
PFN_vkCmdBeginConditionalRenderingEXT vkCmdBeginConditionalRenderingEXT
Definition: vulkan.hpp:52279
vkCreateIOSSurfaceMVK
VKAPI_ATTR VkResult VKAPI_CALL vkCreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
PFN_vkGetAndroidHardwareBufferPropertiesANDROID
VkResult(VKAPI_PTR * PFN_vkGetAndroidHardwareBufferPropertiesANDROID)(VkDevice device, const struct AHardwareBuffer *buffer, VkAndroidHardwareBufferPropertiesANDROID *pProperties)
Definition: vulkan_android.h:107
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyAccelerationStructureNV
PFN_vkCmdCopyAccelerationStructureNV vkCmdCopyAccelerationStructureNV
Definition: vulkan.hpp:52297
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetQueueCheckpointDataNV
PFN_vkGetQueueCheckpointDataNV vkGetQueueCheckpointDataNV
Definition: vulkan.hpp:52595
PFN_vkCmdPushConstants
void(VKAPI_PTR * PFN_vkCmdPushConstants)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void *pValues)
Definition: vulkan_core.h:2982
PFN_vkCmdSetSampleLocationsEXT
void(VKAPI_PTR * PFN_vkCmdSetSampleLocationsEXT)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT *pSampleLocationsInfo)
Definition: vulkan_core.h:7681
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateDebugReportCallbackEXT
PFN_vkCreateDebugReportCallbackEXT vkCreateDebugReportCallbackEXT
Definition: vulkan.hpp:52377
PFN_vkGetMemoryWin32HandleNV
VkResult(VKAPI_PTR * PFN_vkGetMemoryWin32HandleNV)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE *pHandle)
Definition: vulkan_win32.h:244
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties
PFN_vkGetPhysicalDeviceQueueFamilyProperties vkGetPhysicalDeviceQueueFamilyProperties
Definition: vulkan.hpp:52568
PFN_vkDestroyObjectTableNVX
void(VKAPI_PTR * PFN_vkDestroyObjectTableNVX)(VkDevice device, VkObjectTableNVX objectTable, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:6927
PFN_vkGetSwapchainImagesKHR
VkResult(VKAPI_PTR * PFN_vkGetSwapchainImagesKHR)(VkDevice device, VkSwapchainKHR swapchain, uint32_t *pSwapchainImageCount, VkImage *pSwapchainImages)
Definition: vulkan_core.h:4889
PFN_vkDestroySampler
void(VKAPI_PTR * PFN_vkDestroySampler)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2921
PFN_vkCreateViSurfaceNN
VkResult(VKAPI_PTR * PFN_vkCreateViSurfaceNN)(VkInstance instance, const VkViSurfaceCreateInfoNN *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_vi.h:44
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateComputePipelines
PFN_vkCreateComputePipelines vkCreateComputePipelines
Definition: vulkan.hpp:52376
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindDescriptorSets
PFN_vkCmdBindDescriptorSets vkCmdBindDescriptorSets
Definition: vulkan.hpp:52286
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResolveImage
PFN_vkCmdResolveImage vkCmdResolveImage
Definition: vulkan.hpp:52342
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties
PFN_vkGetPhysicalDeviceImageFormatProperties vkGetPhysicalDeviceImageFormatProperties
Definition: vulkan.hpp:52557
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetShaderInfoAMD
PFN_vkGetShaderInfoAMD vkGetShaderInfoAMD
Definition: vulkan.hpp:52606
PFN_vkGetPhysicalDeviceDisplayPropertiesKHR
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceDisplayPropertiesKHR)(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPropertiesKHR *pProperties)
Definition: vulkan_core.h:5025
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindShadingRateImageNV
PFN_vkCmdBindShadingRateImageNV vkCmdBindShadingRateImageNV
Definition: vulkan.hpp:52289
PFN_vkCmdCopyImageToBuffer
void(VKAPI_PTR * PFN_vkCmdCopyImageToBuffer)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy *pRegions)
Definition: vulkan_core.h:2966
PFN_vkGetDeviceGroupSurfacePresentModesKHR
VkResult(VKAPI_PTR * PFN_vkGetDeviceGroupSurfacePresentModesKHR)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR *pModes)
Definition: vulkan_core.h:4893
PFN_vkCreatePipelineLayout
VkResult(VKAPI_PTR * PFN_vkCreatePipelineLayout)(VkDevice device, const VkPipelineLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineLayout *pPipelineLayout)
Definition: vulkan_core.h:2918
PFN_vkGetDisplayPlaneSupportedDisplaysKHR
VkResult(VKAPI_PTR * PFN_vkGetDisplayPlaneSupportedDisplaysKHR)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t *pDisplayCount, VkDisplayKHR *pDisplays)
Definition: vulkan_core.h:5027
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayModeProperties2KHR
PFN_vkGetDisplayModeProperties2KHR vkGetDisplayModeProperties2KHR
Definition: vulkan.hpp:52502
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawMeshTasksNV
PFN_vkCmdDrawMeshTasksNV vkCmdDrawMeshTasksNV
Definition: vulkan.hpp:52321
PFN_vkCmdBeginRenderPass
void(VKAPI_PTR * PFN_vkCmdBeginRenderPass)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, VkSubpassContents contents)
Definition: vulkan_core.h:2983
PFN_vkCmdSetDeviceMaskKHR
void(VKAPI_PTR * PFN_vkCmdSetDeviceMaskKHR)(VkCommandBuffer commandBuffer, uint32_t deviceMask)
Definition: vulkan_core.h:5212
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginQuery
PFN_vkCmdBeginQuery vkCmdBeginQuery
Definition: vulkan.hpp:52281
PFN_vkCmdSetViewportShadingRatePaletteNV
void(VKAPI_PTR * PFN_vkCmdSetViewportShadingRatePaletteNV)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV *pShadingRatePalettes)
Definition: vulkan_core.h:8094
PFN_vkQueueSubmit
VkResult(VKAPI_PTR * PFN_vkQueueSubmit)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo *pSubmits, VkFence fence)
Definition: vulkan_core.h:2868
PFN_vkEndCommandBuffer
VkResult(VKAPI_PTR * PFN_vkEndCommandBuffer)(VkCommandBuffer commandBuffer)
Definition: vulkan_core.h:2941
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateQueryPool
PFN_vkCreateQueryPool vkCreateQueryPool
Definition: vulkan.hpp:52406
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetRayTracingShaderGroupHandlesNV
PFN_vkGetRayTracingShaderGroupHandlesNV vkGetRayTracingShaderGroupHandlesNV
Definition: vulkan.hpp:52599
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory2KHR
PFN_vkBindBufferMemory2KHR vkBindBufferMemory2KHR
Definition: vulkan.hpp:52275
PFN_vkResetCommandPool
VkResult(VKAPI_PTR * PFN_vkResetCommandPool)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags)
Definition: vulkan_core.h:2937
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterDisplayEventEXT
PFN_vkRegisterDisplayEventEXT vkRegisterDisplayEventEXT
Definition: vulkan.hpp:52631
PFN_vkSubmitDebugUtilsMessageEXT
void(VKAPI_PTR * PFN_vkSubmitDebugUtilsMessageEXT)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT *pCallbackData)
Definition: vulkan_core.h:7483
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipelineLayout
PFN_vkDestroyPipelineLayout vkDestroyPipelineLayout
Definition: vulkan.hpp:52457
PFN_vkCreateXcbSurfaceKHR
VkResult(VKAPI_PTR * PFN_vkCreateXcbSurfaceKHR)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_xcb.h:45
PFN_vkFreeCommandBuffers
void(VKAPI_PTR * PFN_vkFreeCommandBuffers)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers)
Definition: vulkan_core.h:2939
PFN_vkGetPhysicalDeviceQueueFamilyProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceQueueFamilyProperties)(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties *pQueueFamilyProperties)
Definition: vulkan_core.h:2857
PFN_vkCmdClearDepthStencilImage
void(VKAPI_PTR * PFN_vkCmdClearDepthStencilImage)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue *pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange *pRanges)
Definition: vulkan_core.h:2970
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDevice
PFN_vkDestroyDevice vkDestroyDevice
Definition: vulkan.hpp:52446
PFN_vkDestroyCommandPool
void(VKAPI_PTR * PFN_vkDestroyCommandPool)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2936
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateMemory
PFN_vkAllocateMemory vkAllocateMemory
Definition: vulkan.hpp:52270
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceQueueFamilyProperties2KHR
PFN_vkGetPhysicalDeviceQueueFamilyProperties2KHR vkGetPhysicalDeviceQueueFamilyProperties2KHR
Definition: vulkan.hpp:52570
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyDebugUtilsMessengerEXT
PFN_vkDestroyDebugUtilsMessengerEXT vkDestroyDebugUtilsMessengerEXT
Definition: vulkan.hpp:52441
PFN_vkCreateSharedSwapchainsKHR
VkResult(VKAPI_PTR * PFN_vkCreateSharedSwapchainsKHR)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchains)
Definition: vulkan_core.h:5089
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkRegisterObjectsNVX
PFN_vkRegisterObjectsNVX vkRegisterObjectsNVX
Definition: vulkan.hpp:52632
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumerateInstanceVersion
PFN_vkEnumerateInstanceVersion vkEnumerateInstanceVersion
Definition: vulkan.hpp:52475
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDeviceMaskKHR
PFN_vkCmdSetDeviceMaskKHR vkCmdSetDeviceMaskKHR
Definition: vulkan.hpp:52349
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyImage
PFN_vkDestroyImage vkDestroyImage
Definition: vulkan.hpp:52450
PFN_vkCreateIOSSurfaceMVK
VkResult(VKAPI_PTR * PFN_vkCreateIOSSurfaceMVK)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_ios.h:44
PFN_vkCmdUpdateBuffer
void(VKAPI_PTR * PFN_vkCmdUpdateBuffer)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void *pData)
Definition: vulkan_core.h:2967
PFN_vkCmdPipelineBarrier
void(VKAPI_PTR * PFN_vkCmdPipelineBarrier)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers)
Definition: vulkan_core.h:2976
vkGetPhysicalDeviceWin32PresentationSupportKHR
VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex)
PFN_vkGetPhysicalDeviceExternalSemaphoreProperties
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalSemaphoreProperties)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties)
Definition: vulkan_core.h:4515
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDepthBounds
PFN_vkCmdSetDepthBounds vkCmdSetDepthBounds
Definition: vulkan.hpp:52347
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetFenceFdKHR
PFN_vkGetFenceFdKHR vkGetFenceFdKHR
Definition: vulkan.hpp:52508
PFN_vkEnumeratePhysicalDeviceGroupsKHR
VkResult(VKAPI_PTR * PFN_vkEnumeratePhysicalDeviceGroupsKHR)(VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties)
Definition: vulkan_core.h:5268
PFN_vkCreateDevice
VkResult(VKAPI_PTR * PFN_vkCreateDevice)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDevice *pDevice)
Definition: vulkan_core.h:2861
PFN_vkGetBufferMemoryRequirements2
void(VKAPI_PTR * PFN_vkGetBufferMemoryRequirements2)(VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
Definition: vulkan_core.h:4497
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDeviceGroupsKHR
PFN_vkEnumeratePhysicalDeviceGroupsKHR vkEnumeratePhysicalDeviceGroupsKHR
Definition: vulkan.hpp:52477
PFN_vkQueueInsertDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkQueueInsertDebugUtilsLabelEXT)(VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo)
Definition: vulkan_core.h:7477
PFN_vkCmdCopyQueryPoolResults
void(VKAPI_PTR * PFN_vkCmdCopyQueryPoolResults)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags)
Definition: vulkan_core.h:2981
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueueWaitIdle
PFN_vkQueueWaitIdle vkQueueWaitIdle
Definition: vulkan.hpp:52629
PFN_vkCmdEndTransformFeedbackEXT
void(VKAPI_PTR * PFN_vkCmdEndTransformFeedbackEXT)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets)
Definition: vulkan_core.h:6425
PFN_vkCmdSetStencilReference
void(VKAPI_PTR * PFN_vkCmdSetStencilReference)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference)
Definition: vulkan_core.h:2952
PFN_vkCmdSetStencilWriteMask
void(VKAPI_PTR * PFN_vkCmdSetStencilWriteMask)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask)
Definition: vulkan_core.h:2951
vkGetAndroidHardwareBufferPropertiesANDROID
VKAPI_ATTR VkResult VKAPI_CALL vkGetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer *buffer, VkAndroidHardwareBufferPropertiesANDROID *pProperties)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetCoarseSampleOrderNV
PFN_vkCmdSetCoarseSampleOrderNV vkCmdSetCoarseSampleOrderNV
Definition: vulkan.hpp:52345
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneCapabilitiesKHR
PFN_vkGetDisplayPlaneCapabilitiesKHR vkGetDisplayPlaneCapabilitiesKHR
Definition: vulkan.hpp:52505
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDebugMarkerBeginEXT
PFN_vkCmdDebugMarkerBeginEXT vkCmdDebugMarkerBeginEXT
Definition: vulkan.hpp:52303
vkGetMemoryAndroidHardwareBufferANDROID
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID *pInfo, struct AHardwareBuffer **pBuffer)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdPushDescriptorSetWithTemplateKHR
PFN_vkCmdPushDescriptorSetWithTemplateKHR vkCmdPushDescriptorSetWithTemplateKHR
Definition: vulkan.hpp:52338
PFN_vkCreateInstance
VkResult(VKAPI_PTR * PFN_vkCreateInstance)(const VkInstanceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkInstance *pInstance)
Definition: vulkan_core.h:2850
PFN_vkAcquireXlibDisplayEXT
VkResult(VKAPI_PTR * PFN_vkAcquireXlibDisplayEXT)(VkPhysicalDevice physicalDevice, Display *dpy, VkDisplayKHR display)
Definition: vulkan_xlib_xrandr.h:34
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkTrimCommandPool
PFN_vkTrimCommandPool vkTrimCommandPool
Definition: vulkan.hpp:52644
PFN_vkGetImageMemoryRequirements2KHR
void(VKAPI_PTR * PFN_vkGetImageMemoryRequirements2KHR)(VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
Definition: vulkan_core.h:5913
PFN_vkGetMemoryWin32HandleKHR
VkResult(VKAPI_PTR * PFN_vkGetMemoryWin32HandleKHR)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
Definition: vulkan_win32.h:94
PFN_vkCreateAccelerationStructureNV
VkResult(VKAPI_PTR * PFN_vkCreateAccelerationStructureNV)(VkDevice device, const VkAccelerationStructureCreateInfoNV *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkAccelerationStructureNV *pAccelerationStructure)
Definition: vulkan_core.h:8315
PFN_vkDestroyDebugReportCallbackEXT
void(VKAPI_PTR * PFN_vkDestroyDebugReportCallbackEXT)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:6227
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdUpdateBuffer
PFN_vkCmdUpdateBuffer vkCmdUpdateBuffer
Definition: vulkan.hpp:52363
PFN_vkCreateComputePipelines
VkResult(VKAPI_PTR * PFN_vkCreateComputePipelines)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
Definition: vulkan_core.h:2916
PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV
VkResult(VKAPI_PTR * PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV *pExternalImageFormatProperties)
Definition: vulkan_core.h:6628
PFN_vkGetImageMemoryRequirements2
void(VKAPI_PTR * PFN_vkGetImageMemoryRequirements2)(VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
Definition: vulkan_core.h:4496
vkAcquireXlibDisplayEXT
VKAPI_ATTR VkResult VKAPI_CALL vkAcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display *dpy, VkDisplayKHR display)
PFN_vkQueueBindSparse
VkResult(VKAPI_PTR * PFN_vkQueueBindSparse)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo *pBindInfo, VkFence fence)
Definition: vulkan_core.h:2884
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceExternalSemaphorePropertiesKHR
PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR vkGetPhysicalDeviceExternalSemaphorePropertiesKHR
Definition: vulkan.hpp:52549
PFN_vkTrimCommandPoolKHR
void(VKAPI_PTR * PFN_vkTrimCommandPoolKHR)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags)
Definition: vulkan_core.h:5249
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindPipeline
PFN_vkCmdBindPipeline vkCmdBindPipeline
Definition: vulkan.hpp:52288
PFN_vkCmdBeginQueryIndexedEXT
void(VKAPI_PTR * PFN_vkCmdBeginQueryIndexedEXT)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index)
Definition: vulkan_core.h:6426
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateRenderPass2KHR
PFN_vkCreateRenderPass2KHR vkCreateRenderPass2KHR
Definition: vulkan.hpp:52409
PFN_vkCreateMacOSSurfaceMVK
VkResult(VKAPI_PTR * PFN_vkCreateMacOSSurfaceMVK)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
Definition: vulkan_macos.h:44
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateSwapchainKHR
PFN_vkCreateSwapchainKHR vkCreateSwapchainKHR
Definition: vulkan.hpp:52416
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDescriptorSetLayoutSupportKHR
PFN_vkGetDescriptorSetLayoutSupportKHR vkGetDescriptorSetLayoutSupportKHR
Definition: vulkan.hpp:52493
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateShaderModule
PFN_vkCreateShaderModule vkCreateShaderModule
Definition: vulkan.hpp:52414
PFN_vkGetRandROutputDisplayEXT
VkResult(VKAPI_PTR * PFN_vkGetRandROutputDisplayEXT)(VkPhysicalDevice physicalDevice, Display *dpy, RROutput rrOutput, VkDisplayKHR *pDisplay)
Definition: vulkan_xlib_xrandr.h:35
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetDiscardRectangleEXT
PFN_vkCmdSetDiscardRectangleEXT vkCmdSetDiscardRectangleEXT
Definition: vulkan.hpp:52350
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdResetQueryPool
PFN_vkCmdResetQueryPool vkCmdResetQueryPool
Definition: vulkan.hpp:52341
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyBuffer
PFN_vkDestroyBuffer vkDestroyBuffer
Definition: vulkan.hpp:52437
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetViewport
PFN_vkCmdSetViewport vkCmdSetViewport
Definition: vulkan.hpp:52359
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateInstance
PFN_vkCreateInstance vkCreateInstance
Definition: vulkan.hpp:52399
PFN_vkImportSemaphoreWin32HandleKHR
VkResult(VKAPI_PTR * PFN_vkImportSemaphoreWin32HandleKHR)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR *pImportSemaphoreWin32HandleInfo)
Definition: vulkan_win32.h:167
PFN_vkCmdFillBuffer
void(VKAPI_PTR * PFN_vkCmdFillBuffer)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data)
Definition: vulkan_core.h:2968
PFN_vkGetPhysicalDeviceMemoryProperties2
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceMemoryProperties2)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties)
Definition: vulkan_core.h:4504
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceCalibrateableTimeDomainsEXT
PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT vkGetPhysicalDeviceCalibrateableTimeDomainsEXT
Definition: vulkan.hpp:52538
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetCommandBuffer
PFN_vkResetCommandBuffer vkResetCommandBuffer
Definition: vulkan.hpp:52634
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetSwapchainImagesKHR
PFN_vkGetSwapchainImagesKHR vkGetSwapchainImagesKHR
Definition: vulkan.hpp:52608
PFN_vkCreateBufferView
VkResult(VKAPI_PTR * PFN_vkCreateBufferView)(VkDevice device, const VkBufferViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBufferView *pView)
Definition: vulkan_core.h:2902
PFN_vkDestroyDescriptorSetLayout
void(VKAPI_PTR * PFN_vkDestroyDescriptorSetLayout)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2923
PFN_vkDestroySurfaceKHR
void(VKAPI_PTR * PFN_vkDestroySurfaceKHR)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:4751
PFN_vkFreeDescriptorSets
VkResult(VKAPI_PTR * PFN_vkFreeDescriptorSets)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets)
Definition: vulkan_core.h:2928
PFN_vkCmdBindPipeline
void(VKAPI_PTR * PFN_vkCmdBindPipeline)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline)
Definition: vulkan_core.h:2943
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneCapabilities2KHR
PFN_vkGetDisplayPlaneCapabilities2KHR vkGetDisplayPlaneCapabilities2KHR
Definition: vulkan.hpp:52504
PFN_vkGetSemaphoreWin32HandleKHR
VkResult(VKAPI_PTR * PFN_vkGetSemaphoreWin32HandleKHR)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR *pGetWin32HandleInfo, HANDLE *pHandle)
Definition: vulkan_win32.h:168
PFN_vkCmdProcessCommandsNVX
void(VKAPI_PTR * PFN_vkCmdProcessCommandsNVX)(VkCommandBuffer commandBuffer, const VkCmdProcessCommandsInfoNVX *pProcessCommandsInfo)
Definition: vulkan_core.h:6922
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkResetCommandPool
PFN_vkResetCommandPool vkResetCommandPool
Definition: vulkan.hpp:52635
PFN_vkDeviceWaitIdle
VkResult(VKAPI_PTR * PFN_vkDeviceWaitIdle)(VkDevice device)
Definition: vulkan_core.h:2870
PFN_vkCmdDrawIndexedIndirect
void(VKAPI_PTR * PFN_vkCmdDrawIndexedIndirect)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
Definition: vulkan_core.h:2959
PFN_vkDestroyBufferView
void(VKAPI_PTR * PFN_vkDestroyBufferView)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2903
PFN_vkGetPhysicalDeviceFeatures2KHR
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFeatures2KHR)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures)
Definition: vulkan_core.h:5140
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDrawIndirectByteCountEXT
PFN_vkCmdDrawIndirectByteCountEXT vkCmdDrawIndirectByteCountEXT
Definition: vulkan.hpp:52316
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyInstance
PFN_vkDestroyInstance vkDestroyInstance
Definition: vulkan.hpp:52453
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkQueuePresentKHR
PFN_vkQueuePresentKHR vkQueuePresentKHR
Definition: vulkan.hpp:52627
PFN_vkGetDeviceGroupPeerMemoryFeatures
void(VKAPI_PTR * PFN_vkGetDeviceGroupPeerMemoryFeatures)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures)
Definition: vulkan_core.h:4492
PFN_vkGetPhysicalDeviceWaylandPresentationSupportKHR
VkBool32(VKAPI_PTR * PFN_vkGetPhysicalDeviceWaylandPresentationSupportKHR)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display *display)
Definition: vulkan_wayland.h:46
PFN_vkCmdDebugMarkerBeginEXT
void(VKAPI_PTR * PFN_vkCmdDebugMarkerBeginEXT)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo)
Definition: vulkan_core.h:6332
PFN_vkGetImageDrmFormatModifierPropertiesEXT
VkResult(VKAPI_PTR * PFN_vkGetImageDrmFormatModifierPropertiesEXT)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT *pProperties)
Definition: vulkan_core.h:7843
vkGetMemoryWin32HandlePropertiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR *pMemoryWin32HandleProperties)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndQueryIndexedEXT
PFN_vkCmdEndQueryIndexedEXT vkCmdEndQueryIndexedEXT
Definition: vulkan.hpp:52325
PFN_vkCreateDebugReportCallbackEXT
VkResult(VKAPI_PTR * PFN_vkCreateDebugReportCallbackEXT)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugReportCallbackEXT *pCallback)
Definition: vulkan_core.h:6226
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEndCommandBuffer
PFN_vkEndCommandBuffer vkEndCommandBuffer
Definition: vulkan.hpp:52470
vkCreateViSurfaceNN
VKAPI_ATTR VkResult VKAPI_CALL vkCreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
PFN_vkCmdCopyBuffer
void(VKAPI_PTR * PFN_vkCmdCopyBuffer)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy *pRegions)
Definition: vulkan_core.h:2962
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdReserveSpaceForCommandsNVX
PFN_vkCmdReserveSpaceForCommandsNVX vkCmdReserveSpaceForCommandsNVX
Definition: vulkan.hpp:52339
PFN_vkGetDisplayModeProperties2KHR
VkResult(VKAPI_PTR * PFN_vkGetDisplayModeProperties2KHR)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModeProperties2KHR *pProperties)
Definition: vulkan_core.h:5854
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCompileDeferredNV
PFN_vkCompileDeferredNV vkCompileDeferredNV
Definition: vulkan.hpp:52368
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceMemoryCommitment
PFN_vkGetDeviceMemoryCommitment vkGetDeviceMemoryCommitment
Definition: vulkan.hpp:52498
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSets
PFN_vkUpdateDescriptorSets vkUpdateDescriptorSets
Definition: vulkan.hpp:52650
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndTransformFeedbackEXT
PFN_vkCmdEndTransformFeedbackEXT vkCmdEndTransformFeedbackEXT
Definition: vulkan.hpp:52328
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkSetHdrMetadataEXT
PFN_vkSetHdrMetadataEXT vkSetHdrMetadataEXT
Definition: vulkan.hpp:52642
PFN_vkCmdSetBlendConstants
void(VKAPI_PTR * PFN_vkCmdSetBlendConstants)(VkCommandBuffer commandBuffer, const float blendConstants[4])
Definition: vulkan_core.h:2948
PFN_vkDestroyDescriptorUpdateTemplate
void(VKAPI_PTR * PFN_vkDestroyDescriptorUpdateTemplate)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:4511
PFN_vkGetSwapchainCounterEXT
VkResult(VKAPI_PTR * PFN_vkGetSwapchainCounterEXT)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t *pCounterValue)
Definition: vulkan_core.h:7119
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyObjectTableNVX
PFN_vkDestroyObjectTableNVX vkDestroyObjectTableNVX
Definition: vulkan.hpp:52454
PFN_vkMapMemory
VkResult(VKAPI_PTR * PFN_vkMapMemory)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void **ppData)
Definition: vulkan_core.h:2873
PFN_vkCmdDebugMarkerEndEXT
void(VKAPI_PTR * PFN_vkCmdDebugMarkerEndEXT)(VkCommandBuffer commandBuffer)
Definition: vulkan_core.h:6333
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchBaseKHR
PFN_vkCmdDispatchBaseKHR vkCmdDispatchBaseKHR
Definition: vulkan.hpp:52308
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceImageFormatProperties2
PFN_vkGetPhysicalDeviceImageFormatProperties2 vkGetPhysicalDeviceImageFormatProperties2
Definition: vulkan.hpp:52558
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkEnumeratePhysicalDeviceGroups
PFN_vkEnumeratePhysicalDeviceGroups vkEnumeratePhysicalDeviceGroups
Definition: vulkan.hpp:52476
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBeginDebugUtilsLabelEXT
PFN_vkCmdBeginDebugUtilsLabelEXT vkCmdBeginDebugUtilsLabelEXT
Definition: vulkan.hpp:52280
vkCreateAndroidSurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
device
static SDL_AudioDeviceID device
Definition: loopwave.c:37
PFN_vkGetImageSparseMemoryRequirements
void(VKAPI_PTR * PFN_vkGetImageSparseMemoryRequirements)(VkDevice device, VkImage image, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements *pSparseMemoryRequirements)
Definition: vulkan_core.h:2882
PFN_vkCreateRayTracingPipelinesNV
VkResult(VKAPI_PTR * PFN_vkCreateRayTracingPipelinesNV)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
Definition: vulkan_core.h:8322
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdInsertDebugUtilsLabelEXT
PFN_vkCmdInsertDebugUtilsLabelEXT vkCmdInsertDebugUtilsLabelEXT
Definition: vulkan.hpp:52331
PFN_vkCmdWriteAccelerationStructuresPropertiesNV
void(VKAPI_PTR * PFN_vkCmdWriteAccelerationStructuresPropertiesNV)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV *pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery)
Definition: vulkan_core.h:8325
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkBindBufferMemory
PFN_vkBindBufferMemory vkBindBufferMemory
Definition: vulkan.hpp:52273
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateFence
PFN_vkCreateFence vkCreateFence
Definition: vulkan.hpp:52387
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndRenderPass
PFN_vkCmdEndRenderPass vkCmdEndRenderPass
Definition: vulkan.hpp:52326
PFN_vkCmdInsertDebugUtilsLabelEXT
void(VKAPI_PTR * PFN_vkCmdInsertDebugUtilsLabelEXT)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo)
Definition: vulkan_core.h:7480
PFN_vkDestroyImageView
void(VKAPI_PTR * PFN_vkDestroyImageView)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2908
PFN_vkEnumeratePhysicalDevices
VkResult(VKAPI_PTR * PFN_vkEnumeratePhysicalDevices)(VkInstance instance, uint32_t *pPhysicalDeviceCount, VkPhysicalDevice *pPhysicalDevices)
Definition: vulkan_core.h:2852
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyShaderModule
PFN_vkDestroyShaderModule vkDestroyShaderModule
Definition: vulkan.hpp:52464
PFN_vkCmdSetExclusiveScissorNV
void(VKAPI_PTR * PFN_vkCmdSetExclusiveScissorNV)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D *pExclusiveScissors)
Definition: vulkan_core.h:8752
PFN_vkGetDescriptorSetLayoutSupportKHR
void(VKAPI_PTR * PFN_vkGetDescriptorSetLayoutSupportKHR)(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport)
Definition: vulkan_core.h:6024
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdBindTransformFeedbackBuffersEXT
PFN_vkCmdBindTransformFeedbackBuffersEXT vkCmdBindTransformFeedbackBuffersEXT
Definition: vulkan.hpp:52290
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetLineWidth
PFN_vkCmdSetLineWidth vkCmdSetLineWidth
Definition: vulkan.hpp:52353
PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX)(VkPhysicalDevice physicalDevice, VkDeviceGeneratedCommandsFeaturesNVX *pFeatures, VkDeviceGeneratedCommandsLimitsNVX *pLimits)
Definition: vulkan_core.h:6930
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetPhysicalDeviceSurfaceCapabilities2EXT
PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT vkGetPhysicalDeviceSurfaceCapabilities2EXT
Definition: vulkan.hpp:52574
PFN_vkDestroyFence
void(VKAPI_PTR * PFN_vkDestroyFence)(VkDevice device, VkFence fence, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2886
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkUpdateDescriptorSetWithTemplateKHR
PFN_vkUpdateDescriptorSetWithTemplateKHR vkUpdateDescriptorSetWithTemplateKHR
Definition: vulkan.hpp:52649
PFN_vkCmdSetDeviceMask
void(VKAPI_PTR * PFN_vkCmdSetDeviceMask)(VkCommandBuffer commandBuffer, uint32_t deviceMask)
Definition: vulkan_core.h:4493
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkDestroyPipeline
PFN_vkDestroyPipeline vkDestroyPipeline
Definition: vulkan.hpp:52455
PFN_vkImportFenceWin32HandleKHR
VkResult(VKAPI_PTR * PFN_vkImportFenceWin32HandleKHR)(VkDevice device, const VkImportFenceWin32HandleInfoKHR *pImportFenceWin32HandleInfo)
Definition: vulkan_win32.h:211
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceQueue
PFN_vkGetDeviceQueue vkGetDeviceQueue
Definition: vulkan.hpp:52500
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCreateEvent
PFN_vkCreateEvent vkCreateEvent
Definition: vulkan.hpp:52386
PFN_vkDestroyDebugUtilsMessengerEXT
void(VKAPI_PTR * PFN_vkDestroyDebugUtilsMessengerEXT)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:7482
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyImageToBuffer
PFN_vkCmdCopyImageToBuffer vkCmdCopyImageToBuffer
Definition: vulkan.hpp:52301
PFN_vkCmdEndConditionalRenderingEXT
void(VKAPI_PTR * PFN_vkCmdEndConditionalRenderingEXT)(VkCommandBuffer commandBuffer)
Definition: vulkan_core.h:6745
PFN_vkDestroyDescriptorUpdateTemplateKHR
void(VKAPI_PTR * PFN_vkDestroyDescriptorUpdateTemplateKHR)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:5524
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdNextSubpass
PFN_vkCmdNextSubpass vkCmdNextSubpass
Definition: vulkan.hpp:52332
PFN_vkCmdSetStencilCompareMask
void(VKAPI_PTR * PFN_vkCmdSetStencilCompareMask)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask)
Definition: vulkan_core.h:2950
PFN_vkCreateSemaphore
VkResult(VKAPI_PTR * PFN_vkCreateSemaphore)(VkDevice device, const VkSemaphoreCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSemaphore *pSemaphore)
Definition: vulkan_core.h:2890
PFN_vkGetFenceStatus
VkResult(VKAPI_PTR * PFN_vkGetFenceStatus)(VkDevice device, VkFence fence)
Definition: vulkan_core.h:2888
PFN_vkCmdSetCoarseSampleOrderNV
void(VKAPI_PTR * PFN_vkCmdSetCoarseSampleOrderNV)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV *pCustomSampleOrders)
Definition: vulkan_core.h:8095
PFN_vkGetPhysicalDeviceFeatures
void(VKAPI_PTR * PFN_vkGetPhysicalDeviceFeatures)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures *pFeatures)
Definition: vulkan_core.h:2853
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetStencilCompareMask
PFN_vkCmdSetStencilCompareMask vkCmdSetStencilCompareMask
Definition: vulkan.hpp:52356
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayModePropertiesKHR
PFN_vkGetDisplayModePropertiesKHR vkGetDisplayModePropertiesKHR
Definition: vulkan.hpp:52503
PFN_vkDestroyShaderModule
void(VKAPI_PTR * PFN_vkDestroyShaderModule)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2910
PFN_vkCmdDrawIndirectCountKHR
void(VKAPI_PTR * PFN_vkCmdDrawIndirectCountKHR)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
Definition: vulkan_core.h:6037
vkCreateImagePipeSurfaceFUCHSIA
VKAPI_ATTR VkResult VKAPI_CALL vkCreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetFenceStatus
PFN_vkGetFenceStatus vkGetFenceStatus
Definition: vulkan.hpp:52509
PFN_vkCmdDispatch
void(VKAPI_PTR * PFN_vkCmdDispatch)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
Definition: vulkan_core.h:2960
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDisplayPlaneSupportedDisplaysKHR
PFN_vkGetDisplayPlaneSupportedDisplaysKHR vkGetDisplayPlaneSupportedDisplaysKHR
Definition: vulkan.hpp:52506
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetQueryPoolResults
PFN_vkGetQueryPoolResults vkGetQueryPoolResults
Definition: vulkan.hpp:52594
PFN_vkCmdBindShadingRateImageNV
void(VKAPI_PTR * PFN_vkCmdBindShadingRateImageNV)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout)
Definition: vulkan_core.h:8093
PFN_vkDestroyRenderPass
void(VKAPI_PTR * PFN_vkDestroyRenderPass)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks *pAllocator)
Definition: vulkan_core.h:2933
vkGetPhysicalDeviceXlibPresentationSupportKHR
VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display *dpy, VisualID visualID)
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetDeviceGroupPeerMemoryFeaturesKHR
PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR vkGetDeviceGroupPeerMemoryFeaturesKHR
Definition: vulkan.hpp:52495
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateDescriptorSets
PFN_vkAllocateDescriptorSets vkAllocateDescriptorSets
Definition: vulkan.hpp:52269
PFN_vkCreateGraphicsPipelines
VkResult(VKAPI_PTR * PFN_vkCreateGraphicsPipelines)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
Definition: vulkan_core.h:2915
PFN_vkCmdEndQueryIndexedEXT
void(VKAPI_PTR * PFN_vkCmdEndQueryIndexedEXT)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index)
Definition: vulkan_core.h:6427
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkAllocateCommandBuffers
PFN_vkAllocateCommandBuffers vkAllocateCommandBuffers
Definition: vulkan.hpp:52268
PFN_vkResetEvent
VkResult(VKAPI_PTR * PFN_vkResetEvent)(VkDevice device, VkEvent event)
Definition: vulkan_core.h:2896
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdWriteBufferMarkerAMD
PFN_vkCmdWriteBufferMarkerAMD vkCmdWriteBufferMarkerAMD
Definition: vulkan.hpp:52366
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdCopyBuffer
PFN_vkCmdCopyBuffer vkCmdCopyBuffer
Definition: vulkan.hpp:52298
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkGetEventStatus
PFN_vkGetEventStatus vkGetEventStatus
Definition: vulkan.hpp:52507
PFN_vkCmdDrawMeshTasksNV
void(VKAPI_PTR * PFN_vkCmdDrawMeshTasksNV)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask)
Definition: vulkan_core.h:8683
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdDispatchIndirect
PFN_vkCmdDispatchIndirect vkCmdDispatchIndirect
Definition: vulkan.hpp:52309
PFN_vkCreateDisplayModeKHR
VkResult(VKAPI_PTR * PFN_vkCreateDisplayModeKHR)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDisplayModeKHR *pMode)
Definition: vulkan_core.h:5029
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdSetCheckpointNV
PFN_vkCmdSetCheckpointNV vkCmdSetCheckpointNV
Definition: vulkan.hpp:52344
PFN_vkCmdEndRenderPass
void(VKAPI_PTR * PFN_vkCmdEndRenderPass)(VkCommandBuffer commandBuffer)
Definition: vulkan_core.h:2985
VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::vkCmdEndDebugUtilsLabelEXT
PFN_vkCmdEndDebugUtilsLabelEXT vkCmdEndDebugUtilsLabelEXT
Definition: vulkan.hpp:52323
PFN_vkCreateImage
VkResult(VKAPI_PTR * PFN_vkCreateImage)(VkDevice device, const VkImageCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImage *pImage)
Definition: vulkan_core.h:2904
vkCreateXlibSurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
PFN_vkCmdSetEvent
void(VKAPI_PTR * PFN_vkCmdSetEvent)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
Definition: vulkan_core.h:2973